note

	description:

		"Pseudo random number in a range."

	author: "David Stevens"
	last_editor: "$Author: c4 $"
	date: "$Date: 2014/05/13 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/library/containers_base/src/ranged_random.e $"

class	RANGED_RANDOM

obsolete "Use RANDOM, which does not violate CQS"

inherit

	RANDOM

create

	make, make_default

feature {NONE} -- Initialization

	make_default
			-- Create using current time as a seed.
		local
			t: TIME
		do
			create t.make_now
			set_seed (t.seconds \\ 1000)
		end

feature -- Access

	next_item_in_range (a_min: INTEGER; a_max: INTEGER): INTEGER
			-- Advance to next random number, then scale to between `a_min' and `a_max'.
		local
			l_double: DOUBLE
		do
			forth
			l_double := a_min + (a_max - a_min) * double_item
			Result := l_double.rounded
		end

end
