note

	description:

		"Looks like a ROSE_LINEAR using either a proxy or a single element."

	author: "Randy John"
	last_editor: "$Author: c4 $"
	date: "$Date: 2014/07/22 $"
	revision: "$Revision: #2 $"
	path: "$File: //rose/source/library/containers_base/src/linear/rose_linear_or_one.e $"

deferred class
	
	ROSE_LINEAR_OR_ONE [G]

inherit
	
	ROSE_LINEAR[G]

feature {NONE}	-- If this container has only one object then it is `object_',
		-- if more than one then they are in `linear_'.

	linear_: detachable ROSE_LINEAR [G]
			-- Container for multiple elements

	object_: detachable G
			-- Singleton object
	
	has_object_: BOOLEAN
			-- Is it a singleton?
	
end
