note

	description:

		"Volatile element - an element with an expiration stamp"

	author: "Mark Howard"
	last_editor: "$Author: c4 $"
	date: "$Date: 2014/05/13 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/library/kernel_infrastructure_base/src/rose_volatile.e $"

class	ROSE_VOLATILE [G]

feature -- Access

	item: detachable G
			-- Volatile element
	
	expiration: INTEGER
			-- Expiration stamp

feature -- Setting

	set (a_item: G; a_expiration: INTEGER)
			-- Set noth attributes.
		do
			item := a_item
			expiration := a_expiration
		ensure
			item_aliased: (a_item = a_item) implies item = a_item
			expiration_set: expiration = a_expiration
		end

end
