note

	description : "Event type implementation"

	author : "Zoran Simic"
	last_editor: "$Author: c4 $"
	path: "$File: //rose/source/library/event/src/rose_simple_event.e $"
	date: "$Date: 2014/05/13 $"
	revision: "$Revision: #1 $"

class ROSE_SIMPLE_EVENT

inherit
	
	ROSE_EVENT_TYPE [TUPLE []]
		rename
			call as generic_call
		export
			{NONE} generic_call
		end

feature -- Basic operations

	call
			-- Call all `subscribers'.
		do
			generic_call ([])
		end

	extend_immediate (a_subscriber: PROCEDURE [ANY,TUPLE []])
			-- Add `a_subscriber' and call it immediately if `call_counter' > 0
		require
			a_subscriber_not_void: a_subscriber /= Void
		do
			extend (a_subscriber)
			if call_counter > 0 then
				a_subscriber.call ([])
			end
		end

end
