indexing

	description: "Object for computing means and standard deviations and dealing with outliers"

	keywords: "assertions, assertion mode, test case, testing"
	author: "Colin Adams"
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"

class ASSERTION_MODE

create

	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current' to default settings.
		do
			debug ("expensive_assertions")
				set_expensive_assertions_checking (True)
			end
		end

feature -- Status report

	is_checking_expensive_assertions: BOOLEAN
			-- Do we check all assertions, even those that give bad performance?

feature -- Status setting

	set_expensive_assertions_checking (a_status: BOOLEAN) is
			-- Set `is_checking_expensive_assertions' to `a_status'.
		do
			is_checking_expensive_assertions := a_status
		ensure
			is_checking_expensive_assertions_set: is_checking_expensive_assertions = a_status
		end

end
