indexing
	description: "Refactoring helper using axar logging and debugging"
	author: "Portfolio Accounting Tech (sm)"
	last_editor: "$Author: sm $"
	date: "$Date: 2010/06/04 $"
	revision: "$Revision: #1 $"
	archive: "$File: //rose/source/kernel/expert_system/axarosenberg_refactoring_helper.e $"

class
	AXAROSENBERG_REFACTORING_HELPER

inherit
	REFACTORING_HELPER
		redefine
			fixme, to_implement, to_implement_assertion
		end

	AXAROSENBERG_AWARE

feature -- Basic operations

	fixme (comment: STRING)
			-- Mark code that has to be "fixed" with `comment'.
		do
			debug ("refactoring_fixme")
				axarosenberg.log_debug ("FIXME: "+comment)
			end
		end

	to_implement (comment: STRING)
			-- Mark code that has to be "implemented" with `comment'.
		do
			debug ("refactoring_to_implement")
				axarosenberg.log_debug ("TO_BE_IMPLEMENTED: "+comment)
			end
		end

	to_implement_assertion (comment: STRING): BOOLEAN
			-- Mark assertion that has to be "implemented" with `comment'.
		do
			debug ("refactoring_to_implement_assertion")
				axarosenberg.log_debug ("ASSERTION_TO_BE_IMPLEMENTED: "+comment)
			end
			Result := True
		end

end
