indexing
	description: "BLOOMBERG_FORWARD_RECORD"
	status: "Development"
	author: "Jun Zhu"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #4 $"
   
class
	BLOOMBERG_FORWARD_RECORD 
	


create
	make
 
feature -- ACCESS

	make is
	do
	
	end
		
feature

	currency_iso: STRING 
	set_currency_iso( a_iso: STRING ) is
	do
		currency_iso := a_iso
	end
		
	base_date: ROSE_DATE
	set_base_date( a_date: ROSE_DATE ) is
	do
		base_date := a_date
	end
		
	future_date: ROSE_DATE
	set_future_date( a_date: ROSE_DATE ) is
	do
		future_date := a_date
	end
		
	data_date: ROSE_DATE
	set_data_date( a_date: ROSE_DATE ) is
	do
		data_date := a_date
	end
		
	forward_period: INTEGER
	set_forward_period( a_int: INTEGER ) is
	do
		forward_period := a_int
	end
	
	lower_forward_period: INTEGER
	set_lower_forward_period( a_int: INTEGER ) is
	do
		lower_forward_period := a_int
	end
		
	higher_forward_period: INTEGER
	set_higher_forward_period( a_int: INTEGER ) is
	do
		higher_forward_period := a_int
	end
	
	lower_forward: DOUBLE
	set_lower_forward( a_forward: DOUBLE ) is
	do
		lower_forward := a_forward
	end
		
	higher_forward: DOUBLE
	set_higher_forward( a_forward: DOUBLE ) is
	do
		higher_forward := a_forward
	end
	
	forward_rate: DOUBLE
	set_forward_rate( a_rate: DOUBLE ) is
	do
		forward_rate := a_rate 
	end
		
	quote_factor: DOUBLE
	set_quote_factor( a_factor: DOUBLE ) is
	do
		quote_factor := a_factor
	end
		
	
	

end -- class BLOOMBERG_FORWARD_RECORD

