note

	description:

		"Listing of bond instrument"

	author: "Janet Small"
	last_editor: "$Author: er $"
	date: "$Date: 2014/02/26 $"
	revision: "$Revision: #18 $"
	path: "$File: //rose/source/kernel/investment_entities/bond_listing.e $"

class BOND_LISTING
inherit
	INVESTMENT_ENTITY
		undefine
			peer_anchor
		redefine
			make,
			make_with_zone_xrf
		end
	PERSISTENT_BOND_LISTING
		undefine
			context,
			make,
			make_context,
			ur_targets,
			issue,
			debug_output
		end
create

	make,
	make_with_zone_xrf,
	make_anonymous

feature -- Creation

	make (a_context : like context;a_category_id : INTEGER;a_handle : INTEGER;a_start_date,a_end_date : ROSE_DATE) is
			--Initialization
		do
			Precursor{INVESTMENT_ENTITY}(a_context,a_category_id,a_handle,a_start_date,a_end_date)
		end

	make_with_zone_xrf(a_context : like context;a_category_id : INTEGER;a_handle : INTEGER;a_start_date,a_end_date : ROSE_DATE;a_zone : ZONE[LOCATION];a_xrf : INTEGER) is
				-- Initialization with zone
		do
			Precursor{INVESTMENT_ENTITY}(a_context,a_category_id,a_handle,a_start_date,a_end_date,a_zone,a_xrf)
		end


feature -- Basic operations

	register  is
			-- Register this entity.
		do
			if zone /= void then
				zone.add_bond_listing(Current)
			end
		end


	issue: like context.bond_template is
		do
			Result := something_corelated_by_bond_to_bond_listing
		end
end








