indexing
	description: "Bond price record"
	author: "Mark Howard"
	last_editor: "$Author: tg $"
	date: "$Date: 2010/10/21 $"
	revision: "$Revision: #6 $"
   last_review: "$Review: $"
	archive: "$File: //rose/source/kernel/investment_entities/bond_price_record.e $"


class
	BOND_PRICE_RECORD
inherit
	PRICE_RECORD
	ROSE_LEGACY_UNDEFINED
		undefine
			is_equal
		end
create
	make
feature -- Initialization
	make (a_record : RDB_BOND_RECORD) is
			-- Creation procedure
		do
			adjustment := 1
			unadjusted_ask := a_record.ask
			unadjusted_bid := a_record.bid
			unadjusted_close := a_record.close
			unadjusted_high := a_record.high
			unadjusted_low := a_record.low
			unadjusted_open := a_record.open
			unadjusted_volume := a_record.volume
			has_ask := is_defined_double(a_record.ask)
			has_bid := is_defined_double(a_record.bid)
			has_close := is_defined_double(a_record.close)
			has_high := is_defined_double(a_record.high)
			has_low := is_defined_double(a_record.low)
			has_open := is_defined_double(a_record.open)
			has_volume := is_defined_double(a_record.volume)
			currency := context.currency_by_iso_code(a_record.currency,void)
         create date.make_ccyymmdd(a_record.marketday)
		end
end
