indexing
   
   description: "Make brim_entities attribute_type_id's generally available."
   status: "Development"
   author: "David Stevens"
   date: "$Date: 2008/12/01 $"
   revision: "$Revision: #16 $"
   
class
   
   BRIM_ENTITIES_ATTRIBUTE_TYPE_ID_USE
   
inherit
   DATABASE_SERVER
   
feature -- Access
   
   brim_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("BRIM CODE") 
      end
   call_date_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("CALL DATE") 
      end
   cfar_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("CFAR") 
      end
   cmu_id_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("CMU ID")
      end
   company_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("COMPANY CODE")
      end
   company_name_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("COMPANY NAME")
      end
   currency_name_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("CURRENCY NAME")
      end
   cusip_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("CUSIP CODE")
      end
   display_order_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("DISPLAY ORDER")
      end
   euro_eqts_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("EURO EQTS")
      end
   euro_quotes_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("EURO QUOTES CODE")
      end
   exchange_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("EXCHANGE CODE")
      end
   exchange_letters_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("EXCHANGE LETTERS")
      end
   extel_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("EXTEL CODE")
      end
   extel_segment_number_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("EXTEL SEGMENT NUMBER")
      end
   fcxrf_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("FCXRF CODE")
      end
   fsxrf_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("FSXRF CODE")
      end
   ftgs_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("FTGS")
      end
   fx_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("FX CODE")
      end
   global_vantage_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("GLOBAL VANTAGE CODE")
      end
   brim_entities_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("BRIM_ENTITIES")
      end
   idc_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("IDC CODE")
      end
   idf_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("IDF")
      end
   idsi_letter_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("IDSI LETTER")
      end
   incorporation_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("INCORPORATION CODE")
      end
   isin_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("ISIN CODE")
      end
   iso_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("ISO CODE")
      end
   listing_description_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("LISTING DESCRIPTION")
      end
   listing_type_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("LISTING TYPE")
      end
   local_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("LOCAL CODE")
      end
   mnemonic_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("MNEMONIC")
      end
   msci_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("MSCI")
      end
   name_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("NAME")
      end
   nikkei_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("NIKKEI CODE")
      end
   old_positional_id_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("OLD POSITIONAL ID")
      end
   primary_type_id : INTEGER is
	  once
		 Result := attribute_type_ids.item("PRIMARY")
	  end
   pset_type_type_id : INTEGER is
	  once
		 Result := attribute_type_ids.item("PSET TYPE")
	  end
   redemption_price_type_id : INTEGER is
	  once
		 Result := attribute_type_ids.item("REDEMPTION PRICE")
	  end
   reuters_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("REUTERS CODE")
      end
   ric_suffix_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("RIC SUFFIX")
      end
   riemsym_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("RIEMSYM CODE")
      end
   rose_id_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("ROSE ID")
      end
   security_description_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("SECURITY DESCRIPTION")
      end
   security_type_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("SECURITY TYPE")
      end
   sector_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("SECTOR")
      end
   sector_country_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("SECTOR COUNTRY")
      end
   sedol_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("SEDOL CODE")
      end
   sic_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("SIC CODE")
      end
   siclike_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("SICLIKE CODE")
      end
   sp_segment_number_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("SP SEGMENT NUMBER")
      end
   telekurs_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("TELEKURS CODE")
      end
   telekurs_number_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("TELEKURS NUMBER")
      end
   ticker_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("TICKER CODE")
      end
   tse_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("TSE CODE")
      end
   valoren_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("VALOREN CODE")
      end
   vv_segment_number_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("VV SEGMENT NUMBER")
      end
   worldscope_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("WORLDSCOPE CODE")
      end
   worldvest_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("WORLDVEST CODE")
      end
   xrf_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("XRF CODE")
      end
   zone_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("ZONE CODE")
      end
   investable_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("INVESTABLE")
      end
   company_cusip_code_type_id: INTEGER is 
      once 
		 Result := attribute_type_ids.item("COMPANY CUSIP CODE")
      end
	bxrf_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("BXRF")
		end
	first_day_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("FIRST DAY")
		end
	last_day_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("LAST DAY")
		end
	axa_code_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("AXA CODE")
		end
	currency_code_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("CURRENCY CODE")
		end
	s_and_p_rating_1_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("S AND P RATING 1")
		end
	moodys_rating_1_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("MOODYS RATING 1")
		end
	s_and_p_rating_2_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("S AND P RATING 2")
		end
	moodys_rating_2_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("MOODYS RATING 2")
		end
	internal_rating_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("INTERNAL RATING")
		end
	maturity_date_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("MATURITY DATE")
		end
	coupon_frequency_in_months_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("COUPON FREQUENCY IN MONTHS")
		end
	coupon_rate_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("COUPON RATE")
		end
	issuer_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("ISSUER")
		end
	country_code_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("COUNTRY CODE")
		end
	par_value_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("PAR VALUE")
		end
	accrual_method_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("ACCRUAL METHOD")
		end
	coupon_method_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("COUPON METHOD")
		end
	data_dates_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("DATA DATES")
		end
	process_dates_type_id: INTEGER is
		once
			Result := attribute_type_ids.item ("PROCESS DATES")
		end
	
feature {NONE} -- Implementation
   attribute_type_records : HASH_TABLE[ATTRIBUTE_TYPE_RECORD,INTEGER] is
	  local
		 l_reader : SIMPLE_PREDICATE[ATTRIBUTE_TYPE_RECORD]
		once
			create Result.make(100)
			create l_reader.make(servers.brim_entities_server,"select * from attribute_type")
			l_reader.apply(agent add_attribute_type_record(Result,?),Void,Void)
		end
   attribute_type_ids : HASH_TABLE[INTEGER,STRING] is
	  local
		 l_reader : SIMPLE_PREDICATE[ATTRIBUTE_TYPE_RECORD]
	  once
		 if stored_attribute_type_ids = Void then
			create stored_attribute_type_ids.make(100)
			create stored_attribute_id_types.make(100)
			create l_reader.make(servers.brim_entities_server,"select * from attribute_type")
			l_reader.apply(agent add_attribute_type,Void,Void)
		 end
		 Result := stored_attribute_type_ids
	  end
   stored_attribute_type_ids : HASH_TABLE[INTEGER,STRING]
   attribute_id_types : HASH_TABLE[STRING,INTEGER] is
	  local
		 l_reader : SIMPLE_PREDICATE[ATTRIBUTE_TYPE_RECORD]
	  once
		 if stored_attribute_id_types = Void then
			create stored_attribute_id_types.make(100)
			create stored_attribute_type_ids.make(100)
			create l_reader.make(servers.brim_entities_server,"select * from attribute_type")
			l_reader.apply(agent add_attribute_type,Void,Void)
		 end
		 Result := stored_attribute_id_types
	  end
   stored_attribute_id_types : HASH_TABLE[STRING,INTEGER]
   add_attribute_type(a_record : ATTRIBUTE_TYPE_RECORD) is
	  do
		 a_record.name.to_upper
		 a_record.name.prune_all_trailing(' ')
		 stored_attribute_type_ids.put(a_record.attribute_type_id,a_record.name)
		 stored_attribute_id_types.put(a_record.name,a_record.attribute_type_id)
	  end
   add_attribute_type_record(a_table : HASH_TABLE[ATTRIBUTE_TYPE_RECORD,INTEGER];a_record : ATTRIBUTE_TYPE_RECORD) is
	  do
			a_table.put(clone(a_record),a_record.attribute_type_id)
	  end
end
