indexing
	description: "rose capital actions: non-renounceable bonus in other instrument given out"
	author: "Janet Small"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/capital_actions/capact_bonus_in_other.e $"

class
	CAPACT_BONUS_IN_OTHER
inherit 
	CAPACT_CAPITAL_ACTION
	CAPACT_OTHER
	CAPACT_NONRENOUNCEABLE
	rename
		set_new_shares_distribution as nonren_set_new_shares_distribution,
		set_old_shares_distribution as nonren_set_old_shares_distribution
	end
	CAPACT_DISTRIBUTION
	select		
		set_new_shares_distribution,set_old_shares_distribution
	end


feature -- Access

	name : STRING is 
		once
			Result := bonus_in_other_string
		end
	
	capital_action_type_id: INTEGER is 10  


feature -- Basic operations

	instantiate_data is 
		-- retrieve data items from storage
		do 
			instantiate_distribution_data
			instantiate_other_data
		end
		
	set_data_items is
		-- string_item and integer_item hash tables
		do 
			set_distribution_data_items
			set_other_data_items
		end


feature {NONE} -- Implementation

end
