note

	description:

		"rose capital action expression (temp?): features of an expression with no adj (adj=1 delta shares=0)"

	author: "Janet Small"
	last_editor: "$Author: it $"
	date: "$Date: 2012/05/22 $"
	revision: "$Revision: #7 $"
	path: "$File: //rose/source/kernel/capital_actions/expressions/capact_default_expression.e $"

deferred class
	CAPACT_DEFAULT_EXPRESSION
inherit
	CAPACT_EXPRESSION
	CAPACT_COMMON
	undefine
		default_create
	end


feature -- Access

	cash_outflow(a_currency:CURRENCY):DOUBLE is
		-- any money out as holder of the shares
		do
			Result := 0 --undefined_double causes problems
		end

	cash_inflow(a_currency:CURRENCY):DOUBLE is
		-- any money (including cash equivalent) that comes in to you as holder of the shares
		do
			Result := 0 --undefined_double causes problems
		end

	cash_dividend(a_currency:CURRENCY):DOUBLE is
		-- is this meant to be net of cash_inflow and cash_outflow? (1/27/07 user is mainly NC)
		do
			Result := 0
		end

	status_code : STRING is
			-- status from target
		do
			Result := target.status_code
		end

	adjustment_factor : DOUBLE is
			-- Is this the same as rmdat_adjustment_factor
		do
			Result := 1
		end

	share_factor : DOUBLE is
			-- Is this the same as share_multiplier?
		do
			Result := 1
		end

end
