indexing
	description: "rose capital action expression: preliminary subscription"
	author: "Janet Small"
	date: "$Date: 2009/11/06 $"
	revision: "$Revision: #6 $"
	archive: "$File: //rose/source/kernel/capital_actions/expressions/capact_preliminary_subscription_expression.e $"

class
	CAPACT_PRELIMINARY_SUBSCRIPTION_EXPRESSION
inherit
	CAPACT_DEFAULT_EXPRESSION
	CAPACT_PRELIMINARY_SUBSCRIPTION
		rename
			signature as target, exdate as integer_exdate, name as template_name
		undefine
			default_create
		end

create
	make,instantiate,make_empty

feature {NONE} -- Initialization

	instantiate (a_target: CAPACT_SIGNATURE_RECORD) is
			-- Create with 'a_target'
		do
			target := a_target
			set_signature(a_target)
			instantiate_all
			rmdat_adjustment_factor := 1
		end

feature -- Access

	processing_instruction (a_basis: RP_CORPORATE_ACTION_PROCESSING_SHARE_BASIS_TYPE;
		a_processing_system: RP_CORPORATE_ACTION_PROCESSING_SYSTEM): RP_CORPORATE_ACTION_PROCESSING_INSTRUCTIONS is
			-- processing corp action instruction
		do
		    create Result.make (a_basis, create {RP_SIMPLE_CORPORATE_ACTION}.make (exdate, a_processing_system.preliminary_subscription_instructions (Current)))
		end

feature -- Access

	name: STRING is
			-- Name
		do
			Result := "PRELIMINARY SUBSCRIPTION: F" + target.member_number.out
		ensure then
			result_not_void: Result /= Void
		end

end
