indexing
	description: "rose capital actions: renounceable bonus in same instrument given out"
	author: "Janet Small"
	date: "$Date: 2009/04/13 $"
	revision: "$Revision: #3 $"
	archive: "$File: //rose/source/kernel/capital_actions/capact_renounceable_bonus_in_same.e $"

class
	CAPACT_RENOUNCEABLE_BONUS_IN_SAME
inherit
		CAPACT_CAPITAL_ACTION
		CAPACT_RENOUNCEABLE
		CAPACT_CONVERSION
		rename
			first_trading_date as conversion_first_trading_date,
			set_first_trading_date as conversion_set_first_trading_date,
			first_trading_date_expression as conversion_first_trading_date_expression,
			last_trading_date as conversion_last_trading_date,
			set_last_trading_date as conversion_set_last_trading_date,
			last_trading_date_expression as conversion_last_trading_date_expression
		end


feature -- Access

	name : STRING is
		-- name of capital action type
		once
			Result := renounceable_bonus_in_same_string
		end

	capital_action_type_id: INTEGER is 11

feature -- Basic operations

	instantiate_data is
		-- retrieve data items from storage
		do
			instantiate_distribution_data
			instantiate_conversion_data
			instantiate_renounceable_data
		end

	set_data_items is
		-- string_item and integer_item hash tables
		do
			set_distribution_data_items
			set_conversion_data_items
			set_renounceable_data_items
		end


feature {NONE} -- Implementation

end
