indexing
	description: "rose capital actions: renounceable rights in same instrument given out"
	author: "Janet Small"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/capital_actions/capact_renounceable_rights_in_same.e $"

class
	CAPACT_RENOUNCEABLE_RIGHTS_IN_SAME
inherit
	CAPACT_CAPITAL_ACTION
	CAPACT_RENOUNCEABLE
	CAPACT_SUBSCRIPTION

feature -- Access

-- editable:
-- 	subscription_price (price of 1 new share)
-- 	bonus_rate: percent, per each unit that you hold  eg. for 20 shares entitled to 1, so  1/20 = .05
	-- (bonus_rate = delta_shares = new-shares_rate)
-- currency

 -- (renounceable): 
-- (participation rate)

-- calculate (old): 
	-- cash_rate = - ( bonus_rate * subscription_price ) 
	-- sh_factor = bonus_rate + 1
	


	name : STRING is 
		once
			Result :=renounceable_rights_in_same_string
		end
	
	capital_action_type_id: INTEGER is 15 
	
	cash_rate: DOUBLE is 
			-- 
		do
			Result := - (new_shares_rate  * subscription_price)
		end
 

feature -- Basic operations

	instantiate_data is
		-- retrieve data items from storage
		do 
			instantiate_distribution_data
			instantiate_subscription_data
			instantiate_renounceable_data
		end
		
	set_data_items is 
		-- string_item and integer_item hash tables
		do 
			set_distribution_data_items
			set_subscription_data_items
			set_renounceable_data_items
		end
feature {NONE} -- Implementation

end
