indexing
	description: "Template with attributes for stock dividends"
	author: "Janet Small"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"
	archive: "$File: //rose/source/kernel/capital_actions/capact_stock_dividend_template.e $"

class
	CAPACT_STOCK_DIVIDEND_TEMPLATE
inherit
	CAPITAL_ACTION_TEMPLATE
	CAPACT_COMMON

feature -- Access

	name: STRING is
		once
			Result := stock_dividend_string
		end

	capital_action_type_id: INTEGER is
		do
			Result := 5
		end

	dividend_rate: DOUBLE
	set_dividend_rate(a_value: like dividend_rate) is
			--
		do
			dividend_rate := a_value
		end


	in_lieu_cash_rate: DOUBLE
	set_in_lieu_cash_rate (a_value: like in_lieu_cash_rate) is
			--
	do
		in_lieu_cash_rate:= a_value
	end

	in_lieu_cash_currency: CURRENCY
	set_in_lieu_cash_currency(a_value: like in_lieu_cash_currency) is
			--
		do
			in_lieu_cash_currency := a_value
		end

	in_lieu_cash_currency_iso: STRING
	set_in_lieu_cash_currency_iso (a_value: like in_lieu_cash_currency_iso) is
			--
	do
		in_lieu_cash_currency_iso:= a_value
	end


	lotsize: INTEGER
	set_lotsize(a_value: like lotsize) is
			--
		do
			lotsize := a_value
		end

end -- class CAPACT_STOCK_DIVIDEND_TEMPLATE
