indexing
	description: "Com variant with safearray support"
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"

class
	COM_VARIANT2

	-- Replace ANY below by the name of parent class if any (adding more parents
	-- if necessary); otherwise you can remove inheritance clause altogether.
inherit
	COM_VARIANT

-- The following Creation_clause can be removed if you need no other
-- procedure than `default_create':

feature -- Access

	set_safearray (sa: COM_SAFEARRAY) is
			-- Set value to SAFEARRAY FAR * `sa'.
		require
			valid_c_structure: item /= default_pointer
		do
			c_variant_set_punkval (item, sa.item)
			safe_array_ := sa
			set_vt (VT_ARRAY + VT_VARIANT)
		end


	get_safearray : COM_SAFEARRAY is
			-- Get the safearray
		require
			valid_c_structure: item /= default_pointer
		do
			create safe_array_.make_from_pointer(c_variant_get_punkval (item))
			Result := safearray
			set_vt (VT_ARRAY + VT_VARIANT)
		end

	safearray: COM_SAFEARRAY is
			-- SafeArray value
		require
			valid_c_structure: item /= default_pointer
		do
			Result := safe_array_
		end

	from_any (a: ANY) is
		-- Convert from any
		local
			ir: INTEGER_REF
			dr: DOUBLE_REF
			s: STRING
			sa: COM_SAFEARRAY
		do
			ir ?= a
			dr ?= a
			s ?= a
			sa ?= a
			if (ir /= Void) then
				set_integer4 (ir.item)
			elseif (dr /= Void) then
				set_dblval (dr.item)
			elseif (s /= Void) then
				set_from_string (s)
			elseif (sa /= Void) then
				set_safearray(sa)
			else
				(create {EXCEPTIONS}).raise ("not implemented")
			end
		end

	safe_array_: COM_SAFEARRAY

end -- class COM_VARIANT2
















