indexing

	Description: "Base class for fast load"

deferred class

   DATA_SERVER_FAST_LOAD

feature -- Basic operations

   insert(an_item : ANY) is
      require
      	rowset_exists: rowset_exists
      deferred
      end

   commit is
      deferred
      end

feature -- Settings

   set_auto_commit(a_value : INTEGER) is
      require
      	can_auto_commit: can_auto_commit (a_value)
      deferred
      end

feature -- Status

	can_auto_commit (a_cow_count: INTEGER): BOOLEAN is
			-- Can commit a_row_count?
		do Result := true end

	rowset_exists: BOOLEAN is
			-- Does the rowset exist?
		do Result := true end



   success : BOOLEAN is
		-- Was the last operation successful?
      deferred
      end

   last_result : INTEGER is
      deferred
      end

end
