indexing
	description: "Filter that determines if a certain appender logs a log or not. "
	library: "elogger"
	copyright: "Copyright (c) 2006, AXA Rosenberg, and others (see copyright.txt)"
	author: "Ulrich Weiss, and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/infrastructure/logging/elog_filter.e $"

deferred class
	ELOG_FILTER

inherit

	ELOG_FILTER_CONSTANTS

feature -- Status report

	decide (event: ELOG_EVENT): INTEGER is
			-- Should 'event' be logged. Return one of Filter_accept,
			-- Filter_reject, or Filter_neutral.
		require
			event_exists: event /= Void
		deferred
		ensure
			valid_result: valid_filter_decision (Result)
		end

end
