indexing
	description: "Minimal Layout with affixes"
	library: "elogger"
	copyright: "Copyright (c) 2006, AXA Rosenberg, and others (see copyright.txt)"
	author: "Ulrich Weiss, and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/infrastructure/logging/layouts/elog_minimal_layout_affix.e $"

class ELOG_MINIMAL_LAYOUT_AFFIX

inherit

	ELOG_MINIMAL_LAYOUT
		undefine
			default_create
		redefine
			format
		end

	ELOG_AFFIX

feature -- Rendering

	format (event: ELOG_EVENT): STRING is
			-- Format contents of 'event' according to this layout's
			-- formatting rules.
			-- Format is: message
		do
			Result := prefix_string + event.message + postfix_string
		end

end
