indexing
	description: "Shared logging hierarchy. "
	library: "elogger"
	copyright: "Copyright (c) 2006, AXA Rosenberg, and others (see copyright.txt)"
	author: "Ulrich Weiss, and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #5 $"
	archive: "$File: //rose/source/kernel/infrastructure/logging/elog_shared_hierarchy.e $"

class ELOG_SHARED_HIERARCHY

inherit

	ELOG_SEVERITY_CONSTANTS
		export
			{NONE} all
		end

	ELOG_SHARED_SYSTEM_CLOCK
		export
			{NONE} all
		end
	ANY
feature -- Access

	log_hierarchy: ELOG_HIERARCHY is
			-- Shared logging hierarchy.
			-- Will have Unknown logging severity by default.
			-- No appenders will be created in this hierarchy.
			-- You will need to create and set appenders before
			-- log messages will appear.
		indexing
			once_status: global
		once
			create Result.make (Unknown_severity)
		end

end
