indexing
	description: "Logging XML configuration constants."
	library: "elogger"
	copyright: "Copyright (c) 2006, AXA Rosenberg, and others (see copyright.txt)"
	author: "Ulrich Weiss, and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/infrastructure/logging/config/elog_xml_config_constants.e $"

class ELOG_XML_CONFIG_CONSTANTS

feature -- Constants

	Elogger_namespace_uri: STRING is "https://origo.ethz.ch/svn/elogger/spec/config"

	Empty_namespace_uri: STRING is ""

	Appender_element_name: STRING is "appender"

	Param_element_name: STRING is "param"

	Category_element_name: STRING is "logger"

	Root_element_name: STRING is "root"

	Appenderref_element_name: STRING is "appender-ref"

	Filter_element_name: STRING is "filter"

	Layout_element_name: STRING is "layout"

	Name_attribute: STRING is "name"

	Value_attribute: STRING is "value"

	Type_attribute: STRING is "type"

	Synchronous_attribute: STRING is "issynchronous"

	Severity_attribute: STRING is "severity"

	Additive_attribute: STRING is "additive"

	Pattern_attribute: STRING is "pattern"

	Ref_attribute: STRING is "ref"

	Stdout_appender_type: STRING is "stdout"

	Stderr_appender_type: STRING is "stderr"

	File_appender_type: STRING is "file"

	Rollingfile_appender_type: STRING is "rollingfile"

	Calendarrolling_appender_type: STRING is "calendarrolling"

	Severitymatch_filter_type: STRING is "severitymatch"

	Severityrange_filter_type: STRING is "severityrange"

	Prioritymatch_filter_type: STRING is "prioritymatch"

	Priorityrange_filter_type: STRING is "priorityrange"

	Stringmatch_filter_type: STRING is "stringmatch"

	And_filter_type: STRING is "andfilter"

	Or_filter_type: STRING is "orfilter"

	Datetime_layout_type: STRING is "datetime"

	Pattern_layout_type: STRING is "pattern"

	Simple_layout_type: STRING is "simple"

	Time_layout_type: STRING is "time"

	Filename_param_name: STRING is "filename"

	Append_param_name: STRING is "append"

	Maxsize_param_name: STRING is "maxsize"

	Numbackups_param_name: STRING is "numbackups"

	Severity_param_name: STRING is "severity"

	Severitystart_param_name: STRING is "severitystart"

	Severityend_param_name: STRING is "severityend"

	Match_param_name: STRING is "match"

	String_param_name: STRING is "string"

	Pattern_param_name: STRING is "pattern"

	Rejects_anded_param_name: STRING is "rejectsanded"

	Rejects_ored_param_name: STRING is "rejectsored"

end
