class ENTITY_ATTRIBUTE_RECORD
inherit
	ENTITY_ATTRIBUTE_RECORD_BASE
	
	DEBUG_OUTPUT
feature

	brackets(a_date: ROSE_DATE): BOOLEAN is
	do
		Result :=
			start_date.date<=a_date and end_date_greater_than(a_date)
	end

	end_date_greater_than(a_date: ROSE_DATE): BOOLEAN is
	-- Note that if a_date and end_date are both 12/31/9999 then Result := True.
	do
		Result :=
			(end_date.date>a_date or (a_date.is_undetermined and end_date.is_undetermined))
	end
	set_string_info (a_info : STRING) is
		do
			string_info := a_info
		end
	string_info : STRING
	debug_output : STRING is
		do
			Result := category_id.out + ":" + entity_id.out + ":" + attribute_type_id.out + ":" + attribute_value
		end
end
