indexing
   
   description: "Matches row in Entity_Id_Map table"
   status: "Development"
   author: "David Stevens"
   date: "$Date: 2008/12/01 $"
   revision: "$Revision: #5 $"
   
class
   
   ENTITY_ID_MAP_ROW
inherit ANY
   
feature -- Access
   
   category_id: INTEGER
   
   entity_id: INTEGER
   
   supplier_product_id: INTEGER
   
   supplier_entity_id: INTEGER
   
   start_date: ROSE_DATE
   
   end_date: ROSE_DATE
   
   update_date: ROSE_DATE
   
feature -- Element Change
   
   set_category_id (a_value: like category_id) is
      do
	 category_id := a_value
      end
   
   set_entity_id (a_value: like entity_id) is
      do
	 entity_id := a_value
      end
   
   set_supplier_product_id (a_value: like supplier_product_id) is
      do
	 supplier_product_id := a_value
      end
   
   set_supplier_entity_id (a_value: like supplier_entity_id) is
      do
	 supplier_entity_id := a_value
      end
   
   set_start_date (a_value: like start_date) is
      do
	 start_date := a_value
      end
   
   set_end_date (a_value: like end_date) is
      do
	 end_date := a_value
      end
   
   set_update_date (a_value: like update_date) is
      do
	 update_date := a_value
      end
   
end
