indexing
   
   description: "Entity_Transition."
   status: "Development"
   author: "David Stevens"
   date: "$Date: 2008/12/01 $"
   revision: "$Revision: #11 $"
   
class
   
   ENTITY_TRANSITION
inherit ANY
   
create
   
   make,
   default_create
   
feature -- Initialization
   
   make is
      do
      end
      
feature -- Access 
   
   entity_id: INTEGER
   
   transition_type_id: INTEGER
   
   transition_date: ROSE_DATE
   
   transition_event_id: INTEGER
   
   update_date: ROSE_DATE
   
feature -- Element change
   
   set_entity_id (a_value: like entity_id) is
      do
	 entity_id := a_value
      end
   
   set_transition_type_id (a_value: like transition_type_id) is
      do
	 transition_type_id := a_value
      end
   
   set_transition_date (a_value: like transition_date) is
      do
	 transition_date := a_value
      end
   
   set_transition_event_id (a_value: like transition_event_id) is
      do
	 transition_event_id := a_value
      end
   
   set_update_date (a_value: like update_date) is
      do
	 update_date := a_value
      end
   
end
