indexing
	description: "Excel chart axis"
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"

class
	EXCEL_AXIS

inherit
	COM_DISPATCH

create

	make_by_pointer

feature -- Operations


	set_title (a_text: STRING) is
			-- 	
		require
			a_text_not_void: a_text /= Void
		local
			t: EXCEL_CHART_TITLE
			c: EXCEL_CHARACTERS
			ch: COM_HELPER
		do
			create ch
			set_has_title (true)
			t := axis_title
			c := t.characters ( ch.missing, ch.missing)
			if (c /= Void) then
				c.set_text (a_text)
				c.release
			end
			t.release
		end

	set_Minimum_Scale(i: INTEGER) is
			-- Se the minimum scale
		do
			set_integer_property (get_id ("MinimumScale"), i)
		end

	set_Maximum_Scale(i: INTEGER) is
			-- 	
		do
			set_integer_property (get_id ("MaximumScale"), i)
		end





	axis_title: EXCEL_CHART_TITLE is
		local
			PP: POINTER
		do
			pp := get_dispatch_property (get_id ("AxisTitle"))
			if pp /= default_pointer then
				create Result.make_by_pointer (pp)
				release_variant
			end
		end

	set_has_title (b: BOOLEAN) is
		local
			v: COM_VARIANT
		do
			create v
			v.init
			v.set_boolean (b)
			put_property (get_id ("HasTitle"), v)
		end

end
