indexing
	description: "COM encapsulationg of an Excel font"

class EXCEL_FONT

inherit
	COM_DISPATCH

create

	make_by_pointer

feature -- Basic operations

	set_name (n: STRING) is
			-- Set the face name of the font
		do
			set_string_property (get_id ("Name"), n)
		end
	set_font_style (n: STRING) is
			-- Set the font style
		do
			set_string_property (get_id ("FontStyle"), n)
		end

	set_italic (a_value: BOOLEAN) is
			-- Set the italic value
		do
			set_boolean_property (get_id ("Italic"), a_value)
		end

	set_bold (a_value: BOOLEAN) is
			-- Set the bold value
		do
			set_boolean_property (get_id ("Bold"), a_value)
		end

	set_size (i: INTEGER) is
			-- Set the size of the font
		do
			set_integer_property (get_id ("Size"), i)
		end

	set_color (i: INTEGER) is
			-- Set the color of the font
		do
			set_integer_property (get_id ("Color"), i)
		end

end
