indexing
	description: "COM encapsulation of the background of a cells"
	documentation: "[
		http://prism/modules/wacko/wakka.php?wakka=HomePage\...
	]"
	keywords: "keyword1, keyword2"
	author: ""
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #5 $"
	path: "$File: //rose/source/kernel/infrastructure/windows/classic/excel_interior.e $"

class
	EXCEL_INTERIOR
inherit
	COM_DISPATCH
create
	make_by_pointer


feature -- Access

feature -- Basic operations

	set_rgb_color (a_red, a_green,a_blue: INTEGER) is
			-- Set the color from red, green and blue components
		require
			valid_red: a_red >= 0 and a_red <= 255
			valid_green: a_green >= 0 and a_green <= 255
			valid_blue: a_blue >= 0 and a_blue <= 255
			local
				d: DOUBLE
			do
				d := a_red + a_green * 256 + a_blue * 256 * 256
				set_double_color (d)
			end
		set_double_color (a_color: DOUBLE) is
			-- Set the color as a double
		do
			set_double_property (get_id ("Color"), a_color)
		end

feature {NONE} -- Implementation

end
