indexing
	description: "Represents a list of pictures in an Excel spreadsheet"
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #5 $"

class
	EXCEL_PICTURES

inherit

	COM_DISPATCH
create
	make_by_pointer

feature -- Initialization

	insert_new (a_file_name: STRING): EXCEL_PICTURE is
			-- Add a picture from file in the Current list.
		require
			a_file_name_not_void: a_file_name /= Void
		do
			dispparams.init
			function_exception.init
			g_variant.init
			g_variant.set_from_string (a_file_name)
			dispparams.add_argument (g_variant)
			g_variant.init
			invoke (get_id ("Insert"), Dispatch_propertyget, dispparams, g_variant, function_exception)
			check_result
			if g_variant.dispatch_pointer /= default_pointer then
				create Result.make_by_pointer (g_variant.dispatch_pointer)
			end
			release_variant
		end


	insert (a_file_name: STRING) is
			-- Add a picture from file in the Current list.
		require
			a_file_name_not_void: a_file_name /= Void
		do
			dispparams.init
			function_exception.init
			g_variant.init
			g_variant.set_from_string (a_file_name)
			dispparams.add_argument (g_variant)
			g_variant.init
			invoke (get_id ("Insert"), Dispatch_propertyget, dispparams, g_variant, function_exception)
			check_result
			if g_variant.dispatch_pointer /= default_pointer then
			end
			release_variant
		end


end
