note

	description:

		"Internal fund issue"

	author: "Janet Small"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #18 $"
	path: "$File: //rose/source/kernel/investment_entities/fund_issue.e $"

class FUND_ISSUE
inherit
	INSTRUMENT
		undefine
			is_equal
		end
	INVESTMENT_ENTITY
		undefine
			peer_anchor
		redefine
			ur_targets
		end
	PERSISTENT_FUND_ISSUE
		undefine
			context,
			make,
			make_context,
			ur_targets,
			corelated_entities,
			corelationships,
			debug_output
		end

create

	make,
	make_with_zone_xrf,
	make_anonymous

feature -- Basic operations

	name (a_date : ROSE_DATE) : STRING is
		-- Name as of `a_date'.
	  do
		 Result := name_at(a_date)
	  end

	register  is
			-- Register this entity.
		do
			if zone /= void then
				zone.add_fund_issue(Current)
			end
		end

	adjusted_last_price (a_as_of_date,a_date : ROSE_DATE) : REAL is
				-- ???
		do
			--???
		end
	return (a_start_date,a_end_date : ROSE_DATE) : REAL 
			--Do nothing
		do
		end

	ur_targets : ROSE_LINEAR_ARRAY[ROSE_ENTITY_DATE[FUND_ISSUE]] 
			--Nominal targets
  		once
 			create Result.make_empty
		end

end








