note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, asfa_recipient"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #18 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_asfa_recipient_base.e $"

deferred class
	GCDB_ASFA_RECIPIENT_BASE

inherit
	PERSISTENT_ASFA_RECIPIENT
		export
			{GCDB_ASFA_RECIPIENT_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_ASFA_RECIPIENT_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.asfa_recipient_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	portfolio_history: ROSE_ENTITY_HISTORY[GCDB_PORTFOLIO] is
			-- history of GCDB doesn't have description for this attribute/relationship
		do
			Result := context.asfa_recipient_to_portfolio.related_entity_intervals (upcast)
		end

	portfolio: GCDB_PORTFOLIO is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := portfolio_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	routing_type: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10235, as_of_date)
		end

	message_type: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10236, as_of_date)
		end

	batch_id: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10237, as_of_date)
		end

	destination_system: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10238, as_of_date)
		end

	destination_reference: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10239, as_of_date)
		end

end -- GCDB_ASFA_RECIPIENT