note

	description:

		"Automagically Generated -- Swift options required by a bank"

	keywords: "entity, gcdb, bank_swift_option"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #9 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_bank_swift_option_base.e $"

deferred class
	GCDB_BANK_SWIFT_OPTION_BASE

inherit
	PERSISTENT_BANK_SWIFT_OPTION
		export
			{GCDB_BANK_SWIFT_OPTION_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_BANK_SWIFT_OPTION_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code,
					entity_at, start_date, end_date,
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.bank_swift_option_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	bank_history: ROSE_ENTITY_HISTORY[GCDB_BANK] is
			-- history of GCDB doesn't have description for this attribute/relationship
		do
			Result := context.bank_swift_option_to_bank.related_entity_intervals (upcast)
		end

	bank: GCDB_BANK is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := bank_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	pset_history: ROSE_ENTITY_HISTORY[GCDB_PSET] is
			-- history of GCDB doesn't have description for this attribute/relationship
		do
			Result := context.bank_swift_option_to_pset.related_entity_intervals (upcast)
		end

	pset: GCDB_PSET is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := pset_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	swft_option_history: ROSE_ENTITY_HISTORY[GCDB_SWIFT_OPTION] is
			-- history of GCDB doesn't have description for this attribute/relationship
		do
			Result := context.bank_swift_option_to_swift_option.related_entity_intervals (upcast)
		end

	swft_option: GCDB_SWIFT_OPTION is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := swft_option_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	branch: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10650, as_of_date)
		end

end -- GCDB_BANK_SWIFT_OPTION
