indexing

	description:

		"GCDB Becnhmark"

	keywords: "entity, gcdb, benchmark"
	last_editor: "$Author: dv $"
	date: "$Date: 2009/11/02 $"
	revision: "$Revision: #16 $"

class GCDB_BENCHMARK

inherit

	GCDB_BENCHMARK_BASE

create

	make,
	make_anonymous

feature -- Access

	month_to_date_return_source: STRING is
			-- Month-to-date return source
		do
			Result := attribute_from_supplier_attribute_id_at (10547, as_of_date)
		ensure
			month_to_date_return_source_may_be_void: True
		end

	monthly_return_source: STRING is
			-- Monthly return source
		do
			Result := attribute_from_supplier_attribute_id_at (10548, as_of_date)
		ensure
			monthly_return_source_may_be_void: True
		end

	last_known_name: STRING is
			-- Last known descriptive name
		do
			if attribute_value_history (46).is_empty then
				Result := ""
			else
				Result := attribute_value_history (46).last.attribute_value
			end
		end

end -- GCDB_BENCHMARK
