note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, distributor"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #7 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_distributor_base.e $"

deferred class
	GCDB_DISTRIBUTOR_BASE

inherit
	PERSISTENT_DISTRIBUTOR
		export
			{GCDB_DISTRIBUTOR_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_DISTRIBUTOR_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.distributor_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	code: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10465, as_of_date)
		end

	name: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10466, as_of_date)
		end

	accounts_by_distributed_by_history: ROSE_ENTITY_HISTORY[GCDB_ACCOUNT] is
			-- history of distributor to account by distributed_by
		do
			Result := context.account_to_distributed_by.corelated_entity_intervals (upcast)
		end

	accounts_by_distributed_by: ROSE_LINEAR_ARRAY[GCDB_ACCOUNT] is
			-- distributor to account by distributed_by (340)
		do
			Result := accounts_by_distributed_by_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

end -- GCDB_DISTRIBUTOR