note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, selection_universe"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #14 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_selection_universe_base.e $"

deferred class
	GCDB_SELECTION_UNIVERSE_BASE

inherit
	PERSISTENT_UNIVERSE
		export
			{GCDB_SELECTION_UNIVERSE_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_SELECTION_UNIVERSE_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.universe_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	code: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (472, as_of_date)
		end

	is_externally_reportable: BOOLEAN is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := boolean_attribute_value (474, as_of_date)
		end

	portfolios_by_selection_universe_history: ROSE_ENTITY_HISTORY[GCDB_PORTFOLIO] is
			-- history of selection_universe to portfolio by selection_universe
		do
			Result := context.portfolio_to_selection_universe.corelated_entity_intervals (upcast)
		end

	portfolios_by_selection_universe: ROSE_LINEAR_ARRAY[GCDB_PORTFOLIO] is
			-- selection_universe to portfolio by selection_universe (290)
		do
			Result := portfolios_by_selection_universe_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

end -- GCDB_SELECTION_UNIVERSE