note

	description:

		"Automagically Generated -- Optional features implemented in code that control the generated swift messages."

	keywords: "entity, gcdb, swift_option"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #8 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_swift_option_base.e $"

deferred class
	GCDB_SWIFT_OPTION_BASE

inherit
	PERSISTENT_SWIFT_OPTION
		export
			{GCDB_SWIFT_OPTION_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_SWIFT_OPTION_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.swift_option_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	code: STRING is
			-- Mnemonic that Eiffel code uses to activate this option.
		do
			Result := attribute_from_supplier_attribute_id_at (10642, as_of_date)
		end

	name: STRING is
			-- Description of the option.
		do
			Result := attribute_from_supplier_attribute_id_at (10643, as_of_date)
		end

	bank_swift_options_by_swft_option_history: ROSE_ENTITY_HISTORY[GCDB_BANK_SWIFT_OPTION] is
			-- history of swift_option to bank_swift_option by swft_option
		do
			Result := context.bank_swift_option_to_swift_option.corelated_entity_intervals (upcast)
		end

	bank_swift_options_by_swft_option: ROSE_LINEAR_ARRAY[GCDB_BANK_SWIFT_OPTION] is
			-- swift_option to bank_swift_option by swft_option (345)
		do
			Result := bank_swift_options_by_swft_option_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

end -- GCDB_SWIFT_OPTION