indexing

	description: "GCDB Entity Templates -- Automagically Generated"

	keywords: "entity, gcdb, templates"
	date: "$Date: 2009/07/29 $"
	sccid: "$Id: //rose/source/kernel/gcdb/generated/gcdb_templates.e#23 $"

class GCDB_TEMPLATES

inherit

    ENTITY_TEMPLATES
        undefine
			portfolio_template,
			account_template,
			client_template,
			benchmark_template,
			imc_template,
			composite_template,
			broker_template,
			settlement_chain_template,
			country_template,
			security_type_template,
			swift_recipient_template,
			currency_template,
			pset_template,
			tax_template,
			asfa_recipient_template,
			portfolio_group_template,
			country_group_template,
			bank_template,
			bank_account_template,
			country_tax_template,
			client_type_template,
			investment_region_template,
			strategy_type_template,
			investment_tax_template,
			tax_type_template,
			fund_participant_template,
			distributor_template,
			universe_template,
			reporting_attribution_model_template,
			swift_option_template,
			bank_swift_option_template,
			dividend_reinvestment_model_template,
			property_template,
			class_template,
			role_template,
			activity_template,
			property_role_activity_template
		end

feature -- Templates

			portfolio_template: GCDB_PORTFOLIO
					--|
				do
				end

			account_template: GCDB_ACCOUNT
					--|
				do
				end

			client_template: GCDB_CLIENT
					--|
				do
				end

			benchmark_template: GCDB_BENCHMARK
					--|
				do
				end

			imc_template: GCDB_IMC
					--|
				do
				end

			composite_template: GCDB_PRODUCT
					--|
				do
				end

			broker_template: GCDB_BROKER
					--|
				do
				end

			settlement_chain_template: GCDB_SETTLEMENT_CHAIN
					--|
				do
				end

			country_template: GCDB_COUNTRY
					--|
				do
				end

			security_type_template: GCDB_INSTRUMENT_TYPE
					--|
				do
				end

			swift_recipient_template: GCDB_SWIFT_RECIPIENT
					--|
				do
				end

			currency_template: GCDB_CURRENCY
					--|
				do
				end

			pset_template: GCDB_PSET
					--|
				do
				end

			tax_template: GCDB_TAX
					--|
				do
				end

			asfa_recipient_template: GCDB_ASFA_RECIPIENT
					--|
				do
				end

			portfolio_group_template: GCDB_PORTFOLIO_GROUP
					--|
				do
				end

			country_group_template: GCDB_COUNTRY_GROUP
					--|
				do
				end

			bank_template: GCDB_BANK
					--|
				do
				end

			bank_account_template: GCDB_BANK_ACCOUNT
					--|
				do
				end

			country_tax_template: GCDB_COUNTRY_TAX
					--|
				do
				end

			client_type_template: GCDB_CLIENT_TYPE
					--|
				do
				end

			investment_region_template: GCDB_INVESTMENT_REGION
					--|
				do
				end

			strategy_type_template: GCDB_STRATEGY_TYPE
					--|
				do
				end

			investment_tax_template: GCDB_INVESTMENT_TAX
					--|
				do
				end

			tax_type_template: GCDB_TAX_TYPE
					--|
				do
				end

			fund_participant_template: GCDB_FUND_PARTICIPANT
					--|
				do
				end

			distributor_template: GCDB_DISTRIBUTOR
					--|
				do
				end

			universe_template: GCDB_SELECTION_UNIVERSE
					--|
				do
				end

			reporting_attribution_model_template: GCDB_REPORTING_ATTRIBUTION_MODEL
					--|
				do
				end

			swift_option_template: GCDB_SWIFT_OPTION
					--|
				do
				end

			bank_swift_option_template: GCDB_BANK_SWIFT_OPTION
					--|
				do
				end

			dividend_reinvestment_model_template: GCDB_DIVIDEND_REINVESTMENT_MODEL
					--|
				do
				end

			property_template: GCDB_PROPERTY
					--|
				do
				end

			class_template: GCDB_CLASS
					--|
				do
				end

			role_template: GCDB_ROLE
					--|
				do
				end

			activity_template: GCDB_ACTIVITY
					--|
				do
				end

			property_role_activity_template: GCDB_PROPERTY_ROLE_ACTIVITY
					--|
				do
				end

end -- GCDB_TEMPLATES
