note

	description:

		"Government issuers of instruments such as treasury bills, municipal bonds, etc"

	author: "Janet Small"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #16 $"
	path: "$File: //rose/source/kernel/investment_entities/government_issuer.e $"

class GOVERNMENT_ISSUER
inherit
	INVESTMENT_ENTITY
		undefine
			peer_anchor,
			ur_targets
		end
	PERSISTENT_GOVERNMENT_ISSUER
		undefine
			context,
			make,
			make_context,
			expression_tag,
			ur_targets,
			corelated_entities,
			corelationships,
			debug_output
		end

create

	make,
	make_with_zone_xrf,
	make_anonymous

feature -- Basic operations

	name (a_date : ROSE_DATE) : STRING is
		-- Name as of `a_date'.
	  do
		 Result := name_at(a_date)
	  end

	register  is
			-- Register this entity.
		do
			if zone /= void then
				zone.add_government_issuer(Current)
			end
		end

	adjusted_last_price (a_as_of_date,a_date : ROSE_DATE) : REAL is
			-- ???
		do
			--???
		end
	return (a_start_date,a_end_date : ROSE_DATE) : REAL is
			--Do nothing
		do
		end

	ur_targets : ROSE_LINEAR_ARRAY[ROSE_ENTITY_DATE[GOVERNMENT_ISSUER]] is
			--Nominal targets
  		once
 			create Result.make_empty 
		end


end




