indexing

	description: "DOUBLEs in GUI testing script language"

	author: "Colin Adams"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/05/20 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/infrastructure/framework/gui/script_interpreter/gui_script_double.e $"

class GUI_SCRIPT_DOUBLE

inherit

	GUI_SCRIPT_VALUE
		redefine
			value
		end

create

	make

feature {NONE} -- Initialization

	make (a_value: DOUBLE) is
			-- Initialize `Current'.
		do
			value := a_value
		ensure
			value_set: value = a_value
		end

feature -- Access

	value: !DOUBLE_REF
			-- Result from calling `evaluate'.

feature -- Basic operations
	
	evaluate (a_env: GUI_SCRIPT_ENVIRONMENT) is
			-- Set `value'.
		do
			-- nothing to do
		end
	
end
