indexing

	description: "Objects in GUI testing script language with an error status"

	author: "Colin Adams"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/05/20 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/infrastructure/framework/gui/script_interpreter/gui_script_entity.e $"

class GUI_SCRIPT_ENTITY

feature -- Access

	last_error_message: STRING
			-- Last error message produced by `execute'

feature -- Status report

	is_error: BOOLEAN
			-- Did last call to `execute' yield an error?

feature -- Setting

	set_error (a_message: STRING) is
			-- Set in error.
		require
			a_message_not_void: a_message /= Void
		do
			is_error := True
			last_error_message := a_message
		ensure
			in_error: is_error
			last_error_message_set: last_error_message = a_message
		end

end
	
