indexing

	description: "Commands that exit the Vision2 application in GUI testing script language"

	author: "Colin Adams"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/05/20 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/infrastructure/framework/gui/script_interpreter/gui_script_exit.e $"

class GUI_SCRIPT_EXIT

inherit

	GUI_SCRIPT_COMMAND
		redefine
			execute
		end

create

	make

feature -- Basic operations
	
	execute (a_env: GUI_SCRIPT_ENVIRONMENT) is
			-- Execute `Current'.
		do
			if arguments.count > 0 then
				set_error ("exit does not accept any arguments")
			else
				a_env.application.stop_processing
				a_env.application.destroy
			end
		end

end
