indexing

	description: "Functions that the pebble in GUI testing script language"

	author: "Colin Adams"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/05/20 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/infrastructure/framework/gui/script_interpreter/gui_script_pebble.e $"

class GUI_SCRIPT_PEBBLE

inherit

	GUI_SCRIPT_FUNCTION_CALL

create

	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
			name := "pebble"
			function_agent := agent pebble
		end

feature {NONE} -- Implementation

	pebble: GUI_SCRIPT_TARGET is
			-- Pebble picked from `target.target'
		require
			target_not_void: target /= Void
		local
			l_pebble: ANY
		do
			if {l_grid_cell: RP_DATA_GRID_ITEM} target.target then
				l_pebble := l_grid_cell.pebble_agent.item ([l_grid_cell])
				if l_pebble /= Void then
					create Result.make (l_pebble)
				end
			end
		end

end

	
