indexing

	description: "Functions that return the selected item from an EV_NOTEBOOK in GUI testing script language"

	author: "Colin Adams"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/05/20 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/infrastructure/framework/gui/script_interpreter/gui_script_selected_item.e $"

class GUI_SCRIPT_SELECTED_ITEM

inherit

	GUI_SCRIPT_FUNCTION_CALL

create

	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
			name := "selected_item"
			function_agent := agent selected_item
		end

feature {NONE} -- Implementation

	selected_item: GUI_SCRIPT_TARGET is
			-- Selected item in `target.target' if it's an EV_NOTEBOOK
		require
			target_not_void: target /= Void
		do
			if {l_notebook: EV_NOTEBOOK} target.target then
				if not l_notebook.is_empty then
					create Result.make (l_notebook.selected_item)
				end
			end
		end

end

	
