indexing
	description: "An investment entity held by a parent over an interval."
	author: "Michael Zhang"
	date: "$Date: 2010/04/28 $"
	revision: "$Revision: #7 $"

class
	HOLDING_INTERVAL [G -> INVESTMENT_ENTITY]

inherit
	ROSE_CLOSED_OPEN_INTERVAL [G]
		rename
			weight as units,
			item as entity	-- this should really be called holding (not entity)
		end

create
	make

feature -- Access
	parent: ENTITY
			-- Entity which holds `Current'.

feature -- Basic Operations
	set_parent (a_parent : ENTITY)
			-- Set `parent' with `as_parent'.
		do
			Parent := a_parent
		end
end

