note

	description:

		"Identifiers ... objects which handle relationships between entities and attributes"

	author: "Mark Howard"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #20 $"
	path: "$File: //rose/source/kernel/identifiers/investment_entity_identifiers.e $"

deferred class
	INVESTMENT_ENTITY_IDENTIFIERS
feature --Access
	brim : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("brim code")
		end
	company_name : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("company name")
		end
	cusip : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("cusip")
		end
	extel : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("extel code")
		end
	fcxrf : like context.entity_identifier_template
		do
			Result := context.zonal_identifier_from_name("fcxrf code")
		end
	fsxrf : like context.entity_identifier_template
		do
			Result := context.zonal_identifier_from_name("fsxrf code")
		end
	ftgs : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("ftgs")
		end
	global_vantage : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("global vantage code")
		end
	isin : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("isin code")
		end
	iso : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("iso code")
		end
	listing_description : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("listing description")
		end
	local_code : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("local code")
		end
	mnemonic_identifier : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("mnemonic")
		end
	msci : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("msci")
		end
	name_identifier : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("name")
		end
	nikkei : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("nikkei code")
		end
	old_positional_identifier : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("old positional id")
		end
	reuters : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("reuters code")
		end
	riemsym : like context.entity_identifier_template
		do
			Result := context.zonal_identifier_from_name("riemsym code")
		end
	security_description : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("security description")
		end
	sedol : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("sedol")
		end
	telekurs : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("telekurs code")
		end
	ticker : like context.entity_identifier_template
		do
			Result := context.zonal_identifier_from_name("ticker")
		end
	tse : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("tse code")
		end
	valoren : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("valoren code")
		end
	worldscope : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("worldscope code")
		end
	worldvest : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("worldvest code")
		end
	xrf : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("xrf code")
		end
	zone_code : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("zone code")
		end
	company_cusip : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("company cusip")
		end
	xrf_zone : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("xrfzone")
		end

	asset_class : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("asset class")
		end

	fund_class : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("fund class")
		end

	risk_region : like context.entity_identifier_template
		do
			Result := context.identifier_from_name("risk region")
		end

	context : ROSE_CONTEXT is
		deferred
		end
end -- class INVESTMENT_ENTITY_IDENTIFIERS

