indexing
	description: "ROSE_CONTEXT versions of business objects"
	author: "Mark Howard"
	date: "$Date: 2009/08/05 $"
	revision: "$Revision: #29 $"

class
	INVESTMENT_TEMPLATES
inherit
	ENTITY_TEMPLATES
		undefine
			company_template,
			security_template,
			market_listing_template,
			listing_template,
			country_template,
			currency_template,
			exchange_template,
			industry_template,
			investment_region_template,
			similars_group_template,
			portfolio_template,
			economic_sector_template,
			economic_sector_group_template,
			entity_template,
			government_issuer_template,
			government_issue_template,
			government_issue_listing_template,
			bond_template,
			bond_listing_template,
			fund_template,
			fund_issue_template,
			fund_listing_template,
			future_details_template,
			future_template,
			future_listing_template,
			market_index_template,
			market_index_listing_template,
			sector_template
		end
feature  --Access
	company_template : COMPANY is
			--template
		do end
	security_template : SECURITY is do end
	market_listing_template : MARKET_LISTING is do end
	listing_template : LISTING is do end
	country_template : COUNTRY is do end
	currency_template : CURRENCY is do end
	exchange_template : EXCHANGE is do end
	future_details_template : FUTURE_DETAILS is do end
	industry_template : INDUSTRY is do end
	investment_region_template : INVESTMENT_REGION is do end
	zonal_entity_identifier_template : ZONAL_ENTITY_IDENTIFIER is do end
	portfolio_template : PORTFOLIO is do end
	similars_group_template : SIMILARS_GROUP is do end
	economic_sector_template : ECONOMIC_SECTOR is do end
	economic_sector_group_template : ECONOMIC_SECTOR_GROUP is do end
	zone_template : ZONE[LOCATION] is do end
	entity_template : ENTITY is do end
	government_issuer_template : GOVERNMENT_ISSUER is do end
	government_issue_template : GOVERNMENT_ISSUE is do end
	government_issue_listing_template : GOVERNMENT_ISSUE_LISTING is do end
	bond_template : BOND is do end
	bond_listing_template : BOND_LISTING is do end
	fund_template : FUND is do end
	fund_issue_template : FUND_ISSUE is do end
	fund_listing_template : FUND_LISTING is do end
	future_template : FUTURE is do end
	future_listing_template : FUTURE_LISTING is do end
	market_index_template : MARKET_INDEX is do end
	market_index_listing_template : MARKET_INDEX_LISTING is
			-- template
		do end
	sector_template : SECTOR is
			-- template
		do end

end -- class INVESTMENT_TEMPLATES






