note

	description:

		"Entity which puts out investment issues."

	keywords: "Persistence, Issuer"
	author: "David Stevens"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #8 $"
	path: "$File: //rose/source/kernel/investment_entities/issuer.e $"

deferred class

   ISSUER
inherit
	ANY
		undefine
			is_equal
		end
feature --Access

	issuer_name_key (a_date: ROSE_DATE): STRING is deferred end

	issuer_name_most_recent_key (a_date: ROSE_DATE): STRING is deferred end

	country (a_date : ROSE_DATE): like context.country_template is deferred end

feature {NONE} --Implementation

	max_string: STRING 
		do
			Result := "%/255/"
		end

	max_date: ROSE_DATE 
			--Max date
		do
			create Result.make_max_date
		end

	context : SUPPLIER_CONTEXT
			--Underlying context
		deferred
		end
end -- class ISSUER
