indexing
	description: ""
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"
	archive: "$File: //rose/source/kernel/investment_entities/legacy_instrument.e $"

deferred class
	LEGACY_INSTRUMENT
inherit
	PRICEABLE
	INVESTMENT_ENTITY
		undefine
			is_equal,
			peer_anchor,
			zone,
			ur_targets,
			id_string,
			make_with_zone_xrf,
			corelationships,
			corelated_entities,
			make
		end
feature
	asset_class_code (a_date: ROSE_DATE) : STRING is
			-- 
		deferred
		end
		
	risk_region_code (a_date: ROSE_DATE) : STRING is
			-- 
		deferred
		end

feature
	sedol_code (a_date : ROSE_DATE) : STRING is
		do
			Result := sedol.most_recent_key (Current, a_date)
		end
	tse_code (a_date : ROSE_DATE) : STRING is
		do
			Result := tse.most_recent_key (Current, a_date)
		end
	cusip_code (a_date : ROSE_DATE) : STRING is
		do
			Result := cusip.most_recent_key (Current, a_date)
		end
	reuters_code (a_date : ROSE_DATE) : STRING is
		do
			Result := reuters.most_recent_key (Current, a_date)
		end
	isin_code  (a_date : ROSE_DATE) : STRING is
		do
			Result := isin.most_recent_key (Current, a_date)
		end

		
end
