indexing
	description: "Representation for market index prices"
	author: "Janet Small"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #17 $"
	path: "$File: //rose/source/kernel/investment_entities/market_index_listing.e $"

class
	MARKET_INDEX_LISTING

inherit
	INVESTMENT_ENTITY
		undefine
			peer_anchor,
			ur_targets
		end
	PERSISTENT_MARKET_INDEX_LISTING
		undefine
			context,
			make,
			make_context,
			corelated_entities,
			corelationships,
			issue,
			debug_output
		end

	create
	make,
	make_with_zone_xrf,
	make_anonymous

feature -- Basic operations

	register  is
			-- Register this entity.
		do
			if zone /= void then
				zone.add_market_index_listing(Current)
			end
		end

feature -- Access

	issue: like context.market_index_template is
			-- The first corelated market_xindex to this listing
		do
			Result := something_corelated_by_market_index_to_market_index_listing
		end

end








