indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #4 $"

class
	MATRIX_OPERATIONS [G-> ABSTRACT_MATRIX create make end]

feature

	transpose(m: ABSTRACT_READABLE_MATRIX) : G is
		local
			i,j : INTEGER
		do
			create Result.make(m.width,m.height)
			from i := 1 until i > m.height loop
				from j := 1 until j > m.width loop
				--	Result.put(m.item(i,j),j,i)
					Result[j, i] := m[i, j]
					j := j + 1
				end
				i := i + 1
			end
		end

	squared_norm (m: ABSTRACT_READABLE_MATRIX): G is
		--if this is a column vector then this is really the squared norm...there does not seem to be a good name
		--for this in the literature.  Even though it is just the transpose of current times current, we compute it
		--explicitly because it is symmetric and so we can do it in half the time.
		local
			i,j,k : INTEGER
			l_dot_product : DOUBLE
		do
			create Result.make(m.width,m.width)
			from i := 1 until i > m.width loop
				from j := 1 until j > i loop
					l_dot_product := 0
					from k := 1 until k > m.height loop
						l_dot_product := l_dot_product + m [k, i] * m [k, j]
						k := k + 1
					end
				--	Result.put_(l_dot_product,i,j)
					Result[i, j] := l_dot_product
					if i /= j then
				--		Result.put(l_dot_product,j,i)
						Result[j, i] := l_dot_product
					end
					j := j + 1
				end
				i := i + 1
			end
		end



end -- class MATRIX_OPERATIONS
