indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"

class
	MATRIX_TRANSPOSE

inherit
	ABSTRACT_READABLE_MATRIX
	rename
		transpose as to_transpose
	end
create
	make
feature
	make (a_matrix : ABSTRACT_READABLE_MATRIX) is
		do
			matrix := a_matrix
			if matrix /= Void then
				name := matrix.name
				row_names := matrix.column_names
				column_names := matrix.row_names
			end
		end
	matrix : ABSTRACT_READABLE_MATRIX
	item alias "[]" (i,j : INTEGER) : DOUBLE is
		do
			Result := matrix.item(j,i)
		end
	transpose : ABSTRACT_READABLE_MATRIX is
		do
			Result := matrix
		end
	height : INTEGER is
		do
			Result := matrix.width
		end
	width : INTEGER is
		do
			Result := matrix.height
		end

end
