indexing
	description: "Windows MCSC macros, used in MonthCal control"
	author: "David Jenkins"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"

class
	MCSC_CONSTANTS

feature -- Access

	Mcsc_background:INTEGER is
			-- The background color (between months)
		external
			"C [macro %"wel.h%"]"
		alias
			"MCSC_BACKGROUND"
		end

	Mcsc_text:INTEGER is
			-- the dates
		external
			"C [macro %"wel.h%"]"
		alias
			"MCSC_TEXT"
		end

	Mcsc_title_background:INTEGER is
			-- Background of the title
		external
			"C [macro %"wel.h%"]"
		alias
			"MCSC_TITLEBK"
		end

	Mcsc_title_text:INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"MCSC_TITLETEXT"
		end

	Mcsc_month_background:INTEGER is
			-- Background within the MonthCal control
		external
			"C [macro %"wel.h%"]"
		alias
			"MCSC_MONTHBK"
		end

	Mcsc_trailing_text:INTEGER is
			-- The text color of header & trailing dates
		external
			"C [macro %"wel.h%"]"
		alias
			"MCSC_TRAILINGTEXT"
		end

	valid_mcsc_value(v: INTEGER):BOOLEAN is
		do
			Result := v = Mcsc_background or else
			v = Mcsc_text or else
			v = Mcsc_title_background or else
			v = Mcsc_title_text or else
			v = Mcsc_month_background or else
			v = Mcsc_trailing_text
		end
			

end -- class MCSC_CONSTANTS
