indexing
	description: "MSCI Currency access"
	author: "Bruno Pradal"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/market/msci_currency_market.e $"

class

	MSCI_CURRENCY_MARKET

inherit

	SIGNATURE_TAGGED_CURRENCY_MARKET

feature

	source: STRING is "MSCI"

	base_currency (a_date: ROSE_DATE): CURRENCY is
		once
			Result:=context.usd
		end

	is_valid_record (a_record: ROSE_VIRTUAL_RECORD[FOREX_SIGNATURE]) : BOOLEAN is
		do
			Result := a_record /= Void and then a_record.signature.spot > 0
		end

	actual_rate (a_record: ROSE_VIRTUAL_RECORD[FOREX_SIGNATURE]): DOUBLE is
		do
			Result := a_record.signature.spot
		end
		
end