indexing
	description: "Multi-key class that allows ROSE_DATE to be ROSE_DATE_TIME and visa versa."
	author: "Pierre Nallet, Kim Zvik"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/infrastructure/containers/multi_keyed_temp.e $"

deferred class
	MULTI_KEYED_TEMP

inherit MULTI_KEYED redefine is_equal end


feature -- Access
	is_equal (other: MULTI_KEYED_TEMP): BOOLEAN is
			-- Allows object to be ROSE_DATE or ROSE_DATE_TIME
		do
			if other /= Void then
				Result := keys_equal (other)
			end
		end
feature -- Basic operations

feature {NONE} -- Implementation

end
