indexing
	description: "The class name is the description."
	author: ""
	date: "$Date: 2009/06/02 $"
	revision: "$Revision: #7 $"

class
	OLEDB_DBSTATUS_CONSTANTS

feature -- Constants.

	DBSTATUS_S_OK: INTEGER is 0
	DBSTATUS_E_BADACCESSOR: INTEGER is 1
	DBSTATUS_E_CANTCONVERTVALUE: INTEGER is 2
	DBSTATUS_S_ISNULL: INTEGER is 3
	DBSTATUS_S_TRUNCATED: INTEGER is 4
	DBSTATUS_E_SIGNMISMATCH: INTEGER is 5
	DBSTATUS_E_DATAOVERFLOW: INTEGER is 6
	DBSTATUS_E_CANTCREATE: INTEGER is 7
	DBSTATUS_E_UNAVAILABLE: INTEGER is 8
	DBSTATUS_E_PERMISSIONDENIED: INTEGER is 9
	DBSTATUS_E_INTEGRITYVIOLATION: INTEGER is 10
	DBSTATUS_E_SCHEMAVIOLATION: INTEGER is 11
	DBSTATUS_E_BADSTATUS: INTEGER is 12
	DBSTATUS_S_DEFAULT: INTEGER is 13

feature -- Status.
	dbstatus_to_text(a_status: INTEGER): STRING
	-- Given a DBSTATUS, return it in string form.
	do
		inspect a_status
		when DBSTATUS_S_OK then
			Result := "DBSTATUS_S_OK"
		when DBSTATUS_E_BADACCESSOR then
			Result := "DBSTATUS_E_BADACCESSOR"
		when DBSTATUS_E_CANTCONVERTVALUE then
			Result := "DBSTATUS_E_CANTCONVERTVALUE"
		when DBSTATUS_S_ISNULL then
			Result := "DBSTATUS_S_ISNULL"
		when DBSTATUS_S_TRUNCATED then
			Result := "DBSTATUS_S_TRUNCATED"
		when DBSTATUS_E_SIGNMISMATCH then
			Result := "DBSTATUS_E_SIGNMISMATCH"
		when DBSTATUS_E_DATAOVERFLOW then
			Result := "DBSTATUS_E_DATAOVERFLOW"
		when DBSTATUS_E_CANTCREATE then
			Result := "DBSTATUS_E_CANTCREATE"
		when DBSTATUS_E_UNAVAILABLE then
			Result := "DBSTATUS_E_UNAVAILABLE"
		when DBSTATUS_E_PERMISSIONDENIED then
			Result := "DBSTATUS_E_PERMISSIONDENIED"
		when DBSTATUS_E_INTEGRITYVIOLATION then
			Result := "DBSTATUS_E_INTEGRITYVIOLATION"
		when DBSTATUS_E_SCHEMAVIOLATION then
			Result := "DBSTATUS_E_SCHEMAVIOLATION"
		when DBSTATUS_E_BADSTATUS then
			Result := "DBSTATUS_E_BADSTATUS"
		when DBSTATUS_S_DEFAULT then
			Result := "DBSTATUS_S_DEFAULT"
		else
			Result := "unknown (" + a_status.out + ")"
		end
	end

end
