indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"

class
	OLEDB_ERROR_HANDLER_COMMIT


inherit
	OLEDB_ERROR_HANDLER

		

feature

	on_error (error_id: INTEGER; object: TRACEABLE; message: STRING) is
		local
			SQL_ERROR_INFO:SQL_ERROR_INFO
			ERROR_RECORDS: ERROR_RECORDS
			error_info: ERROR_INFO
			child_error_info: ERROR_INFO
			i: INTEGER
		do
			create error_info.make
			if not error_info.exists then
				print ("Unable to get the error.")
			else
				create error_records.make (error_info)
				if not error_records.exists then
					print ("Unable to decode the the error records.")
					print ("%N")
				else
					from i :=  error_records.get_record_count - 1 until i  < 0 loop
						create SQL_ERROR_INFO.make_by_record (error_records, i)
						if not sql_error_info.exists then
							print ("Unable to decode the SQL error info.")
							print ("%N")
						else
							if sql_error_info.native_error = commit_error then
								is_error_negligible := true
							else
								print (sql_error_info.native_error)
								print ("%N")
							end
						end
						create child_error_info.make_by_record (error_records, i)
						if not child_error_info.exists then
							print ("Unable to decode the the child error info.")
						else
							if not is_error_negligible then
								print (child_error_info.get_description)
								print ("%N")
								print (child_error_info.get_source)
								print ("%N")
							end
						end
						i := i - 1
					end
				end
			end
			if not is_error_negligible then
				print (error_id)
				print ("%N")
				print (message)
				print ("%N") 
				--print (object)
				--print ("%N") 
				if object /= Void then
					object.trace
				end
			end
		end

	is_error_negligible : BOOLEAN
	
	commit_error: INTEGER is 3902
	
end -- class OLEDB_ERROR_HANDLER_COMMIT
