note
	description: "Wrapper around IAccessor."
	author: "Pierre Nallet"
	last_editor: "$Author: rj $"
	date: "$Date: 2014/09/05 $"
	revision: "$Revision: #6 $"
	path: "$File: //rose/source/kernel/infrastructure/persistence/windows/classic2/oledb_iaccessor_interface.e $"

class
	OLEDB_IACCESSOR_INTERFACE

feature -- Initialization

	IAccessor_AddRefAccessor (This: POINTER; hAccessor_: POINTER; pcRefCount: POINTER): INTEGER is
		external
			"C [macro <oledb.h>](IAccessor*, HACCESSOR, ULONG*): EIF_INTEGER"
		alias
			"IAccessor_AddRefAccessor"
		end

	IAccessor_CreateAccessor (This: POINTER; dwAccessorFlags: INTEGER; cBindings: INTEGER; rgBindings: POINTER;
			cbRowSize: INTEGER; phAccessor: POINTER; rgStatus: POINTER) : INTEGER is
			-- Note that DBCOUNTITEM and DBLENGTH are 32- or 64-bit depending on the platform.  This is OK since no pointers are used.
		external
			"C [macro <oledb.h>](IAccessor*, DBACCESSORFLAGS, DBCOUNTITEM, DBBINDING *, DBLENGTH, HACCESSOR *, DBBINDSTATUS *): EIF_INTEGER"
		alias
			"IAccessor_CreateAccessor"
		end

	IAccessor_GetBindings (This: POINTER; hAccessor_: POINTER; pdwAccessorFlags, pcBindings, prgBindings: POINTER) : INTEGER is
			-- Note that DBCOUNTITEM is 32- or 64-bit depending on the platform.
		external
			"C [macro <oledb.h>](IAccessor*,HACCESSOR , DBACCESSORFLAGS* , DBCOUNTITEM *, DBBINDING **): EIF_INTEGER"
		alias
			"IAccessor_GetBindings"
		end

	IAccessor_ReleaseAccessor (This: POINTER; hAccessor_: POINTER; pcRefCount: POINTER) : INTEGER is
		external
			"C [macro <oledb.h>](IAccessor*, HACCESSOR, DBREFCOUNT *): EIF_INTEGER"
		alias
			"IAccessor_ReleaseAccessor"
		end

end
