indexing
	description: "Once per object"
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #10 $"

class
	ONCE_PER_OBJECT [G]

feature -- Access

	item (f: FUNCTION [ANY, TUPLE, G]): G is
			-- Item.
		do
			if not computed then
				internal_result := f.item ([])
				computed := True
			end
			Result := internal_result
		end

feature -- Basic operations

	set (a_value: G) is
			-- 	Set the value of this once-per-object
		do
			internal_result := a_value
			computed := true
		end

feature {NONE} -- Implementation

	computed: BOOLEAN
	internal_result: G

end
