class 
	OPEN_ACCOUNT_EVENTS_RECORD

inherit
	PREDICATE_RECORD

feature

	classifier_major_version_: INTEGER is 2
	classifier_minor_version_: INTEGER is 0

	event_index : INTEGER
	set_event_index (a_value: like event_index) is
	do
		event_index := a_value
	end

	event_date : ROSE_DATE
	set_event_date (a_value: like event_date) is
	do
		event_date := a_value
	end

	portfolio : STRING
	set_portfolio (a_value: like portfolio) is
	do
		portfolio := a_value
	end

	icc : INTEGER
	set_icc (a_value: like icc) is
	do
		icc := a_value
	end

	event_type : INTEGER
	set_event_type (a_value: like event_type) is
	do
		event_type := a_value
	end

	catagory : STRING
	set_catagory (a_value: like catagory) is
	do
		catagory := a_value
	end

	event_details : STRING
	set_event_details (a_value: like event_details) is
	do
		event_details := a_value
	end

	entered_at : ROSE_DATE
	set_entered_at (a_value: like entered_at) is
	do
		entered_at := a_value
	end

	entered_by : STRING
	set_entered_by (a_value: like entered_by) is
	do
		entered_by := a_value
	end

	modified_at : ROSE_DATE
	set_modified_at (a_value: like modified_at) is
	do
		modified_at := a_value
	end

	modified_by : STRING
	set_modified_by (a_value: like modified_by) is
	do
		modified_by := a_value
	end

	instrument : STRING
	set_instrument (a_value: like instrument) is
	do
		instrument := a_value
	end

	units : DOUBLE
	set_units (a_value: like units) is
	do
		units := a_value
	end

	price : DOUBLE
	set_price (a_value: like price) is
	do
		price := a_value
	end

	fee : DOUBLE
	set_fee (a_value: like fee) is
	do
		fee := a_value
	end

	commission : DOUBLE
	set_commission (a_value: like commission) is
	do
		commission := a_value
	end

	cash_effect : DOUBLE
	set_cash_effect (a_value: like cash_effect) is
	do
		cash_effect := a_value
	end

	currency : STRING
	set_currency (a_value: like currency) is
	do
		currency := a_value
	end

	secondary_cash_effect : DOUBLE
	set_secondary_cash_effect (a_value: like secondary_cash_effect) is
	do
		secondary_cash_effect := a_value
	end

	secondary_currency : STRING
	set_secondary_currency (a_value: like secondary_currency) is
	do
		secondary_currency := a_value
	end

	performance_effect : DOUBLE
	set_performance_effect (a_value: like performance_effect) is
	do
		performance_effect := a_value
	end

	broker : STRING
	set_broker (a_value: like broker) is
	do
		broker := a_value
	end

	trader : STRING
	set_trader (a_value: like trader) is
	do
		trader := a_value
	end

	settle_date : ROSE_DATE
	set_settle_date (a_value: like settle_date) is
	do
		settle_date := a_value
	end

	subaccount : STRING
	set_subaccount (a_value: like subaccount) is
	do
		subaccount := a_value
	end

	exchange : STRING
	set_exchange (a_value: like exchange) is
	do
		exchange := a_value
	end

	transaction_time : ROSE_DATE
	set_transaction_time (a_value: like transaction_time) is
	do
		transaction_time := a_value
	end

	soft_dollar : STRING
	set_soft_dollar (a_value: like soft_dollar) is
	do
		soft_dollar := a_value
	end

	units_base : DOUBLE
	set_units_base (a_value: like units_base) is
	do
		units_base := a_value
	end

	rate : DOUBLE
	set_rate (a_value: like rate) is
	do
		rate := a_value
	end

	from_instrument : STRING
	set_from_instrument (a_value: like from_instrument) is
	do
		from_instrument := a_value
	end

	statement_: STRING is "select * from open_account_events"
	fields_: STRING is "EVENT_INDEX,EVENT_DATE,PORTFOLIO,ICC,EVENT_TYPE,CATAGORY,EVENT_DETAILS,ENTERED_AT,ENTERED_BY,MODIFIED_AT,MODIFIED_BY,INSTRUMENT,UNITS,PRICE,FEE,COMMISSION,CASH_EFFECT,CURRENCY,SECONDARY_CASH_EFFECT,SECONDARY_CURRENCY,PERFORMANCE_EFFECT,BROKER,TRADER,SETTLE_DATE,SUBACCOUNT,EXCHANGE,TRANSACTION_TIME,SOFT_DOLLAR,UNITS_BASE,RATE,FROM_INSTRUMENT"
end
