indexing
    author: "Mauricio Bustos"
    date: "$Date: 2008/12/01 $";
    revision: "$Revision: #3 $"
    path : "$File: //rose/source/kernel/persistence/databases/signature_tagged/override_data_record_base.e $"
    
class 
    OVERRIDE_DATA_RECORD_BASE
    
inherit
	DATA_RECORD_BASE

create
    make_override_base
    
feature
    
    make_override_base (a_end_date: ROSE_DATE; a_override_type_id: INTEGER; a_user_id: like user_id;
                        a_update_date: like update_date; a_comment: like comment) is
        do
            end_date := a_end_date
            override_type_id := a_override_type_id
            user_id := a_user_id
            update_date := a_update_date
            comment := a_comment
        end
    
    end_date : ROSE_DATE
    set_end_date(a_value : like end_date) is
        do
            end_date := a_value
        end
    
    override_type_id : INTEGER
    set_override_type_id(a_value : like override_type_id) is
        do
            override_type_id := a_value
        end   
    
    user_id : STRING
    set_user_id(a_value : like user_id) is
        do
            user_id := a_value
        end
    
    update_date : ROSE_DATE   
    set_update_date(a_value : like update_date) is
        do
            update_date := a_value
        end
    
    comment : STRING
    set_comment(a_value : like comment) is
        do
            comment := a_value
        end   
    
end
