
note

	description:

		"Persistent government issuer entity."

	author: "Mark Howard"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #13 $"
	path: "$File: //rose/source/kernel/entities/persistence/persistent_government_issuer.e $"

class
	PERSISTENT_GOVERNMENT_ISSUER
inherit
	ISSUER
		rename
			issuer_name_key as name_key,
			issuer_name_most_recent_key as name_most_recent_key
		end
	PERSISTENT_GOVERNMENT_ISSUER_ACCESS
		redefine
			peer_anchor
			--expression_tag
		end
create
	make,make_anonymous

feature -- Basic operations

	government_issues: ROSE_ENTITY_HISTORY[like context.government_issue_template] 
			--Related government issues
		do
			Result := government_issuer_to_government_issue_history
		end

	country (a_date : ROSE_DATE) : like context.country_template is
		do
			Result := government_issuer_to_country_history.witness(a_date)
		end

	is_defined : BOOLEAN is
		do
			Result := handle /= 0
		end

feature {NONE} -- Implementation

	peer_anchor: PERSISTENT_GOVERNMENT_ISSUER is do end
			-- Type returned by 'peer' function

end
