indexing
	description: "Command type enumerations for persistent server commands"
	author: "Mauricio Bustos"
	last_editor: "$Author: rj $"x
	date: "$Date: 2010/02/05 $"
	revision: "$Revision: #4 $"
	path: "$File: //rose/source/kernel/persistence/databases/signature_tagged/persistent_server_command_types.e $"

class
	PERSISTENT_SERVER_COMMAND_TYPES

feature -- Access

	manager_cache_cmd_id: INTEGER is 1
	connection_list_cmd_id: INTEGER is 2
	invalidate_cache_cmd_id: INTEGER is 3
	invalidate_cache_clusters_cmd_id: INTEGER is 4
	clear_warehouse_cmd_id: INTEGER is 5
	shutdown_cmd_id: INTEGER is 6
	custom_monitor_cmd_id: INTEGER = 7			-- So custom that the server actually handles it.

	data_client_type_id: INTEGER is 1
	monitor_client_type_id: INTEGER is 2

	client_type_name (a_value: INTEGER): STRING is
			-- The client type name for 'a_value'
		do
			inspect a_value
			when data_client_type_id then
				Result := "Data"
			when monitor_client_type_id then
				Result := "Monitor"
			else
				Result := "Unknown"
			end
		end

end











