indexing
	description: "Class that represents a server in a server list"
	author: "Jann Roeder"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/persistence/databases/signature_tagged/persistent_server_list_item.e $"

class
	PERSISTENT_SERVER_LIST_ITEM

create
	make

feature {NONE} -- Initialization

	make (a_address: like address; a_is_sed_used: like is_sed_used) is
			-- Initialization
		do
			address := a_address
			is_sed_used := a_is_sed_used
		end

feature -- Access

	is_sed_used: BOOLEAN

	address: STRING

feature -- Basic operations

	set_address (a_address: like address) is
			-- Set `address' to `a_address'
		do
			address := a_address
		end

	set_sed (a_value: like is_sed_used) is
			-- Set `is_sed_used' to `a_value'
		do
			is_sed_used := a_value
		end

end
