indexing
	description: "Result object to send send datastructures from ZONE to the client"
	documentation: "[
	]"
	author: "Ueli Peter"
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"

class
	PES_RESULT_ZONE_LOADER[G -> ENTITY]

inherit
	ROSE_CS_RESULT

create
	make, make_exception

feature {NONE} -- Creation

	make (an_id: INTEGER; a_mnemonic: like mnemonic; a_context_index: like context_index) is
			-- create
		do
			query_id := an_id
			mnemonic := a_mnemonic
			context_index := a_context_index
		end

feature -- Access
	mnemonic: CHARACTER
		-- menemonic of that zone

	context_index: INTEGER
		-- index of context

	table: HASH_TABLE[G, INTEGER]
		-- table with entities

feature -- setters

	set_table (a_table: HASH_TABLE[ENTITY, INTEGER])
			-- set `table' to `a_table'
		do
			table ?= a_table
			if table = Void then
				set_remote_exception ("Wrong type of G in PES_RESULT_ZONE.set_table")
			end
		end
end



