indexing
	description: "Object that holds information to restore category_handler results"
	author: "Ueli Peter"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/entities/pes/pes_stored_request_category_handler.e $"

class
	PES_STORED_REQUEST_CATEGORY_HANDLER

inherit
	ROSE_CS_STORED_REQUEST
		rename
			make as make_stored_request
		end

create
	make

feature {NONE} -- Initialization

	make (a_future: like result_future; a_category_handler: like category_handler) is
			-- Initialize `Current'.
		do
			category_handler := a_category_handler
				result_future := a_future
		end

feature -- Access

	category_handler: CATEGORY_HANDLER[SUPPLIER_CONTEXT, ENTITY]
end

