indexing
	description: "Object that holds information to restore Recipe results"
	author: "Jann Roeder"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/entities/pes/pes_stored_request_recipe.e $"

class
	PES_STORED_REQUEST_RECIPE

inherit
	ROSE_CS_STORED_REQUEST
		rename
			make as make_stored_request
		redefine
			result_future
		end

create
	make

feature {NONE} -- Initialization

	make (a_future: like result_future; a_recipe: ROSE_RECIPE) is
			-- Initialize `Current'.
		do
			make_stored_request (a_future)
			recipe := a_recipe
		ensure
			recipe_set: recipe = a_recipe
		end

feature -- Access

	recipe: ROSE_RECIPE

	result_future: ROSE_CS_FUTURE[ROSE_CS_RESULT]

end
