indexing
	description: "Descriptive object for process metrics resource types"
	author: "Zoran Simic"
	last_editor: "$Author: mb $"
	date: "$Date: 2009/05/04 $"
	revision: "$Revision: #3 $"
	path: "$File: //rose/source/kernel/pm/pm_resource_type.e $"

class
	PM_RESOURCE_TYPE

inherit
	PM_COMMON

create
default_create,
make_unknown

feature {NONE} -- Initialization
	
	make_unknown is
			-- Make the unknown resource type
		do
			name := "<UNKNOWN>"
			icon := ""
			color := ""
		end

feature -- Access

	id: INTEGER
			-- Internal id identifying this resource typee

	name: STRING
			-- Resource type name

	icon: STRING
	color: STRING

	out: STRING is
			-- New string containing terse printable representation of current object
		do
			create Result.make (10)
			Result.append_string (name)
		end

end
