note
	description: "Iterator for GENERAL_SELECTION_PREDICATE"
	author: "Mark Howard"
	last_editor: "$Author: zs $"
	date: "$Date: 2011/06/10 $"
	revision: "$Revision: #6 $"
	path: "$File: //rose/source/kernel/infrastructure/persistence/predicates/predicate_iterator.e $"

class
	PREDICATE_ITERATOR [G]

inherit
	LINEAR_ITERATOR [G]
		redefine
			target
		end

create
	make

feature {NONE} -- Implementation

	make (a_predicate: like target)
			-- Make with 'a_predicate' as target
		do
			set (a_predicate)
		end

feature -- Access

	target: GENERAL_SELECTION_PREDICATE [G]
			-- Target of this iterator

feature -- Basic operation

	item_action (a_item: G)
			-- Apparently not used, 6 descendants redefine it however
		do
			target.action (a_item)
		end

end
