note
	description: "The client side of a PS_SECURITY_SYSTEM."
	author: "Randy John"
	last_editor: "$Author: rj $"
	date: "$Date: 2015/03/25 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/persistence/databases/signature_tagged/ps_security_system_client.e $"

deferred class
	PS_SECURITY_SYSTEM_CLIENT

inherit
	ROSE_SHARED_GLOBAL
	DEBUG_OUTPUT

feature -- Implementation.

	name: STRING
	-- Name by which this security_system is known.  Each descendant's name must be unique.
	deferred
	ensure
		Result_not_void: Result /= Void
	end

	debug_output: STRING
	-- For debugging.
	do
		Result := name
	end

end
