note
	description: "A client command used by descendants PS_SECURITY_SYSTEM."
	author: "Randy John"
	last_editor: "$Author: rj $"
	date: "$Date: 2015/03/25 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/persistence/databases/signature_tagged/ps_security_system_client_command.e $"

deferred class
	PS_SECURITY_SYSTEM_CLIENT_COMMAND

feature -- Implementation.

	command_for_statistics: detachable PERSISTENT_SERVER_COMMAND
	-- A command (real or fake) that contains statistics suitable for PERSISTENT_VARIABLE_SERVER.print_stats_if_needed.
	-- That is, 'print_stats' will be called on Result.
	-- If Current has those stats, return Current.  If Void is returned, no statistics will be printed - that's bad.
	deferred
	end

feature -- Attributes.

	security_system: detachable PS_SECURITY_SYSTEM					-- The security system that we negotiated with the client.

end
