note

	description:

		"Units for unitless values, such as distance / distance"

	storable_version: ""
	author: "Mark Howard"
	last_editor: "$Author: mb $"
	date: "$Date: 2014/03/03 $"
	revision: "$Revision: #12 $"
	path: "$File: //rose/source/kernel/math/pure_units.e $"

class PURE_UNITS

inherit

	RP_SERIALIZABLE

	ROSE_BASE_UNITS
		redefine
			default_create,
			is_pure_units
		end

create

	default_create

feature {NONE} -- Initialization

	default_create is
			-- <Precursor>
		do
			name := ""
			rational := factored_one
			scale := one
			units_index_table.put (Current, 1)
			all_units.put (Current)
		end

feature -- Status

	is_pure_units: BOOLEAN is
			-- <Precursor>
		do
			Result := True
		end
			
end
