indexing
	description: "Print a message"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #4 $"

class
	RCMD_PRINT

inherit
	ROSE_COMMAND_GENERAL

feature -- Access

	id: STRING is "print"
			-- Command id

	signature: STRING is "*"
			-- Argument signature of this command (defines valid parameters to be passed to the command)

feature -- Output

	help: STRING is
			-- Help on this command
"[
Output a message
Given message is simply output to the current output channel,
all refered variables (like $project) are expanded
]"

feature {NONE} -- Implementation

	do_execute is
			-- Execute effectively the command.
		do
			output (Global.interpreted (Global.formatter.eiffel_string (parameters.text)),Void)
			output ("%N",Void)
		end

end -- class RCMD_PRINT
