indexing
	description: "Quit command interpreting (close 'input' channel)"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"

class
	RCMD_QUIT

inherit
	ROSE_COMMAND_GENERAL

feature -- Access

	id: STRING is "quit"
			-- Command id

	signature: STRING is ""
			-- Argument signature of this command (defines valid parameters to be passed to the command)

feature -- Output

	help: STRING is
			-- Help on this command
"[
Quit current console, close current input channel
]"

feature {NONE} -- Implementation

	do_execute is
			-- Execute effectively the command.
		do
			Global.io_handler.close_input
		end

end -- class RCMD_QUIT
