indexing
	description: "Reuters price expression"
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #21 $"	
	path: "$Archive $"   
	
class
	REUTERS_PRICE_EXPRESSION
	
inherit
	
	SIGNATURE_TAGGED_EXPRESSION[REUTERS_PRICE_TARGET]
		redefine
			value_in_market_currency,
			currency_anchor
--			currency,
--			double_value
		end
	
create 
	
	make
	
--feature -- Currency
--	
--	currency(a_target : like expression_target) : CURRENCY is			
--		local
--			l_entity : ENTITY
--			l_currency_id : INTEGER
--			l_signature : REUTERS_PRICE_TARGET
--			l_iso_code : STRING
--			l_code : STRING
--		do
--			l_signature := a_target
--			if l_signature /= Void then
--				l_currency_id := l_signature.currency_id
--				l_entity := currency_handler.entity(l_currency_id)
--				
--				l_iso_code := l_entity.attribute("ISO CODE", a_target.date)
--				if  l_iso_code /= Void then
--					l_iso_code.to_upper
--					Result ?= rose_.context.currency_from_iso_code(l_iso_code , a_target.date)
--				end
--			end			
--		end
--	
--	is_GBp(a_target : like expression_target) : BOOLEAN	 is
--		local
--			l_currency : ENTITY
--			l_currency_id : INTEGER
--			l_signature : REUTERS_PRICE_TARGET
--			l_iso_code : STRING			
--		do
--			Result := False
--			if a_target /= Void then
--				l_currency_id := a_target.currency_id
--				l_currency := currency_handler.entity(l_currency_id)
--				l_iso_code := l_currency.attribute("ISO CODE", a_target.date)
--				if l_iso_code /=Void and then l_iso_code.is_equal("GBp") then
--					Result := True
--				end
--			end
--		end
	
feature -- Values


	currency_anchor: CURRENCY is
			-- Currency anchor
		do
		end
	value_in_market_currency(a_market : MARKET;a_currency: like currency_anchor; a_target: like expression_target; a_date: ROSE_DATE): DOUBLE is
		-- Value in market currency
	do
		Result := Precursor(a_market,a_currency, a_target, a_date)
		if defined_double(Result) and then a_target.is_GBp
		then
			Result := Result * 0.01
		end
	end

--	double_value(a_target : like expression_target) : DOUBLE is
--		do
--			Result := Precursor(a_target)
--			if defined_double(Result) and then a_target.is_GBp then
--				Result := Result * 0.01
--			end
--		end
	
end 
