indexing
   author : "Mark Howard"
   description : "more modern version of utility...also misguided"

class
	ROSE

feature -- Access

	concat (a_array: ARRAY [STRING]): STRING is
		obsolete
			"use STRING + instead"
		local
			i: INTEGER
		do
			from
				i := a_array.lower
				Result := ""
			until
				i > a_array.upper
			loop
				if a_array.item (i) /= Void then
					Result.append (clone (a_array.item (i)))
				end
				i := i + 1
			end
		end

	concat_delimited (a_array: ARRAY [STRING]; a_delimeter: STRING): STRING is
		local
			i: INTEGER
		do
			from
				i := a_array.lower
				Result := ""
			until
				i > a_array.upper
			loop
				Result.append (a_array.item (i))
				if i < a_array.upper then
					Result.append (a_delimeter)
				end
				i := i + 1
			end
		end

	pruned (a_string: STRING): STRING is
			-- New string with head and tail whitespace removed
		do
			if a_string /= Void then
				Result := clone (a_string)
				Result.left_adjust
				Result.right_adjust
			end
		end

feature -- Basic operations

	print_delimited (a_array: ARRAY [ANY]; a_delimiter: ANY) is
		local
			i: INTEGER
		do
			from
				i := a_array.lower
			until
				i > a_array.upper
			loop
				if a_array.item (i) /= Void then
					print (a_array.item (i))
				else
					print ("<Void>")
				end
				if a_delimiter /= Void and i < a_array.upper then
					print (a_delimiter)
				end
				i := i + 1
			end
		end

	print_all( a_array: ARRAY [ANY]) is
		do
			print_delimited (a_array,Void)
		end

end -- class ROSE
