indexing
	description: "Objects representing fundamental units"
	author: "Mark Howard"
	last_editor: "$Author: er $"
	date: "$Date: 2013/06/18 $"
	revision: "$Revision: #9 $"
	archive: "$File: //rose/source/kernel/math/rose_base_units.e $"
	storable_version: ""

class
	ROSE_BASE_UNITS

inherit
   RP_SERIALIZABLE

   ROSE_UNITS

create
   make_from_record

feature {NONE} --Initialization

	make_from_record (a_record : UNITS_RECORD) is
			-- Create with 'a_record'
		do
			if a_record /= Void then
				rational := rationals.item(pair(a_record.prime,1))
				if rational = Void then
					create rational.make_from_factors(<<a_record.prime>>,<<1>>)
				end
				name := clone(a_record.name)
				scale := one
				a_record.type.prune_all_trailing(' ')
				set_uses_currency(a_record.type.is_equal("currency"))
			end
		end

end
