indexing
	description : "[
		Handles byte fields for EXTERNAL_RECORD
		]"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $";
	revision: "$Revision: #6 $"

class
	ROSE_BYTE_INTERPRETER
inherit
	ROSE_EXTERNAL_INTERPRETER[INTEGER_8]
feature 
	decode(a_pointer : POINTER;a_offset : INTEGER) : INTEGER_8 is
		local
			l_integer : INTEGER_8
		do
			memory_copy($l_integer,a_pointer,1)
			Result := l_integer
		end
	encode (a_target : POINTER;a_source: INTEGER_8;a_count : INTEGER) is
		do
			a_target.memory_copy($a_source,a_count)
		end

end -- class ROSE_BYTE_INTERPRETER
