indexing
	description: "Abstract class from with items that should be able to be added to a ROSE_CHART_LIST should inherit"
	author: "Urs Doenni"
	date: "$Date: 2009/03/24 $"
	revision: "$Revision: #3 $"
	archive: "$File: //rose/source/kernel/infrastructure/widgets/charts/rose_chart_list_item.e $"

deferred class
	ROSE_CHART_LIST_ITEM

inherit
	ANY
	undefine
		copy,
		is_equal
	end



feature -- Access
	name: STRING

	set_name (a_name: like name) is
			-- set the name
		require
			name_not_void: a_name /= Void
		do
			name := a_name
		end

feature -- Access

	index: INTEGER
			-- Position in list

feature {ROSE_CHART_LIST} -- Setting

	set_index (a_index: INTEGER) is
			-- Set `index'
		require
			index_positive: a_index >= 0
		do
			index := a_index
		end

end
