indexing

	description: "Parser token codes"
	generator: "geyacc version 3.3"

class ROSE_CONFIGURATION_CFG_TOKENS

inherit

	YY_PARSER_TOKENS

feature -- Last values

	last_any_value: ANY
	last_string_value: STRING

feature -- Access

	token_name (a_token: INTEGER): STRING is
			-- Name of token `a_token'
		do
			inspect a_token
			when 0 then
				Result := "EOF token"
			when -1 then
				Result := "Error token"
			when CFG_COMMENT then
				Result := "CFG_COMMENT"
			when CFG_TRY then
				Result := "CFG_TRY"
			when CFG_INCLUDE then
				Result := "CFG_INCLUDE"
			when CFG_KEY then
				Result := "CFG_KEY"
			when CFG_VALUE then
				Result := "CFG_VALUE"
			when CFG_END_ENTRY then
				Result := "CFG_END_ENTRY"
			when CFG_EOF then
				Result := "CFG_EOF"
			when CFG_ERROR then
				Result := "CFG_ERROR"
			else
				Result := yy_character_token_name (a_token)
			end
		end

feature -- Token codes

	CFG_COMMENT: INTEGER is 258
	CFG_TRY: INTEGER is 259
	CFG_INCLUDE: INTEGER is 260
	CFG_KEY: INTEGER is 261
	CFG_VALUE: INTEGER is 262
	CFG_END_ENTRY: INTEGER is 263
	CFG_EOF: INTEGER is 264
	CFG_ERROR: INTEGER is 265

end
