indexing
	description: "Object that contains information to restore a result from a query"
	author: "Jann Roeder"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"
	archive: "$File: //rose/source/kernel/entities/cache_server/rose_cs_stored_request.e $"

class
	ROSE_CS_STORED_REQUEST

create
	make

feature {NONE} -- Initialization

	make (a_future: like result_future) is
			-- Creation
		do
			result_future := a_future
		ensure
			result_set: result_future = a_future
		end

feature -- Access

	result_future: ROSE_CS_FUTURE[ROSE_CS_RESULT]

end
