indexing
	description : "[
		Handles date fields for EXTERNAL_RECORD
		]"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"

class
	ROSE_DATE_INTERPRETER

inherit
	ROSE_EXTERNAL_INTERPRETER[ROSE_DATE]

feature -- Access

	decode (a_pointer : POINTER;a_length : INTEGER) : ROSE_DATE is
			-- Decode date at 'a_pointer'
		local
			l_ccyymmdd : INTEGER
		do
			l_ccyymmdd := dereference_integer(a_pointer)
			if l_ccyymmdd < 1000000 then l_ccyymmdd := l_ccyymmdd + 19000000 end
			create Result.make_ccyymmdd(l_ccyymmdd)
		end

feature {NONE} -- Implementation

	encode (a_target : POINTER;a_source: ROSE_DATE;a_count : INTEGER) is
		do
			check false end
		end

end
