indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"

class
	ROSE_DELIMITED_FORMAT
inherit
	ROSE_FORMAT
		redefine
			fill_vessel
		end
create
	make
feature
	make (a_format : ARRAY[TUPLE[INTEGER,STRING]];a_delimiter : CHARACTER) is
		local
			i : INTEGER
			l_string : STRING
			l_info : TEXT_COLUMN_INFO
		do
			delimiter := a_delimiter
			set_number_of_columns(a_format.count)
			from i := 1 until i > a_format.count loop
				if a_format.item(i) /= void then
					l_string ?= a_format.item(i).item(2)
					l_string.to_lower
					create l_info.make(a_format.item(i).integer_item(1),
							l_string,
							0,0)
					column_info.put(l_info,i)
					column_name_info.put(i,l_string)
				end
				i := i + 1
			end
		end
	fill_vessel (a_item : ANY;a_string : STRING) is
		do
			create delimited_text.make(a_string,delimiter)
			Precursor(a_item,a_string)
		end
	delimiter : CHARACTER
	delimited_text : ROSE_DELIMITED_TEXT
	substring(a_string : STRING;i : INTEGER) : STRING is
		do
			if delimited_text.valid_index (i) then
				Result := delimited_text.item(i)
			else
				Result := ""
			end
		end
end -- class ROSE_DELIMITED_FORMAT
