indexing
	description: "Distribution"
	author: ""
	date: "$Date: 2009/02/17 $"
	revision: "$Revision: #5 $"

class
	ROSE_DISTRIBUTION
inherit
	ROSE_CAPITAL_ACTION
	ROSE_ACCESS
create
	make_from_record
feature -- Acces
	today : ROSE_DATE is
		once
			create Result.make_today
		end
	make_from_record (a_record : DIST_W_RECORD) is
		do
			record := a_record
			create exdate.make_ccyymmdd(a_record.exdate)
			create paydate.make_ccyymmdd(a_record.paydate)
			source := context.listing_by_brim_code(a_record.brimsym,today.min(exdate))
			if source = Void then
				source := context.listing_by_brim_code(a_record.brimsym,today)
			end
			target := context.listing_by_brim_code(a_record.ch_brim,today.min(exdate))
			if target = Void then
				target := context.listing_by_brim_code(a_record.ch_brim,today)	
			end
			index := a_record.i
			all_actions.search([source,target,exdate,index])
			if not all_actions.found then
				if source /= Void and then index > 1 then
					source.add_to_action(Current)
				end
				if target /= Void and then index = 1 then
					target.add_from_action(Current)
				end
				factor := a_record.units
				all_actions.put(Current,[source,target,exdate,index])
			end
		end
	factor : DOUBLE
		-- Factor
	record : DIST_W_RECORD
end -- class ROSE_DISTRIBUTION
