indexing
	description : "[
		Handles DOUBLEs for EXTERNAL_RECORD
		]"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $";
	revision: "$Revision: #6 $"

class
	ROSE_DOUBLE_INTERPRETER
inherit
	ROSE_EXTERNAL_INTERPRETER[DOUBLE]
feature
	decode (a_pointer : POINTER;a_byte_count : INTEGER) : DOUBLE is
		do
			Result := dereference_double(a_pointer)
		end
	encode (a_target : POINTER;a_source: DOUBLE;a_count : INTEGER) is
		do
			a_target.memory_copy($a_source,a_count)
		end
end -- class ROSE_DOUBLE_INTERPRETER
