indexing
	description: "Platform specific GUI code, used to access implementation features in Vision2"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #4 $"

class
	ROSE_EV_PLATFORM_SPECIFICS_IMP

inherit
	EV_CELL_IMP

create
	make

feature -- Access

	is_picking (a_app: EV_APPLICATION_I): BOOLEAN is
			-- Is a pick-and-drop operation currently in progress?
		local
			l_implementation: EV_APPLICATION_IMP
		do
			l_implementation ?= a_app
			if l_implementation /= Void then
				Result := l_implementation.pick_and_drop_source /= Void
--					or else l_implementation.transport_just_ended
			end
		end

end
