indexing
	description: "Creates an instance of an exception (that can be passed around)"
	author: "vk"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #4 $"
	archive: "$File: //rose/source/kernel/infrastructure/network/rose_exception_instance.e $"

class
	ROSE_EXCEPTION_INSTANCE

inherit
	EXCEPTIONS
		rename
			exception as current_exception,
			tag_name as current_tag_name,
			recipient_name as current_recipient_name,
			class_name as current_class_name,
			original_exception as current_original_exception,
			original_tag_name as current_original_tag_name,
			original_recipient_name as current_original_recipient_name,
			original_class_name as current_original_class_name,
			exception_trace as current_exception_trace
		redefine
			default_create
		end

create default_create, make


feature

	default_create is
		do
			exception := current_exception
			tag_name := clone(current_tag_name)
			recipient_name := clone(current_recipient_name)
			class_name := clone(current_class_name)
			original_exception := current_original_exception
			original_tag_name := clone(current_original_tag_name)
			original_recipient_name := clone(current_original_recipient_name)
			original_class_name := clone(current_original_class_name)
			exception_trace := clone(current_exception_trace)
		end

	make is
		obsolete "use default_create"
		do
			default_create
		end

	exception, original_exception: INTEGER
	tag_name, recipient_name, class_name: STRING
	original_tag_name, original_recipient_name, original_class_name: STRING
	exception_trace: STRING

end
