note

	description:

		"Rose Expression snapshot awareness"

	author: "Eric Bezault"
	last_editor: "$Author: er $"
	date: "$Date: 2014/01/03 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/math/rose_expression_snapshot_aware.e $"

class ROSE_EXPRESSION_SNAPSHOT_AWARE

feature -- Access

	snapshot_recorder: ROSE_EXPRESSION_SNAPSHOT_RECORDER
			-- Snapshot recorder, if any
		do
			Result := snapshot_recorder_cell.item
		end

feature -- Setting

	set_snapshot_recorder (a_recorder: like snapshot_recorder)
			-- Set `snapshot_recorder' to `a_recorder'.
		do
			snapshot_recorder_cell.put (a_recorder)
		ensure
			snapshot_recorder_set: snapshot_recorder = a_recorder
		end

feature {NONE} -- Implementation

	snapshot_recorder_cell: CELL [ROSE_EXPRESSION_SNAPSHOT_RECORDER]
			-- Cell containing the snapshot recorder, if any
		once
			create Result.put (Void)
		ensure
			snapshots_cell_not_void: Result /= Void
		end

end
