indexing

	description: "Units identified by unique identifier"
	author: "Ivan Tarnavsky"
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/math/rose_identified_units.e $"

class ROSE_IDENTIFIED_UNITS

inherit

	ROSE_BASE_UNITS

create

	make

feature {NONE} -- Initialization

	make (a_identifier: STRING) is
			-- Initialize `Current'.
		require
			non_void_identifier: a_identifier /= Void
			non_empty_identifier: not a_identifier.is_empty
		do
			name := a_identifier
			create rational.make_from_factors (<<identified_units_prime (a_identifier)>>, <<1>>)
			create scale.make (1, 1)
		end

end
