indexing
	description : "[
		Handles 64 bit ints for EXTERNAL_RECORD
		]"
	author : "Mark Howard"
	revision: "$Revision: #3 $"
	path: "$File: //rose/source/kernel/infrastructure/translation/rose_integer_64_interpreter.e $"

class
	ROSE_INTEGER_64_INTERPRETER
	
inherit
	ROSE_EXTERNAL_INTERPRETER[INTEGER_64]
	
feature
	
	decode (a_pointer : POINTER;a_byte_count : INTEGER) : INTEGER_64 is
		do
			Result := dereference_integer_64(a_pointer)
		end
	
	encode (a_target : POINTER;a_source: INTEGER_64;a_count : INTEGER) is
		do
			a_target.memory_copy($a_source,a_count)
		end

end
