note

	description:

		"Common undefined values"

	author: "Mark Howard"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/08/20 $"
	revision: "$Revision: #5 $"
	path: "$File: //rose/source/kernel/infrastructure/math/rose_missing_values.e $"

class
	ROSE_MISSING_VALUES

inherit

	ROSE_CONSTANTS
feature  --Access
	real : REAL is
		once
			Result := constants.missing_real
		end
	double : DOUBLE is
		once
			Result := constants.missing_double
		end
	integer : INTEGER is
		once
			Result := constants.missing_integer
		end
	datetime : ROSE_DATE is
		once
			Result := constants.minimum_date_time
		end
	string : STRING is
		once
			Result := constants.missing_string
		end
	entity_id : INTEGER is
		once
			Result := constants.missing_entity_id
		end
end -- class ROSE_MISSING_VALUES
