indexing
	description: "Handler definition for the Object Browser"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"

deferred class
	ROSE_OBJECT_BROWSER_HANDLER

inherit
	ROSE_SHARED_GLOBAL_GUI
	ROSE_OBJECT_BROWSER_MANAGER

feature -- Access

	icon: EV_PIXMAP
			-- Icon representing this object

	widget (a_object: ANY): EV_WIDGET is
			-- Specific widget representation of 'a_object'
			-- Void if type of 'a_object' is not handled
		deferred
		end

feature -- Status report

	is_handled (a_object: ANY): BOOLEAN is
			-- Is 'a_object' handled by this handler?
		deferred
		end

feature {NONE} -- Implementation

	s_void: STRING is "Void"

end -- class ROSE_OBJECT_BROWSER_HANDLER
