indexing
	description: "LINEAR [ANY] Object Browser"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #4 $"

class
	ROSE_OBJECT_BROWSER_HANDLER_LINEAR

inherit
	ROSE_OBJECT_BROWSER_HANDLER

create
	make

feature -- Initialization

	make is
		do
			icon := Gui.factory.new_pixmap ("ob_linear.ico")
		end

feature -- Access

	widget (a_object: ANY): EV_WIDGET is
			-- Specific widget representation of 'a_object'
			-- Void if type of 'a_object' is not handled
		local
			l_linear: LINEAR [ANY]
			l_list: EV_MULTI_COLUMN_LIST
			l_row: EV_MULTI_COLUMN_LIST_ROW
		do
			l_linear ?= a_object
			if l_linear /= Void then
				create l_list
				l_list.set_column_titles (<<"Item value">>)
				l_list.set_column_widths (<<400>>)
				from
					l_linear.start
				until
					l_linear.off
				loop
					create l_row
					l_row.extend (object_representation (l_linear.item,Void,Void,Void))
					l_row.set_data (l_linear.item)
					l_list.extend (l_row)
					l_linear.forth
				end
				Result := l_list
			end
		end

feature -- Status report

	is_handled (a_object: ANY): BOOLEAN is
			-- Is 'a_object' handled by this handler?
		local
			l_array: LINEAR [ANY]
		do
			l_array ?= a_object
			Result := l_array /= Void
		end

end -- class ROSE_OBJECT_BROWSER_HANDLER_LINEAR
