indexing
	description: "STRING Object Browser"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"

class
	ROSE_OBJECT_BROWSER_HANDLER_STRING

inherit
	ROSE_OBJECT_BROWSER_HANDLER

create
	make

feature -- Initialization

	make is
		do
			icon := Gui.factory.new_pixmap ("ob_string.ico")
		end

feature -- Access

	widget (a_object: ANY): EV_WIDGET is
			-- Specific widget representation of 'a_object'
			-- Void if type of 'a_object' is not handled
		local
			l_string: STRING
			l_text: EV_TEXT
		do
			l_string ?= a_object
			if l_string /= Void then
				create l_text
				l_text.set_text (l_string)
				Result := l_text
			end
		end

feature -- Status report

	is_handled (a_object: ANY): BOOLEAN is
			-- Is 'a_object' handled by this handler?
		local
			l_string: STRING
		do
			l_string ?= a_object
			Result := l_string /= Void
		end

end -- class ROSE_OBJECT_BROWSER_HANDLER_STRING
