note

	description:

		"Abstraction of an operator"

	author: "Mark Howard"
	last_editor: "$Author: mk $"
	date: "$Date: 2011/05/03 $"
	revision: "$Revision: #8 $"
	path: "$File: //rose/source/kernel/math/rose_operator.e $"

class
	ROSE_OPERATOR
inherit
	ROSE_CONSTANT_VALUES
	HASHABLE
	NEEDS_EXPRESSION_COMPUTATION
feature {NONE}--Creation
	make (a_type : INTEGER;a_precedence : INTEGER;a_name : STRING) is
			--create
		require
			name_not_void : a_name /= Void
		do
			type := a_type
			name := a_name
			precedence := a_precedence
			hash_code := name.hash_code
		end
feature -- Access
	hash_code : INTEGER
	type : INTEGER
	precedence : INTEGER
	name : STRING
	pure_units : PURE_UNITS is
			-- pure units
		once
			create Result
		end
end

