indexing
	description: "Formatted text file with an associated robust fixed format for parsing"
	author: "Portfolio Accounting Tech (sm)"
	last_editor: "$Author: sm $"
	date: "$Date: 2009/10/30 $"
	revision: "$Revision: #1 $"
	archive: "$File: //rose/source/kernel/capital_actions/elections/rose_robust_fixed_formatted_text_file.e $"

deferred class
	ROSE_ROBUST_FIXED_FORMATTED_TEXT_FILE [G->ANY create default_create end]

inherit
	ROSE_FORMATTED_TEXT_FILE [G]

feature -- Access

	format: ROSE_ROBUST_FIXED_FORMAT is
			-- File format
		deferred
		ensure
			result_not_void: (Result /= Void)
		end

	header_lines_count: INTEGER is
			-- Number of lines in the header
		deferred
		end

feature -- Basic Operations

	read_with_format is
			-- Read using 'format'
		do
			if header_lines_count = 0 then
				read (name, format)
			else
				read_with_header_rows (name, format, header_lines_count)
			end
		end

feature {NONE} -- Implementation

	constants: ROSE_CONSTANT_VALUES is
			-- Constants, including basic types
		once
			create Result
		end

end
