indexing
	description : "[
		Class for handling C short field in EXTERNAL_RECORD
		]"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $";
	revision: "$Revision: #6 $"

class
	ROSE_SHORT_INTERPRETER
inherit
	ROSE_EXTERNAL_INTERPRETER[INTEGER_16]
feature
	decode (a_pointer : POINTER;a_count : INTEGER) : INTEGER_16 is
		local
			l_short : INTEGER_16
		do
			memory_copy($l_short,a_pointer,2)
			Result := l_short
		end
	encode (a_target : POINTER;a_source: INTEGER_16;a_count : INTEGER) is
		do
			a_target.memory_copy($a_source,a_count)
		end
end -- class ROSE_SHORT_INTERPRETER
