indexing
	description: "Objects that have a nugatory comment..."
	author: "Michael Zhang"
	date: "$Date: 2014/02/26 $"
	revision: "$Revision: #8 $"

class
	ROSE_SIGNATURE_CRITERIA[G -> ROSE_SIGNATURE_RECORD[ENTITY] create default_create end]
inherit
	ROSE_QUOTIENT_DEFINITION [G]
	INTERNAL
create 
	make
	
feature
	make is
		local		
			l_signature : G
		do
			make_empty("signature")
			create l_signature.default_create
--			l_fields := l_signature.signature_fields
--			from l_fields.start until l_fields.off loop
--  				l_field_name := field_name(l_fields.current_item, l_signature)
--  				l_field_name.to_lower
--  				add(l_field_name, Agent comparable(?, l_fields.current_item))
--  				l_fields.forth
--  			end
			from l_signature.signature_fields.start until l_signature.signature_fields.off loop
				add(l_signature.signature_fields.current_item,agent comparable(?,l_signature.signature_fields.current_item))
				l_signature.signature_fields.forth
			end
			add("first_process_id", Agent first_process_id)
			add("last_process_id", Agent last_process_id)
			add("signature_id", Agent signature_id)
		end

	signature_id(a_signature : G) : COMPARABLE is
		do
			Result := a_signature.signature_id
		end
		
	first_process_id(a_signature : G): COMPARABLE is
		do
			Result := a_signature.first_process_id
		end
	
	last_process_id(a_signature : G): COMPARABLE is
		do
			Result := a_signature.last_process_id
		end
	
	comparable(a_signature :G; a_field : STRING) : COMPARABLE is
		do
			Result ?= a_signature.value_by_name(a_field)
		end
end 
