indexing
	description: "Descendents of this object are supposed to have always a unique instance in the system, by design"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"

class
	ROSE_SINGLETON

feature {NONE} -- Basic operations

	check_instance_unicity is
			-- Raise an exception if this routine has been called twice from same class type.
		local
			l_exceptions: EXCEPTIONS
		do
			if watch_dog.item (generator) then
				create l_exceptions
				l_exceptions.raise ("2 instances of singleton type " + generator + " created!")
			end
			watch_dog.force (True,generator)
		end

	watch_dog: HASH_TABLE [BOOLEAN,STRING] is
			-- Watch dog used to remember which types have been already checked
		once
			create Result.make (0)
		end

end -- class ROSE_SINGLETON
