note
	description: "Access to Windows special folders"
	author: "Zoran Simic"
	last_editor: "$Author: zs $"
	date: "$Date: 2011/05/13 $"
	revision: "$Revision: #3 $"
	path: "$File: //rose/source/kernel/infrastructure/support/rose_special_folders.e $"

deferred class
	ROSE_SPECIAL_FOLDERS

feature -- Access

	system_directory: attached STRING
			-- Default: C:\WINDOWS
		deferred
		end

	system32_directory: attached STRING
			-- Default: C:\WINDOWS\system32
		deferred
		end

	program_files: attached STRING
			-- Default: C:\Program Files
		deferred
		end

	program_files_common: attached STRING
			-- Default: C:\Program Files\Common Files
		deferred
		end

	appdata: attached STRING
			-- Default: C:\Documents and Settings\<username>\Application Data
		deferred
		end

	local_appdata: attached STRING
			-- Default: C:\Documents and Settings\<username>\Local Settings\Application Data
			-- This appdata is not roaming (while 'appdata' is roaming)
		deferred
		end

	startmenu: attached STRING
			-- Default: C:\Documents and Settings\<username>\Start Menu
		deferred
		end

	common_appdata: attached STRING
			-- Default: C:\Documents and Settings\All Users\Application Data
		deferred
		end

	common_startmenu: attached STRING
			-- Default: C:\Documents and Settings\All Users\Start Menu\Programs
		deferred
		end

	programs: attached STRING
			-- Default: C:\Documents and Settings\<username>\Start Menu\Programs
		deferred
		end

	common_programs: attached STRING
			-- Default: C:\Documents and Settings\All Users\Start Menu\Programs
		deferred
		end

	desktop: attached STRING
			-- Default: C:\Documents and Settings\<username>\Desktop
		deferred
		end

	common_desktop: attached STRING
			-- Default: C:\Documents and Settings\All Users\Desktop
		deferred
		end

	sendto: attached STRING
			-- Default: C:\Documents and Settings\<username>\SendTo
		deferred
		end

	admintools: attached STRING
			-- Default: C:\Documents and Settings\<username>\Start Menu\Programs\Administrative Tools
		deferred
		end

	common_admintools: attached STRING
			-- Default: C:\Documents and Settings\All Users\Start Menu\Programs\Administrative Tools
		deferred
		end

	startup: attached STRING
			-- Default: C:\Documents and Settings\<username>\Start Menu\Programs\Startup
		deferred
		end

	common_startup: attached STRING
			-- Default: C:\Documents and Settings\All Users\Start Menu\Programs\Startup
		deferred
		end

	personal: attached STRING
			-- Default: C:\Documents and Settings\<username>\My Documents
		deferred
		end

	common_documents: attached STRING
			-- Default: C:\Documents and Settings\All Users\Documents
		deferred
		end

	cookies: attached STRING
			-- Default: C:\Documents and Settings\<username>\Cookies
		deferred
		end

	history: attached STRING
			-- Default: C:\Documents and Settings\<username>\Local Settings\History
		deferred
		end

	internet_cache: attached STRING
			-- Default: C:\Documents and Settings\<username>\Local Settings\Temporary Internet Files
		deferred
		end

	mypictures: attached STRING
			-- Default: C:\Documents and Settings\<username>\My Documents\My Pictures
		deferred
		end

end
