indexing
	description : "[
		Axarosenberg specific pixmap factory
		]"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #10 $"

class
	ROSE_STOCK_PIXMAPS

inherit
	EV_STOCK_PIXMAPS

	ROSE_SHARED_GLOBAL_GUI


create
	default_create

feature -- Initialization

feature -- Access

feature -- Measurement

feature -- Status report

feature -- Status setting

feature -- Cursor movement

feature -- Element change

feature -- Removal

feature -- Resizing

feature -- Transformation

feature -- Conversion

feature -- Duplication

feature -- Miscellaneous
	alpha_pixmap : EV_PIXMAP is
		once
			Result := pixmap_by_name("icon_class_header_color.ico")
		end
	attribute_pixmap : EV_PIXMAP is
		once
			Result := pixmap_by_name("icon_attribute_symbol.ico")
		end
		
	back_pixmap : EV_PIXMAP is
		once
			Result := pixmap_by_name("icon_back_color.ico")
		end
		
	forth_pixmap : EV_PIXMAP is
		once
			Result := pixmap_by_name("icon_forth_color.ico")
		end
	history_pixmap : EV_PIXMAP is
		once
			Result := pixmap_by_name("icon_history_color.ico")
		end
	info_pixmap : EV_PIXMAP is
		once
			Result := pixmap_by_name("icon_system_info_color.ico")
		end
		
	alpha_cursor : EV_CURSOR is
		once
			Result := cursor_by_name("icon_class_header_color.ico")
		end
	attribute_cursor : EV_CURSOR is
		once
			Result := cursor_by_name("icon_attribute_symbol.ico")
		end
		
	back_cursor : EV_CURSOR is
		once
			Result := cursor_by_name("icon_back_color.ico")
		end
		
	forth_cursor : EV_CURSOR is
		once
			Result := cursor_by_name("icon_forth_color.ico")
		end
	history_cursor : EV_CURSOR is
		once
			Result := cursor_by_name("icon_history_color.ico")
		end
	info_cursor : EV_CURSOR is
		once
			Result := cursor_by_name("icon_system_info_color.ico")
		end
		
	pixmap_by_name (a_name : STRING) : EV_PIXMAP is
		do
			Result := clone(Gui.factory.new_pixmap (a_name))
		end			
	cursor_by_name (a_name : STRING) : EV_CURSOR is
		do
			create Result.make_with_pixmap(pixmap_by_name(a_name),0,0)
		end			
feature -- Basic operations

feature -- Obsolete

feature -- Inapplicable

feature {NONE} -- Implementation


end -- class ROSE_STOCK_PIXMAPS
