note

	description:

		"STREAM class with facilities for storing and retrieving from strings"

	keywords: "stream,string,storable"
	author: "Mark Howard"
	last_editor: "$Author: it $"
	date: "$Date: 2013/02/13 $"
	revision: "$Revision: #17 $"
	path: "$File: //rose/source/kernel/infrastructure/support/windows/classic/rose_stream.e $"

class ROSE_STREAM

inherit

	ROSE_STREAM_BASE

	MISMATCH_CORRECTOR
		undefine
			default_create
		redefine
			correct_mismatch
		end

create

	default_create,
	make,
	make_with_size,
	make_from_streams,
	make_from_string

feature -- Basic Operations

	retrieve_from (a_pointer: POINTER; a_size: INTEGER): ANY is
			-- Retrieve object from memory `a_pointer' with size `a_size'
		do
			(create {MISMATCH_CORRECTOR}).mismatch_information.do_nothing
			Result := c_retrieved ($a_pointer, a_size, 0, $retrieved_size)
		end

	correct_mismatch is
			-- Attempt to correct object mismatch using `mismatch_information'.
		do
		end

end
