indexing
	description : "[
		Class for handling STRING fields in EXTERNAL_RECORD
		]"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $";
	revision: "$Revision: #6 $"

class
	ROSE_STRING_INTERPRETER
inherit
	ROSE_EXTERNAL_INTERPRETER[STRING]
		redefine
			decode,
			encode
		end
	C_ACCESS_SUPPORT
feature
	decode (a_pointer : POINTER;a_byte_count : INTEGER) : STRING is
		do
			Result := makestr(a_pointer,a_byte_count)
		end
	encode (a_pointer : POINTER;a_source : STRING;a_count : INTEGER) is
		local
			l_any : C_STRING
		do
			if a_source /= void then
				create l_any.make (a_source)
				copy_to_pointer_with_fill(a_pointer,l_any.item,a_count,a_count,0)
			end
		end
end -- class ROSE_STRING_INTERPRETER
