indexing
	description: "Inclusion of extra services for the system"
	notice: "[
		DB services. Require Persistence classes to be compiled with the system.
	]"
	author: "Zoran Simic"
	date: "$Date: 2009/04/06 $"
	revision: "$Revision: #7 $"

class
	ROSE_SYSTEM_DEPENDENCY_DB

inherit
	ROSE_SYSTEM_DEPENDENCY
	ROSE_SHARED_DATABASE_POOL

create
	make_console, make_gui

feature {NONE} -- Initialization

	make_console is
			-- Make console
		do
		end

	make_gui is
			-- Make Gui
		do
			pool.set_force_transactions_off (True)
		end

feature {ROSE_SYSTEM_DEPENDENCY_MANAGER} -- Implementation

	register is
			-- Register actual dependencies.
		do
			Global.io_handler.add_output (create {ROSE_OUTCHANNEL_DATABASE})
			Global.config_manager.add_handler (create {ROSE_CONFIGURATION_HANDLER_REPOSITORY})
			Global.commands.add (create {RCMD_REPOSITORY})
		end

end
