indexing
	description: "Inclusion of extra services for the system"
	notice: "[
		Standard dependiencies. The following includes all services bundled in every application.
	]"
	author: "Zoran Simic"
	date: "$Date: 2010/07/23 $"
	revision: "$Revision: #8 $"

class
	ROSE_SYSTEM_DEPENDENCY_STANDARD

inherit
	ROSE_SYSTEM_DEPENDENCY

feature {ROSE_SYSTEM_DEPENDENCY_MANAGER} -- Implementation

	register is
			-- Register actual dependencies.
		do
			Global.config_manager.add_handler (create {ROSE_CONFIGURATION_HANDLER_XML})
			Global.config_manager.add_handler (create {ROSE_CONFIGURATION_HANDLER_WIN32_REGISTRY})
			Global.commands.add (create {RCMD_ABOUT_PROJECT_INSTANCE})
			Global.commands.add (create {RCMD_SPAWN})
		end

end
