indexing

	description: "Parser token codes"
	generator: "geyacc version 3.3"

class ROSE_UNITS_TOKENS

inherit

	YY_PARSER_TOKENS

feature -- Last values

	last_any_value: ANY
	last_string_value: STRING

feature -- Access

	token_name (a_token: INTEGER): STRING is
			-- Name of token `a_token'
		do
			inspect a_token
			when 0 then
				Result := "EOF token"
			when -1 then
				Result := "Error token"
			when RU_IDENTIFIER then
				Result := "RU_IDENTIFIER"
			when RU_INTEGER then
				Result := "RU_INTEGER"
			when RU_ERROR then
				Result := "RU_ERROR"
			when RU_EOF then
				Result := "RU_EOF"
			else
				Result := yy_character_token_name (a_token)
			end
		end

feature -- Token codes

	RU_IDENTIFIER: INTEGER is 258
	RU_INTEGER: INTEGER is 259
	RU_ERROR: INTEGER is 260
	RU_EOF: INTEGER is 261

end
