note

	description:

		"Location like bank or custodial account"

	author: "Mark Howard"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #10 $"
	path: "$File: //rose/source/kernel/expert_system/rp_account.e $"

deferred class RP_ACCOUNT

inherit
	RP_LOCATION
		redefine
			is_equal
		end

feature -- Change

	set_code (a_code: like code) is
			-- Set 'code' to 'a_code'
		require
			a_code_not_void: a_code /= Void
		deferred
		ensure
			code_set: code.is_equal (a_code)
		end

feature -- Comparison

	is_equal (a_other: like Current): BOOLEAN is
			-- <Precursor>
		do
			Result := code ~ a_other.code
		end
end
