indexing

	description: "Benchmark assignment history interval"

	date: "$Date: 2009/07/13 $"
	sccid: "$Id: //rose/source/kernel/expert_system/rp_benchmark_history_interval.e#3 $"

class RP_BENCHMARK_HISTORY_INTERVAL

inherit

	ROSE_CLOSED_OPEN_INTERVAL[RP_BENCHMARK]
		rename
			item as benchmark
		end

create
	make

feature -- Status

	is_hedged: BOOLEAN is
			-- Does `Current' have hedged benchmark?
		do
			Result := not is_non_hedged
		end

	is_non_hedged: BOOLEAN is
			-- Does `Current' have non-hedged benchmark?
		do
			Result := weight.is_equal (weight.zero)
		end

end
