indexing
	description: "Database record for brimsec mapping data from CLIO funds DB"
	author: "Norman Wolf"
	last_editor: "$Author: nw $"
	date: "$Date: 2010/03/12 $"
	revision: "$Revision: #1 $"
	archive: "$File: //rose/source/kernel/expert_system/mds/rp_cliodb_brimsec_mapping_record.e $"

class RP_CLIODB_BRIMSEC_MAPPING_RECORD

feature -- Access

	clio_fund_id: INTEGER
		-- CLIO Fund ID

	brimco: STRING
		-- brimco

	sec: STRING
		-- sec.

	start_date: INTEGER
		-- Start of (closed) interval in ccyymmdd format.

	end_date: INTEGER
		-- End of (open) interval in ccyymmdd format.
end
