indexing
	description: "General corporate action"
	date: "$Date: 2009/11/06 $"
	revision: "$Revision: #10 $"

deferred class
	RP_CORPORATE_ACTION

inherit
	RP_EVENT_SOURCE

	DEBUG_OUTPUT

feature  -- Basic access

	election: RP_CORPORATE_ACTION_ELECTION [CAPACT_EXPRESSION, RP_PORTFOLIO_CORPORATE_ACTION_CONTRACT] is
			-- Election for this corporate action
		deferred
		ensure
			not_void: Result /= Void
		end

feature -- Output

	debug_output: STRING
			-- <Precursor>
		local
			l_capact: CAPACT_EXPRESSION
		do
			create Result.make_empty
			if election /= Void then
				l_capact := election.capact
				if l_capact.display_capact_string /= Void then
					Result.append ("[" + l_capact.display_capact_string + "]")
				elseif l_capact.brimsym /= Void then
					Result.append ("[" + l_capact.brimsym + "]")
				else
					Result.append ("[UNKNOWN]")
				end
			end
		end

end -- class RP_CORPORATE_ACTION
