indexing
	description: "An object representing a person."
	author: "Julian Rogers"
	last_editor: "$Author: jq $"
	date: "$Date: 2009/05/11 $"
	revision: "$Revision: #1 $"
	archive: "$File: //rose/source/kernel/infrastructure/production/rp_dynamic_person.e $"

class
	RP_DYNAMIC_PERSON

inherit
	RP_PERSON

create
	make

feature {NONE} -- Initialization

	make (a_name: STRING; a_login_id: STRING) is
			-- Create `Current' with name `a_name' and login_id `a_login_id'.
		do
			name := a_name
			login_id := a_login_id
		ensure
			name_set: name = a_name
			login_id_set: login_id = a_login_id
		end

feature -- Access

	name: STRING

	login_id: STRING

end
