indexing

	description:

		"Flow Types Singleton"

	date: "$Date: 2010/07/19 $"
	sccid: "$Id: //rose/source/kernel/expert_system/rp_flow_type_aware.e#8 $"

deferred class RP_FLOW_TYPE_AWARE

feature -- Singletons

	quantity_flow_type: RP_FLOW_TYPE is
			-- quantity_flow singleton
		once
			create Result.make_as_quantity_flow
		ensure
			is_quantity_flow: Result.is_quantity_flow
		end

	gross_monies_flow_type: RP_FLOW_TYPE is
			-- gross_monies_flow singleton
		once
			create Result.make_as_gross_monies_flow
		ensure
			is_gross_monies_flow: Result.is_gross_monies_flow
		end

	fungible_conversion_flow_type: RP_FLOW_TYPE is
			-- fungible_conversion_flow singleton
		once
			create Result.make_as_fungible_conversion_flow
		ensure
			is_fungible_conversion_flow: Result.is_fungible_conversion_flow
		end

	tax_flow_type: RP_FLOW_TYPE is
			-- tax_flow singleton
		once
			create Result.make_as_tax_flow
		ensure
			is_tax_flow: Result.is_tax_flow
		end

	commission_flow_type: RP_FLOW_TYPE is
			-- commission_flow singleton
		once
			create Result.make_as_commission_flow
		ensure
			is_commission_flow: Result.is_commission_flow
		end

	exchange_fee_flow_type: RP_FLOW_TYPE is
			-- exchange_fee_flow singleton
		once
			create Result.make_as_exchange_fee_flow
		ensure
			is_exchange_fee_flow: Result.is_exchange_fee_flow
		end

	stamp_duty_flow_type: RP_FLOW_TYPE is
			-- stamp_duty_flow singleton
		once
			create Result.make_as_stamp_duty_flow
		ensure
			is_stamp_duty_flow: Result.is_stamp_duty_flow
		end

	borrow_flow_type: RP_FLOW_TYPE is
			-- borrow_flow singleton
		once
			create Result.make_as_borrow_flow
		ensure
			is_borrow_flow: Result.is_borrow_flow
		end

	return_flow_type: RP_FLOW_TYPE is
			-- return_flow singleton
		once
			create Result.make_as_return_flow
		ensure
			is_return_flow: Result.is_return_flow
		end

	dividend_flow_type: RP_FLOW_TYPE is
			-- dividend_flow singleton
		once
			create Result.make_as_dividend_flow
		ensure
			is_dividend_flow: Result.is_dividend_flow
		end

	split_flow_type: RP_FLOW_TYPE is
			-- split_flow singleton
		once
			create Result.make_as_split_flow
		ensure
			is_split_flow: Result.is_split_flow
		end

	transfer_flow_type: RP_FLOW_TYPE is
			-- transfer_flow singleton
		once
			create Result.make_as_transfer_flow
		ensure
			is_transfer_flow: Result.is_transfer_flow
		end

	delivery_flow_type: RP_FLOW_TYPE is
			-- delivery_flow singleton
		once
			create Result.make_as_delivery_flow
		ensure
			is_delivery_flow: Result.is_delivery_flow
		end

	distribution_flow_type: RP_FLOW_TYPE is
			-- distribution_flow singleton
		once
			create Result.make_as_distribution_flow
		ensure
			is_distribution_flow: Result.is_distribution_flow
		end

	debt_reduction_flow_type: RP_FLOW_TYPE is
			-- debt_reduction_flow singleton
		once
			create Result.make_as_debt_reduction_flow
		ensure
			is_debt_reduction_flow: Result.is_debt_reduction_flow
		end

	debt_payment_flow_type: RP_FLOW_TYPE is
			-- debt_payment_flow singleton
		once
			create Result.make_as_debt_payment_flow
		ensure
			is_debt_payment_flow: Result.is_debt_payment_flow
		end

	stock_bonus_flow_type: RP_FLOW_TYPE is
			-- stock_bonus_flow singleton
		once
			create Result.make_as_stock_bonus_flow
		ensure
			is_stock_bonus_flow: Result.is_stock_bonus_flow
		end

	interest_flow_type: RP_FLOW_TYPE is
			-- interest_flow singleton
		once
			create Result.make_as_interest_flow
		ensure
			is_interest_flow: Result.is_interest_flow
		end

	income_flow_type: RP_FLOW_TYPE is
			-- income_flow singleton
		once
			create Result.make_as_income_flow
		ensure
			is_income_flow: Result.is_income_flow
		end

	income_adjustment_flow_type: RP_FLOW_TYPE is
			-- income_adjustment_flow singleton
		once
			create Result.make_as_income_adjustment_flow
		ensure
			is_income_adjustment_flow: Result.is_income_adjustment_flow
		end

	income_unrelated_flow_type: RP_FLOW_TYPE is
			-- income_unrelated_flow singleton
		once
			create Result.make_as_income_unrelated_flow
		ensure
			is_income_unrelated_flow: Result.is_income_unrelated_flow
		end

	income_unrelated_adjustment_flow_type: RP_FLOW_TYPE is
			-- income_unrelated_adjustment_flow singleton
		once
			create Result.make_as_income_unrelated_adjustment_flow
		ensure
			is_income_unrelated_adjustment_flow: Result.is_income_unrelated_adjustment_flow
		end

	expense_flow_type: RP_FLOW_TYPE is
			-- expense_flow singleton
		once
			create Result.make_as_expense_flow
		ensure
			is_expense_flow: Result.is_expense_flow
		end

	expense_adjustment_flow_type: RP_FLOW_TYPE is
			-- expense_adjustment_flow singleton
		once
			create Result.make_as_expense_adjustment_flow
		ensure
			is_expense_adjustment_flow: Result.is_expense_adjustment_flow
		end

	expense_unrelated_flow_type: RP_FLOW_TYPE is
			-- expense_unrelated_flow singleton
		once
			create Result.make_as_expense_unrelated_flow
		ensure
			is_expense_unrelated_flow: Result.is_expense_unrelated_flow
		end

	expense_unrelated_adjustment_flow_type: RP_FLOW_TYPE is
			-- expense_unrelated_adjustment_flow singleton
		once
			create Result.make_as_expense_unrelated_adjustment_flow
		ensure
			is_expense_unrelated_adjustment_flow: Result.is_expense_unrelated_adjustment_flow
		end

	ffx_gain_loss_flow_type: RP_FLOW_TYPE is
			-- ffx_gain_loss_flow singleton
		once
			create Result.make_as_ffx_gain_loss_flow
		ensure
			is_ffx_gain_loss_flow: Result.is_ffx_gain_loss_flow
		end

	dividend_withholding_country_tax_flow_type: RP_FLOW_TYPE is
			-- dividend_withholding_country_tax_flow singleton
		once
			create Result.make_as_dividend_withholding_country_tax_flow
		ensure
			is_dividend_withholding_country_tax_flow: Result.is_dividend_withholding_country_tax_flow
		end

	dividend_withholding_nrs_tax_flow_type: RP_FLOW_TYPE is
			-- dividend_withholding_nrs_tax_flow singleton
		once
			create Result.make_as_dividend_withholding_nrs_tax_flow
		ensure
			is_dividend_withholding_nrs_tax_flow: Result.is_dividend_withholding_nrs_tax_flow
		end

	dividend_tax_refund_flow_type: RP_FLOW_TYPE is
			-- dividend_tax_refund_flow singleton
		once
			create Result.make_as_dividend_tax_refund_flow
		ensure
			is_dividend_tax_refund_flow: Result.is_dividend_tax_refund_flow
		end

	tender_flow_type: RP_FLOW_TYPE is
			-- tender_flow singleton
		once
			create Result.make_as_tender_flow
		ensure
			is_tender_flow: Result.is_tender_flow
		end

	stock_dividend_flow_type: RP_FLOW_TYPE is
			-- stock_dividend_flow singleton
		once
			create Result.make_as_stock_dividend_flow
		ensure
			is_stock_dividend_flow: Result.is_stock_dividend_flow
		end

	inkind_flow_type: RP_FLOW_TYPE is
			-- inkind_flow singleton
		once
			create Result.make_as_inkind_flow
		ensure
			is_inkind_flow: Result.is_inkind_flow
		end

	outkind_flow_type: RP_FLOW_TYPE is
			-- outkind_flow singleton
		once
			create Result.make_as_outkind_flow
		ensure
			is_outkind_flow: Result.is_outkind_flow
		end

	mark_to_market_flow_type: RP_FLOW_TYPE is
			-- mark_to_market_flow singleton
		once
			create Result.make_as_mark_to_market_flow
		ensure
			is_mark_to_market_flow: Result.is_mark_to_market_flow
		end

	dividend_reinvestment_quantity_flow_type: RP_FLOW_TYPE is
			-- dividend_reinvestment_quantity_flow singleton
		once
			create Result.make_as_dividend_reinvestment_quantity_flow
		ensure
			is_dividend_reinvestment_quantity_flow: Result.is_dividend_reinvestment_quantity_flow
		end

	dividend_reinvestment_money_flow_type: RP_FLOW_TYPE is
			-- dividend_reinvestment_money_flow singleton
		once
			create Result.make_as_dividend_reinvestment_money_flow
		ensure
			is_dividend_reinvestment_money_flow: Result.is_dividend_reinvestment_money_flow
		end

	rights_exercise_quantity_flow_type: RP_FLOW_TYPE is
			-- rights_exercise_quantity_flow singleton
		once
			create Result.make_as_rights_exercise_quantity_flow
		ensure
			is_rights_exercise_quantity_flow: Result.is_rights_exercise_quantity_flow
		end

	rights_exercise_money_flow_type: RP_FLOW_TYPE is
			-- rights_exercise_money_flow singleton
		once
			create Result.make_as_rights_exercise_money_flow
		ensure
			is_rights_exercise_money_flow: Result.is_rights_exercise_money_flow
		end

	ffx_open_flow_type: RP_FLOW_TYPE is
			-- ffx_open_flow singleton
		once
			create Result.make_as_ffx_open_flow
		ensure
			is_ffx_open_flow: Result.is_ffx_open_flow
		end

	ffx_close_flow_type: RP_FLOW_TYPE is
			-- ffx_close_flow singleton
		once
			create Result.make_as_ffx_close_flow
		ensure
			is_ffx_close_flow: Result.is_ffx_close_flow
		end

	fixed_deposit_transfer_flow_type: RP_FLOW_TYPE is
			-- fixed_deposit_transfer_flow singleton
		once
			create Result.make_as_fixed_deposit_transfer_flow
		ensure
			is_fixed_deposit_transfer_flow: Result.is_fixed_deposit_transfer_flow
		end

	redenomination_flow_type: RP_FLOW_TYPE is
			-- redenomination_flow singleton
		once
			create Result.make_as_redenomination_flow
		ensure
			is_redenomination_flow: Result.is_redenomination_flow
		end

	quantity_intraday_sell_flow_type: RP_FLOW_TYPE is
			-- quantity_intraday_sell_flow singleton
		once
			create Result.make_as_quantity_intraday_sell_flow
		ensure
			is_quantity_intraday_sell_flow: Result.is_quantity_intraday_sell_flow
		end

	gross_monies_intraday_sell_flow_type: RP_FLOW_TYPE is
			-- gross_monies_intraday_sell_flow singleton
		once
			create Result.make_as_gross_monies_intraday_sell_flow
		ensure
			is_gross_monies_intraday_sell_flow: Result.is_gross_monies_intraday_sell_flow
		end

	withdrawal_flow_type: RP_FLOW_TYPE is
			-- withdrawal_flow singleton
		once
			create Result.make_as_withdrawal_flow
		ensure
			is_withdrawal_flow: Result.is_withdrawal_flow
		end

	contribution_flow_type: RP_FLOW_TYPE is
			-- contribution_flow singleton
		once
			create Result.make_as_contribution_flow
		ensure
			is_contribution_flow: Result.is_contribution_flow
		end

	intrazonal_withdrawal_flow_type: RP_FLOW_TYPE is
			-- intrazonal_withdrawal_flow singleton
		once
			create Result.make_as_intrazonal_withdrawal_flow
		ensure
			is_intrazonal_withdrawal_flow: Result.is_intrazonal_withdrawal_flow
		end

	intrazonal_contribution_flow_type: RP_FLOW_TYPE is
			-- intrazonal_contribution_flow singleton
		once
			create Result.make_as_intrazonal_contribution_flow
		ensure
			is_intrazonal_contribution_flow: Result.is_intrazonal_contribution_flow
		end

end
