indexing

	description:

		"Buy trade GEDB record"

	date: "$Date: 2010/07/19 $"
	sccid: "$Id: //rose/source/kernel/expert_system/aflows/rp_gedb_buy.e#16 $"

class RP_GEDB_BUY

inherit

	RP_GEDB_TRADE

create

	make

feature -- Access

	contract: !RP_PORTFOLIO_CONTRACT is
			-- Create event contracts.
		do
			Result := manager.legacy.buy (Current)
		end

	traded_quantity: RP_QUANTITY is
			-- shares or units traded
		do
			Result := units
		end

	gross_quantity: RP_MONIES is
			-- gross amount before fees and commissions
		do
			Result := cash_effect_with_sign.abs - fee - commission
		end

	net_quantity: RP_MONIES is
			-- net amount
		do
			Result := cash_effect_with_sign
		end

invariant

	is_buy_event_type_1: is_buy_event_type_1

end
