note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Sami Ben-Grine"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #5 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_cash_distribution_converter.e $"

class RP_GEDB_CASH_DISTRIBUTION_CONVERTER

inherit

	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_CASH_DISTRIBUTION, RP_DISTRIBUTION]
		redefine
			contract
		end

create

	make

feature -- Access

	contract: !RP_DISTRIBUTION is
			-- <Precursor>
		do
			if cash_effect_with_sign.amount < 0 then
				create Result.make_short_position (units_base, cash_effect_with_sign, performance_effect_with_sign, event_date, settle_date, portfolio, identifier, system, custody)
			else
				create Result.make_long_position (units_base, cash_effect_with_sign, performance_effect_with_sign, event_date, settle_date, portfolio, identifier, system, custody)
			end
		end

end
