note

	description:

		"Cover trade GEDB record"

	author: "Ivan Tarnavsky"
	last_editor: "$Author: er $"
	date: "$Date: 2013/01/30 $"
	revision: "$Revision: #17 $"
	path: "$File: //rose/source/kernel/expert_system/aflows/rp_gedb_cover.e $"

class RP_GEDB_COVER

inherit

	RP_GEDB_TRADE

create {RP_GEDB_EVENT_FACTORY}

	make

feature -- Access

	contract: !RP_PORTFOLIO_CONTRACT is
			-- Create event contracts.
		do
			Result := manager.legacy.cover (Current)
		end

	traded_quantity: RP_QUANTITY is
			-- shares or units traded
		do
			Result := units
		end

	gross_quantity: RP_MONIES is
			-- gross amount before fees and commissions
		do
			Result := cash_effect_with_sign.abs - fee - commission
		end

	net_quantity: RP_MONIES is
			-- net amount
		do
			Result := cash_effect_with_sign
		end

invariant

	is_cover_event_type_22: is_cover_event_type_22

end
