note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Portfolio Accounting Tech"
	last_editor: "$Author: e2 $"
	date: "$Date: 2012/04/17 $"
	revision: "$Revision: #9 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_dividend_converter.e $"

class RP_GEDB_DIVIDEND_CONVERTER

inherit

	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_DIVIDEND, RP_CASH_DIVIDEND]

create

	make

feature -- Access

	contract: attached RP_CASH_DIVIDEND is
			-- Generate event contracts
		local
			l_settle_date: ROSE_DATE
		do
			l_settle_date := system.manager.legacy.adjusted_cash_dividend_settle_date (settle_date,
				portfolio,
				instrument.country_of_issue (system.manager.reference_system, event_date),
				event.currency,
				event.units_base.sign > -1)
			create Result.make (units_base, cash_effect_with_sign, Void, event_date, l_settle_date, portfolio, identifier, system, settle_date, custody)
		end

end
