note

	description:

		"Match GEDB event to BACKDIV record"

	author: "Ivan Tarnavsky"
	last_editor: "$Author: it $"
	date: "$Date: 2011/02/23 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/expert_system/legacy/rp_gedb_event_to_backdiv_matcher.e $"

deferred class RP_GEDB_EVENT_TO_BACKDIV_MATCHER

feature -- Basic Operations

feature -- Query

	match (a_event: RP_GEDB_EVENT): RP_BACKDIV_RECORD is
			-- Match `a_event' to BACKDIV record
		require
			a_event_not_void: a_event /= Void
		deferred
		ensure
			void_result_means_no_match_found: True
		end

end
