note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Portfolio Accounting Tech"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #3 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_expense_adjustment_converter.e $"

class
	RP_GEDB_EXPENSE_ADJUSTMENT_CONVERTER

inherit
	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_EXPENSE_ADJUSTMENT, RP_EXPENSE_ADJUSTMENT]

create
	make

feature -- Access

	contract: !RP_EXPENSE_ADJUSTMENT is
			-- <Precursor>
		do
			create Result.make (
				cash_effect_with_sign,
				performance_effect_with_sign.abs,
				event_date,
				settle_date,
				portfolio,
				identifier,
				system,
				custody)
		end

end
