note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Portfolio Accounting Tech"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #4 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_ffx_gain_loss_converter.e $"

class
	RP_GEDB_FFX_GAIN_LOSS_CONVERTER
inherit

	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_FFX_GAIN_LOSS, RP_FFX_GAIN_LOSS]

create
	make

feature -- Access

	contract: !RP_FFX_GAIN_LOSS is
			-- <Precursor>
		do
			create Result.make (
				system,
				broker,
				event_date,
				settle_date,
				portfolio,
				identifier,
				traded_quantity,
				gross_quantity,
				custody)
		end

	traded_quantity: RP_QUANTITY is
			-- shares or units traded
		do
			Result := event.traded_quantity
		end

	gross_quantity: RP_MONIES is
			-- gross amount before fees and commissions
		do
			Result := event.gross_quantity
		end

end
