note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Portfolio Accounting Tech"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #3 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_fixed_deposit_transfer_converter.e $"

class
	RP_GEDB_FIXED_DEPOSIT_TRANSFER_CONVERTER

inherit
	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_FIXED_DEPOSIT_TRANSFER, RP_FIXED_DEPOSIT_TRANSFER]

create
	make

feature -- Access

	contract: !RP_FIXED_DEPOSIT_TRANSFER is
			-- <Precursor>
		do
			create Result.make (
				cash_effect_with_sign,
				instrument,
				event_date,
				settle_date,
				portfolio,
				identifier,
				system,
				custody)
		end

end
