note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Portfolio Accounting Tech"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #3 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_income_swept_converter.e $"

class
	RP_GEDB_INCOME_SWEPT_CONVERTER


inherit
	RP_GEDB_EVENT_TO_CONTRACT_CONVERTER [RP_GEDB_INCOME_SWEPT]

create
	make

feature -- Access

	contract: !RP_INCOME is
			-- <Precursor>
		do
			create Result.make (
				cash_effect_with_sign,
				performance_effect_with_sign.abs,
				event_date,
				settle_date,
				portfolio,
			 	identifier,
			 	system,
				custody)
		end

end
