note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Sami Ben-Grine"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #8 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_inlieu_converter.e $"

class RP_GEDB_INLIEU_CONVERTER

inherit

	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_INLIEU, RP_INLIEU]

create

	make

feature -- Access

	contract: !RP_INLIEU is
			-- <Precursor>
		do
			if units.amount > 0 then
				create {RP_INLIEU_SHORT} Result.make (system, event_date, settle_date, identifier, portfolio, broker, units, cash_effect_with_sign.abs - fee - commission, cash_effect_with_sign.abs, commission, fee, custody)
			else
				create {RP_INLIEU_LONG} Result.make (system, event_date, settle_date, identifier, portfolio, broker, -units, cash_effect_with_sign.abs + fee + commission, cash_effect_with_sign.abs, commission, fee, custody)
			end
		end

end
