note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Sami Ben-Grine"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #4 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_mark_to_market_converter.e $"

class RP_GEDB_MARK_TO_MARKET_CONVERTER

inherit

	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_MARK_TO_MARKET, RP_MARK_TO_MARKET]

create

	make

feature -- Access

	contract: !RP_MARK_TO_MARKET is
			-- <Precursor>
		local
			l_qty: RP_MONIES
		do
			if portfolio.zone.is_united_states then
					-- U zone has the _net_ MTM value in perf_effect
				l_qty := performance_effect_with_sign
			else
					-- other zones have the _change_ in MTM value in cash_effect
				l_qty := cash_effect_with_sign
			end
			create Result.make (l_qty, event_date, settle_date, portfolio, identifier, system, custody)
		end

end
