note

	description:

		"Short GEDB record"

	author: "Ivan Tarnavsky"
	last_editor: "$Author: er $"
	date: "$Date: 2013/01/30 $"
	revision: "$Revision: #17 $"
	path: "$File: //rose/source/kernel/expert_system/aflows/rp_gedb_short.e $"

class RP_GEDB_SHORT

inherit

	RP_GEDB_TRADE

create {RP_GEDB_EVENT_FACTORY}

	make

feature {NONE} -- Implementation

	contract: !RP_PORTFOLIO_CONTRACT is
			-- Create event contracts.
		do
			Result := manager.legacy.short (Current)
		end

feature -- Access

	traded_quantity: RP_QUANTITY is
			-- Tradd shares
		do
			Result := units.abs
		end

	gross_quantity: RP_MONIES is
			-- gross amount before fees and commissions	
		do
			Result := cash_effect_with_sign.abs + fee + commission
		end

	net_quantity: RP_MONIES is
			-- net amount
		do
			Result := cash_effect_with_sign
		end

invariant

	is_short_event_type_21: is_short_event_type_21

end
