note

	description:

		"Convert GEDB stock dividend to contract"

	author: "Portfolio Accounting Tech"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #7 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_stock_dividend_converter.e $"

class RP_GEDB_STOCK_DIVIDEND_CONVERTER

inherit

	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_STOCK_DIVIDEND, RP_STOCK_DIVIDEND]

create

	make

feature -- Access

	contract: RP_STOCK_DIVIDEND is
			-- <Precursor>
		local
			l_settle_date: ROSE_DATE
		do
			if attached {RP_STOCK} event.instrument as l_stock then
				l_settle_date := system.manager.legacy.stock_dividend_settle_date (event.event_date, event.settle_date, event.portfolio, l_stock)
				create {RP_STOCK_DIVIDEND} Result.make (event.units, event.units_base, event.event_date, l_settle_date, event.portfolio, event.identifier, system, custody)
			else
				(create {EXCEPTIONS}).raise ("NON-stock instrument for STOCK DIVIDEND " + event.identifier)
			end
		end

end
