indexing

	description:

		"Market Field Singletons"

	date: "$Date: 2009/06/16 $"
	fileid: "$Id: //rose/source/kernel/expert_system/mds/rp_market_data_field_aware.e#4 $"

deferred class RP_MARKET_DATA_FIELD_AWARE

feature -- enumerations

	adjustment_type: !RP_MARKET_DATA_FIELD is
			-- adjustment
		once
			create Result.make_as_adjustment
		end

	unadjusted_bid_type: !RP_MARKET_DATA_FIELD is
			-- unadjusted_bid
		once
			create Result.make_as_unadjusted_bid
		end

	unadjusted_ask_type: !RP_MARKET_DATA_FIELD is
			-- unadjusted_ask
		once
			create Result.make_as_unadjusted_ask
		end

	unadjusted_low_type: !RP_MARKET_DATA_FIELD is
			-- unadjusted_low
		once
			create Result.make_as_unadjusted_low
		end

	unadjusted_high_type: !RP_MARKET_DATA_FIELD is
			-- unadjusted_high
		once
			create Result.make_as_unadjusted_high
		end

	unadjusted_close_type: !RP_MARKET_DATA_FIELD is
			-- unadjusted_close
		once
			create Result.make_as_unadjusted_close
		end

	volume_type:!RP_MARKET_DATA_FIELD is
			-- volume
		once
			create Result.make_as_volume
		end

	currency_type: !RP_MARKET_DATA_FIELD is
			-- currency
		once
			create Result.make_as_currency
		end

	civ_fund_class_nav_type: !RP_MARKET_DATA_FIELD is
			-- civ_fund_class_nav
		once
			create Result.make_as_civ_fund_class_nav
		end

	civ_fund_class_capital_balance_type: !RP_MARKET_DATA_FIELD is
			-- civ_fund_class_capital_balance
		once
			create Result.make_as_civ_fund_class_capital_balance
		end

	civ_fund_class_expense_balance_type: !RP_MARKET_DATA_FIELD is
			-- civ_fund_class_expense_balance
		once
			create Result.make_as_civ_fund_class_expense_balance
		end

	civ_fund_class_revenue_balance_type: !RP_MARKET_DATA_FIELD is
			-- civ_fund_class_revenue_balance
		once
			create Result.make_as_civ_fund_class_revenue_balance
		end

	civ_fund_class_shares_type: !RP_MARKET_DATA_FIELD is
			-- civ_fund_class_shares
		once
			create Result.make_as_civ_fund_class_shares
		end

	civ_fund_shares_activity: !RP_MARKET_DATA_FIELD is
			-- civ_fund_shares_activity
		once
			create Result.make_as_civ_fund_shares_activity
		end

end
