indexing

	description: "IMC in Orinda, California, USA"

	author: ""
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"
	archive: "$File: //rose/source/kernel/expert_system/rp_orinda.e $"

class RP_ORINDA

inherit

	RP_INVESTMENT_MANAGEMENT_COMPANY

	GCDB_SHARED_HOME
		rename
			singleton as gcdb_home
		export
			{NONE} all
		undefine
			is_equal
		end

create {RP_REFERENCE_SYSTEM}

	make

feature {NONE} -- Initialization

	make (a_reference_system: like reference_system) is
			-- Initialize `Current'.
		require
			a_reference_system_not_void: a_reference_system /= Void
		do
			reference_system := a_reference_system
			make_with_gcdb_imc (gcdb_home.imc_by_code ("U", Void))
		ensure
			reference_system_set: reference_system = a_reference_system
		end

feature -- Access
	
	location: RP_COUNTRY is
			-- Country wherein office is physically situated
		do
			Result := reference_system.country_from_iso_code ("US")
		end

end
