note

	description:

		"The notion of Party (side of a contract, agreement, etc)"

	fileid: "$Id: //rose/source/kernel/expert_system/rp_party.e#7 $"
	author: "Mark Howard"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #7 $"
	path: "$File: //rose/source/kernel/expert_system/rp_party.e $"

deferred class RP_PARTY

inherit
	ANY
		redefine
			is_equal
		end

feature -- Access

	code: STRING is
			-- Unique code
		deferred
		end

	name: STRING is
			-- Descriptive name
		deferred
		end

feature -- Comparison

	is_equal (a_other: like Current): BOOLEAN is
			-- <Precursor>
		do
			Result := code ~ a_other.code and name ~ a_other.name
		end


invariant

	code_set: code /= Void
	code_not_empty: not code.is_empty

end
