indexing

	description:
	"[

From VMS PerfDisplay the definition of EQUITYRET is:

CB=WITHINDAYBUY+WITHINDAYBUY2-COMMTAXBUY
CB_LAG=WITHINDAYBUY_LAG+WITHINDAYBUY2_LAG-COMMTAXBUY_LAG
DE= -(BUYCOST - TRANSFER_VALUE + SELLNET +SELLNET2)
EQUITYENDING=EQUITYVALUE-CB-DE
EQUITYINCOME=INCOME+DIVIDENDS+EXPENSE+DIVIDENDS_
EQUITYBASIS=EQUITYVALUE_LAG-CB_LAG
EQUITYRET=(EQUITYENDING+EQUITYINCOME)/EQUITYBASIS 
=>
EQUITYRET=((EQUITYVALUE-CB)-(DE+EQUITYINCOME))/EQUITYBASIS
=>
EQUITYRET=(EQUITYVALUE-CB)-(DE-EQUITYINCOME) / (EQUITYVALUE-CB)[T-1]

	Hence the numerator is EQUITYVALIE-CB or

	EQUITYVALUE-(WITHINDAYBUY+WITHINDAYBUY2-COMMTAXBUY)=
	EQUITYVALUE-WITHINDAYBUY-WITHINDAYBUY2+COMMTAXBUY

	]"
	date: "$Date: 2010/03/01 $"
	sccid: "$Id: //rose/source/kernel/expert_system/perf/rp_performance_equity_only_daily_return_numerator.e#1 $"

class RP_PERFORMANCE_EQUITY_ONLY_DAILY_RETURN_NUMERATOR

inherit

	RP_PERFORMANCE_AFFECTING_CASH_FLOWS

feature -- Query

	value (a_daily_values: RP_PERFORMANCE_DAILY_VALUES): RP_MONIES is
			-- Value (aggregate or simple) from `a_daily_values'
		do
			Result := a_daily_values.equity_value - a_daily_values.withindaybuy - a_daily_values.withindaybuy2 + a_daily_values.commtaxbuy
		end

end
