indexing

	description:

		"Net of Hedge G&L and Sharepoolfund Income/Expense"

	date: "$Date: 2010/04/13 $"
	sccid: "$Id: //rose/source/kernel/expert_system/perf/rp_performance_net_hedgegl_sharepoolfund_incexp.e#3 $"

class RP_PERFORMANCE_NET_HEDGEGL_SHAREPOOLFUND_INCEXP

inherit

	RP_PERFORMANCE_AFFECTING_CASH_FLOWS

create

	default_create

feature -- Query

	value (a_daily_values: RP_PERFORMANCE_DAILY_VALUES): RP_MONIES is
			-- Sum of all performance affecting cash flows for `a_daily_values'
		do
			Result := a_daily_values.intrazonal_contribution + a_daily_values.intrazonal_withdrawal + a_daily_values.contribution + a_daily_values.dividend_tax_withholding + a_daily_values.perf_unrelated_expense + a_daily_values.perf_unrelated_income + a_daily_values.transfer + a_daily_values.withdrawal
		end

end
