indexing
	description: "Objects representing people."
	author: ""
	date: "$Date: 2009/05/11 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/infrastructure/production/rp_person.e $"

deferred class
	RP_PERSON

inherit
	DEBUG_OUTPUT
		redefine
			out, is_equal
		end

feature -- Basic operations

	name: STRING is
			-- Name.
		deferred
		end

	login_id: STRING
			-- Login id used as unique identifier.
		deferred
		end

	is_equal (a_other: like Current): BOOLEAN is
		do
			Result := a_other /= Void and then equal (login_id, a_other.login_id)
		end

	out, debug_output: STRING is
		do
			Result := name
		end

invariant

	name_not_void: name /= Void
	login_id_not_void: login_id /= Void

end
