indexing

	description:

		"Database record for data from Composite Assets DB"

	date: "$Date: 2010/03/12 $"
	fileid: "$Id: //rose/source/kernel/expert_system/mds/rp_pool_fund_class_data_cadb_record.e#5 $"

class RP_POOL_FUND_CLASS_DATA_CADB_RECORD

feature -- Access

	trade_date: INTEGER
			-- Trade date in ccyymmdd format.

	capital_balance: RP_DECIMAL
			-- Fund capital balance.

	revenue_balance: RP_DECIMAL
			-- Fund revenue balance.

	expense_balance: RP_DECIMAL
			-- Fund expense balance.

	outstanding_shares: RP_DECIMAL
			-- Number of outstanding shares.

	currency: STRING
			-- Currency of the record.

	published_nav: RP_DECIMAL
			-- Published NAV.

	share_activity: RP_DECIMAL
			-- Share activity

end
