indexing
	description: "Database record for data from CLIO funds DB"
	author: "Norman Wolf"
	last_editor: "$Author: nw $"
	date: "$Date: 2010/03/12 $"
	revision: "$Revision: #1 $"
	archive: "$File: //rose/source/kernel/expert_system/mds/rp_pool_fund_class_data_cliodb_record.e $"

class RP_POOL_FUND_CLASS_DATA_CLIODB_RECORD

feature -- Access

	valuationdate: ROSE_DATE
			-- Market Date of data.

	quotecurrency: STRING
			-- Quote currency of the record.

	cliofundid: INTEGER
			-- CLIO Fund ID

	navperunit: RP_DECIMAL
			-- Published (rounded) NAV

	unitsinissue: RP_DECIMAL
			-- Number of outstanding shares.

	totalnavperfund: RP_DECIMAL
			-- ???.

	updatedon: ROSE_DATE
			-- Last updated timestamp.

end
