indexing
	description: "Represent who has a physical instrument"
	author: ""
	last_editor: "$Author: sm $"
	date: "$Date: 2009/04/22 $"
	revision: "$Revision: #1 $"
	archive: "$File: //rose/source/kernel/expert_system/rp_possession.e $"

class
	RP_POSSESSION

create

	make

feature {NONE} -- Initialization

	make (a_party: like party; a_location: like location) is
			-- Create with 'a_party' and 'a_location'
		require
		do
			party := a_party
			location := a_location
		ensure
			party_set: party = a_party
			location_set: location = a_location
		end

feature -- Access

	party: RP_PARTY
		-- Party

	location: RP_LOCATION
		-- Location

end
