indexing

	description:

		"Equity Market Index"

	date: "$Date: 2009/04/22 $"
	fileid: "$Id: //rose/source/kernel/expert_system/rp_stock_index.e#2 $"

class RP_STOCK_INDEX

inherit

	RP_INDEX

	ROSE_UNITS_ENVIRONMENT
		export
			{NONE} all
		undefine
			is_equal
		end

create {RP_REFERENCE_SYSTEM}

	make

feature {NONE} -- Initialization

	make (a_brimsym: like brimsym) is
			-- Initialize `Current'
		do
			name := a_brimsym
			brimsym := a_brimsym
				-- FIXME implement
			rose_units := pure_units
		end

feature -- Access

	name: STRING
			-- name

	brimsym: STRING
			-- brimsym

feature -- Query

	country_of_issue (a_ref_system: RP_REFERENCE_SYSTEM; a_date: ROSE_DATE): RP_COUNTRY is
			-- country
		do
			-- FIXME implement
		end

	holding_value_in_currency (a_holding: RP_HOLDING; a_valuator: RP_HOLDING_VALUATOR; a_currency: RP_CURRENCY; a_date: ROSE_DATE; a_bucket: STRING): RP_MONIES is
			-- Value of `a_holding' on `a_date' in `a_currency' as computed by `a_valuator'
		do
				-- FIXME implement
			Result := a_currency.monies (0)
		end

end
