note

	description:

		"Swept accounts for all zones but U. Each entry has a date interval for non_special dividends and for return of capital in a portfolio"

	author: "Portfolio Accounting Tech (sm)"
	last_editor: "$Author: it $"
	date: "$Date: 2011/03/04 $"
	revision: "$Revision: #2 $"
	path: "$File: //rose/source/kernel/capital_actions/elections/rp_swept_accounts_w.e $"

class RP_SWEPT_ACCOUNTS_W

inherit

	RP_SWEPT_ACCOUNTS [INVEST_W_A_SWEPT_ACCOUNTS_PARM_RECORD, RP_INVEST_W_A_SWEPT_ACCOUNTS_PARM]

create

	make_from_windows_share

feature -- Access

	windows_zonal_filename: STRING is "INVEST_W_A-SWEPT_ACCOUNTS.PARM"
			-- <Precursor>

	file: INVEST_W_A_SWEPT_ACCOUNTS_PARM_FILE is
			-- <Precursor>
		do
			create Result.make (windows_filename)
		end

feature -- Status report

	is_valid_zone (a_zone: like zone): BOOLEAN is
			-- <Precursor>
		do
			Result := a_zone /= Void and then not a_zone.is_united_states
		ensure then
			definition: Result implies not a_zone.is_united_states
		end

end
