indexing

	description: "[
                  Objects that serialze XM_DOCUMENTs.
                  This class is not suitable for very large documents (large
                   means a significant proportion of available RAM), as the
                   serializer creates an XM_XPATH_DOCUMENT tree and then
                   serializes that using the XSLT 2.0 serializer.

                  Serialization options can be set by calling features on
                   `output_properties'. See
                      http://www.gobosoft.com/eiffel/gobo/xml/xslt/xslt_serializer.html
                   for details (ignore import precednce - just pass 0).
                  But common option settings are available in the Setting feature clause
                   of this class.
                 ]"

	keywords: XML, serializer
	author: "Colin Adams"
	last_editor: "$Author: it $"
	team: "RC London (tools)"
	revision: "$Revision: #4 $"
	date: "$Date: 2008/12/01 $"
	path: "$File: //rose/source/kernel/infrastructure/xslt/rp_xml_serializer.e $"

class RP_XML_SERIALIZER

inherit

	SV_XML_SERIALIZER
	redefine
		make_error_listener
		end

create make

feature {NONE} -- Initialization

	make_error_listener is
			-- Create `error_listener'.
		do
			create {ROSE_XSLT_ERROR_LISTENER} error_listener.make (Do_not_recover)
		end

end


