indexing
	description : "SELECTION_PREDICATE with no need to pass a template receptacle to make"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #24 $"
	path: "$File: //rose/source/kernel/infrastructure/persistence/predicates/simple_predicate.e $"

class
	SIMPLE_PREDICATE[G->ANY create default_create end]

inherit
   SELECTION_PREDICATE[G]
		rename
			make as selection_predicate_make,
			general_selection_predicate_make as make
		undefine
			make
		redefine
			new_vessel
		end

create
	make,
	selection_predicate_make,
	make_with_parameter_template,
	make_verbose,make_strict

feature -- Initialization

	make (a_server : DATA_SERVER;a_selection : STRING) is
			-- Creation procedure.
		do
			selection_predicate_make(a_server,new_vessel,a_selection)
			selection := a_selection
		end

feature -- Access

	new_vessel : G is
		do
			create Result.default_create
		end

end
