indexing
   
   description: "Supplier entity_attribute row."
   status: "Development"
   author: "David Stevens"
   date: "$Date: 2008/12/01 $"
   revision: "$Revision: #5 $"
   
class
   
   SUPPLIER_ENTITY_ATTRIBUTE_ROW
   
inherit
   
   SUPPLIER_ENTITY_ID_ROW
-->>CLONER
   
feature -- Access
   
   attribute_type_id: INTEGER
   
   attribute_value: STRING
   
feature {SUPPLIER_ENTITY, SUPPLIER_ENTITY_CACHE} -- Basic operations
   
   set_start_date (a_start_date: ROSE_DATE) is
      do
	 start_date := deep_clone (a_start_date)
      end
   
   set_end_date (a_end_date: ROSE_DATE) is
      require
         end_date_not_less_than_start_date: a_end_date >= start_date
      do
	 end_date := deep_clone (a_end_date)
      end
   
   set_attribute_type_id (a_attribute_type_id: INTEGER) is
      do
	 attribute_type_id := a_attribute_type_id
      end
      
   set_attribute_value (a_attribute_value: STRING) is
      do
	 attribute_value := a_attribute_value
      end
   
end -- class SUPPLIER_ENTITY_ATTRIBUTE_BASE
