indexing
   
   description: "Make permanent_id_set's generally available."
   status: "Development"
   author: "David Stevens"
   date: "$Date: 2008/12/01 $"
   revision: "$Revision: #9 $"
   
class
   
   SUPPLIER_PERMANENT_ID_SET_USE
   
inherit
   
   DATABASE_SERVER
   ROSE_ID_USER

feature {NONE} -- Initialization
   
   rose_category_id_set: SUPPLIER_PERMANENT_ID_SET is
      once
         create Result.make (servers.rose_entity_foreground_server, "category_id", "category")
      end
   
   rose_periodicity_id_set: SUPPLIER_PERMANENT_ID_SET is
      once
         create Result.make (servers.rose_entity_foreground_server, "periodicity_id", "periodicity")
      end
   
   rose_unit_id_set: SUPPLIER_PERMANENT_ID_SET is
      once
         create Result.make (servers.rose_entity_foreground_server, "unit_id", "unit")
      end
   
   rose_listing_type_id_set: SUPPLIER_PERMANENT_ID_SET is
      once
         create Result.make (servers.rose_entity_foreground_server, "listing_type_id", "listing_type")
      end
   
   rose_security_type_id_set: SUPPLIER_PERMANENT_ID_SET is
      once
         create Result.make (servers.rose_entity_foreground_server, "security_type_id", "security_type")
      end
   
end -- class SUPPLIER_PERMANENT_ID_SET_USE
