indexing
	description: "Record class for difference values that have been validated"
	author: "Mauricio Bustos"
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	path: "$File: //rose/source/kernel/persistence/databases/signature_tagged/testenv_validated_differences.e $"

class 
	TESTENV_VALIDATED_DIFFERENCES
	
feature -- Access
	
	signature_id: INTEGER
			-- Signature id for the difference
	item_id: INTEGER
			-- Item id for the difference
	x: DOUBLE
			-- Initial comparison value
	y: DOUBLE
			-- Test comparison value
	comment: STRING
			-- Comment for the validation
	user_id: STRING
			-- User id for the person making the entry
	timestamp: ROSE_DATE
			-- Timestamp for when the validation was recorded
	
end
	
	
