indexing
	author: "Mark Howard"
	description: "class for tracing errors"
	keywords: "trace,error,status"

class
	TRACEABLE

feature -- Access

	status: INTEGER

	success: BOOLEAN

feature -- Basic operations

	trace is
		do
			set_success (False)
		end

	set_status (a_status: INTEGER) is
		do
			status := a_status
		end

	set_success (a_success: BOOLEAN) is
		do
			success := a_success
		ensure
			success: success = a_success
		end

	clear_error is
		do
			set_success (True)
		ensure
			success
		end

	raise (a_message: STRING) is
		do
			(create {EXCEPTIONS}).raise (a_message)
		end

end -- class TRACEABLE
