indexing
	author: "$Author: er $"
	date: "$Date: 2013/06/18 $"
	revision: "$Revision: #6 $"
	archive: "$File: //rose/source/kernel/infrastructure/structures/tuple_key.e $"
	storable_version: ""

class
	TUPLE_KEY

inherit
	MULTI_KEYED
	
create
	make

feature
	make(a_tuple: TUPLE) is
		require
			valid_args: a_tuple /= Void
		do
			tuple := a_tuple
		end
	
feature
	hash_key (i: INTEGER): HASHABLE is
		require else
			valid_index: valid_index (i)
		do
			Result ?= tuple.item(i)
		end
	
	key_count: INTEGER is
		do
			Result := tuple.count
		end
		
	valid_index (i: INTEGER): BOOLEAN is
		do
			Result := tuple.valid_index (i)
		end
	
feature {TUPLE_KEY, ROSE_MULTI_KEYED_TABLE}

	tuple: TUPLE
	
invariant
	
	valid_tuple: tuple /= Void
	
end








