note
	description: "Constants used in VARIABLE_DESCRIPTION and VARIABLE_DESCRIPTIONS.  The intention is to reduce typos."
	author: "RJ"
	last_editor: "$Author: mk $"
	date: "$Date: 2013/04/16 $"
	revision: "$Revision: #2 $"
	path: "$File: //rose/source/kernel/expressions/variable_description_constants.e $"

class
	VARIABLE_DESCRIPTION_CONSTANTS

feature -- Constants.  CAUTION - Some strings may be used for more than one argument type (e.g. k_risk is both a 'parent' and a 'group').

	k_1000000: STRING = "1000000"

	k_assets: STRING = "assets"

	k_asst: STRING = "asst"

	k_book: STRING = "book"

	k_company: STRING = "company"

	k_computed: STRING = "computed"						-- Group.

	k_computeds: STRING = "computeds"					-- Parent.

	k_currency: STRING = "currency"

	k_currency_per_share: STRING = "currency/share"		-- A slight descrepancy between the variable name and the string.

	k_double: STRING = "double"

	k_ff: STRING = "ff"

	k_flow_of_funds: STRING = "flow_of_funds"

	k_ibes: STRING = "ibes"

	k_integer: STRING = "integer"

	k_liabilities: STRING = "liabilities"

	k_miscellaneous: STRING = "miscellaneous"

	k_mondat: STRING = "mondat"

	k_model_company_signature: STRING = "model_company_signature"

	k_mondex: STRING = "mondex"

	k_monthly_data: STRING = "monthly_data"

	k_per_share: STRING = "per_share"

	k_per_shares: STRING = "per_shares"

	k_profit_and_loss: STRING = "profit_and_loss"

	k_real: STRING = "real"

	k_risk: STRING = "risk"

	k_rose_company_date: STRING = "rose_company_date"
	
	k_security : STRING = "security"

	k_segment: STRING = "segment"

	k_segmnt: STRING = "segmnt"

	k_share: STRING = "share"

	k_string: STRING = "string"

	k_valdata_signature: STRING = "valdata_signature"

end
