indexing
	description: "Vector x where x[i] = vector[i] * weight[i]"
	author: "Mark Howard"
	date: "$Date: 2013/06/18 $"
	revision: "$Revision: #6 $"
	storable_version: ""

class
	WEIGHTED_VECTOR
inherit
	EXTENDABLE_VECTOR
create
	make
feature
	make (a_vector,a_weights : EXTENDABLE_VECTOR) is
		do
			vector := a_vector
			weights := a_weights
			count := vector.count
		end
	extend(a_double : DOUBLE) is
		do
			vector.extend(a_double)
			weights.extend(1)
			count := count + 1
		end
	vector : EXTENDABLE_VECTOR
	weights : EXTENDABLE_VECTOR
	item alias "[]" (i : INTEGER) : DOUBLE is
		do
			Result := vector.item(i) * weights.item(i)
		end
end
