note
	
	description: "Sortable_Array"

	author: "David Stevens"
	last_editor: "$Author: c4 $"
	date: "$Date: 2014/05/13 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/library/containers_core/src/sort/rose_sortable_array.e $"

deferred class ROSE_SORTABLE_ARRAY [G]

inherit
	
	SORTABLE [G]
		undefine
			copy, is_equal
		redefine
			found_index
		end

	EXTENDABLE_BOUNDED_ARRAY [G]
		redefine
			found_index
		end

feature -- Access

	found_index: INTEGER

	found_item: detachable G
			-- Item at `found_index', if `found' is True
		do
			if found and found_index >= lower and found_index <= upper then
				Result := item (found_index)
			end
		end

end
