indexing
	description: "Access control agent"
	date: "$Date: 2009/08/07 $"
	revision: "$Revision: #17 $"
	path: "$File: //rose/source/kernel/math/access_control_agent.e $"

class
	ACCESS_CONTROL_AGENT

inherit
	GENERIC_ACCESS_CONTROL_AGENT

create
	make,
	make_with_target_filter_agent

feature  --Creation
	make_with_target_filter_agent(a_compute_agent: like compute_agent;
--								  a_new_variable_agent: like new_variable_agent;
								  a_target_filter_agent: like target_filter_agent) is
			-- Creation procedure
		require
			compute_agent_exists : a_compute_agent /= Void
--			variable_agent_exists : a_new_variable_agent /= Void
			target_filter_agent_exists : a_target_filter_agent /= Void
		do
			compute_agent := a_compute_agent
--			new_variable_agent := a_new_variable_agent
			target_filter_agent := a_target_filter_agent
			system_compute_agents.extend(Current)
		end

end





