indexing
	description: "Record for use with the 'adjustments' table in the database 'market_data_Z'  %N%
				 %This is merely ADJUSTMENT_INTERVAL with 'rxrf' added.  For this use we ignore 'entity'."
	author: "Randy John"
	last_editor: "$Author: rj $"
	date: "$Date: 2011/08/24 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/data/market/adjustment_interval_with_rxrf.e $"

class
	ADJUSTMENT_INTERVAL_WITH_RXRF[G->ENTITY]

inherit
	ADJUSTMENT_INTERVAL[G]
		redefine
			debug_output
		end

create
	default_create

create {ROSE_CLOSED_INTERVAL}
	rose_make					-- This is to make gelint happy.  I don't intend for this to be used.

feature -- Status.
	debug_output: STRING
	-- <Precursor>.
	do
		Result := rxrf.out + " : " + Precursor
	end

feature -- Attributes.
	rxrf: INTEGER				-- No zone is needed since the 'adjustments' table is zonal.

end
