indexing
	description: "Attributes provider"
	author: ""
	last_editor: "$Author: pn $"
	date: "$Date: 2009/03/27 $"
	revision: "$Revision: #12 $"
	archive: "$File: //rose/source/kernel/Entities/reference/attributes.e $"

class
	ATTRIBUTES


feature -- Access

	country_name (a_value: STRING): COUNTRY_NAME is
		-- Create a new isin code attribute
		do
			Result := create {COUNTRY_NAME}.make (a_value)
		end

	isin_code (a_value: STRING): ISIN_CODE is
		-- Create a new isin code attribute
		do
			Result := create {ISIN_CODE}.make (a_value)
		end

	siclike_code (a_value: STRING): SICLIKE_CODE is
		-- Create a new siclike code attribute
		do
			Result := create {SICLIKE_CODE}.make (a_value)
		end

	global_vantage_code (a_value: STRING): GLOBAL_VANTAGE_CODE is
		-- Create a new global vantage code attribute
		do
			Result := create {GLOBAL_VANTAGE_CODE}.make (a_value)
		end

	ric_suffix (a_value: STRING): RIC_SUFFIX is
		-- Create a new ric suffix attribute
		do
			Result := create {RIC_SUFFIX}.make (a_value)
		end

	mnemonic (a_value: STRING): MNEMONIC_ATTRIBUTE_ is
		-- Create a new brim code attribute
		do
			Result := create {MNEMONIC_ATTRIBUTE_}.make (a_value)
		end

	brim_code (a_value: STRING): BRIM_CODE is
		-- Create a new brim code attribute
		do
			Result := create {BRIM_CODE}.make (a_value)
		end

	tse_code (a_value: STRING): TSE_CODE is
		-- Create a new tse code attribute
		do
			Result := create {TSE_CODE}.make (a_value)
		end

	e_brim_code (a_value: STRING): E_BRIM_CODE is
		-- Create a new e brim code attribute
		do
			Result := create {E_BRIM_CODE}.make (a_value)
		end

	s_brim_code (a_value: STRING): S_BRIM_CODE is
		-- Create a new s brim code attribute
		do
			Result := create {S_BRIM_CODE}.make (a_value)
		end

	u_brim_code (a_value: STRING): U_BRIM_CODE is
		-- Create a new u brim code attribute
		do
			Result := create {U_BRIM_CODE}.make (a_value)
		end

	j_brim_code (a_value: STRING): J_BRIM_CODE is
		-- Create a new j brim code attribute
		do
			Result := create {J_BRIM_CODE}.make (a_value)
		end

	riemsym_code (a_value: STRING): RIEMSYM_CODE is
		-- Create a new riemsym code attribute
		do
			Result := create {RIEMSYM_CODE}.make (a_value)
		end

	old_positional_id (a_value: STRING): OLD_POSITIONAL_ID is
		-- Create a new riemsym code attribute
		do
			Result := create {OLD_POSITIONAL_ID}.make (a_value)
		end

	canonical_name (a_value: STRING): CANONICAL_NAME is
		-- Create a new canonical name attribute
		do
			Result := create {CANONICAL_NAME}.make (a_value)
		end

	local_brim_code (a_value: STRING): LOCAL_BRIM_CODE is
		-- Create a new local brim code attribute
		do
			Result := create {LOCAL_BRIM_CODE}.make (a_value)
		end

	cusip (a_value: STRING): CUSIP is
		-- Create a new cusip attribute
		do
			Result := create {CUSIP}.make (a_value)
		end

	sedol (a_value: STRING): SEDOL is
		-- Create a new sedol attribute
		do
			Result := create {SEDOL}.make (a_value)
		end

	reuters_code (a_value: STRING): REUTERS_CODE is
		-- Create a new reuters_code attribute
		do
			Result := create {REUTERS_CODE}.make (a_value)
		end

	name (a_value: STRING): NAME is
		-- Create a new name attribute
		do
			Result := create {NAME}.make (a_value)
		end

	iso_code (a_value: STRING): ISO_CODE is
		-- Create a new name attribute
		do
			Result := create {ISO_CODE}.make (a_value)
		end

	company_name (a_value: STRING): COMPANY_NAME is
		-- Create a new company name attribute
		do
			Result := create {COMPANY_NAME}.make (a_value)
		end

	xrfzone (a_value: STRING): XRFZONE is
		-- Create a new xrfzone attribute
		do
			Result := create {XRFZONE}.make (a_value)
		end

	variable_index (a_value: STRING): VARIABLE_INDEX is
		-- Create a new variable index attribute
		do
			Result := create {VARIABLE_INDEX}.make (a_value)
		end
		
	market_index_name (a_value: STRING): MARKET_INDEX_NAME is
		-- Create a new market index name attribute
		do
			Result := create {MARKET_INDEX_NAME}.make (a_value)
		end
		
	msci (a_value: STRING): MSCI is
		-- Create a new market index name attribute
		do
			Result := create {MSCI}.make (a_value)
		end
		
	s_fcxrf (a_value: STRING): S_FCXRF is
		-- Create a new s fsxrf  attribute
		do
			Result := create {S_FCXRF}.make (a_value)
		end
		
	e_fcxrf (a_value: STRING): E_FCXRF is
		-- Create a new e fsxrf  attribute
		do
			Result := create {E_FCXRF}.make (a_value)
		end
		
	local_fcxrf (a_value: STRING): LOCAL_FCXRF is
		-- Create a new e fsxrf  attribute
		do
			Result := create {LOCAL_FCXRF}.make (a_value)
		end

	s_fsxrf (a_value: STRING): S_FSXRF is
		-- Create a new s fsxrf  attribute
		do
			Result := create {S_FSXRF}.make (a_value)
		end
		
	e_fsxrf (a_value: STRING): E_FSXRF is
		-- Create a new e fsxrf attribute
		do
			Result := create {E_FSXRF}.make (a_value)
		end
		
	local_fsxrf (a_value: STRING): LOCAL_FSXRF is
		-- Create a new e fsxrf attribute
		do
			Result := create {LOCAL_FSXRF}.make (a_value)
		end
		
	xrf_code (a_value: STRING): XRF_CODE is
		-- Create a new e fsxrf attribute
		do
			Result := create {XRF_CODE}.make (a_value)
		end
		
	nikkei_code (a_value: STRING): NIKKEI_CODE is
		-- Create a new nikkei attribute
		do
			Result := create {NIKKEI_CODE}.make (a_value)
		end

	iso_code_alternate (a_value: STRING): ISO_CODE_ALTERNATE is
		-- Create a new nikkei attribute
		do
			Result := create {ISO_CODE_ALTERNATE}.make (a_value)
		end

	bloomberg_company_identifier (a_value: STRING): BLOOMBERG_COMPANY_IDENTIFIER is
		-- Create a new nikkei attribute
		do
			Result := create {BLOOMBERG_COMPANY_IDENTIFIER}.make (a_value)
		end

	gics_code (a_value: STRING): GICS_CODE is
		-- Create a new nikkei attribute
		do
			Result := create {GICS_CODE}.make (a_value)
		end

	registered_name (a_value: STRING): REGISTERED_NAME is
		-- Create a new nikkei attribute
		do
			Result := create {REGISTERED_NAME}.make (a_value)
		end


	

feature -- Basic operations

feature {NONE} -- Implementation

end
