indexing
   
   description: "Brim_Entities entity."
   status: "Development"
   author: "David Stevens"
   date: "$Date: 2008/12/01 $"
   revision: "$Revision: #29 $"
   
class
   
   BRIM_ENTITIES_ENTITY
   
inherit
   
   SUPPLIER_ENTITY 
   
   
create
   default_create,
   make,
   make_empty,
   make_from_database,
   make_from_attribute,
   make_from_attribute_calling,
   make_from_attribute_set,
   make_from_historical_attribute,
   make_start,
   attempt_make_from_attribute
   
feature {NONE} -- Implementation
   server : ENTITY_SERVER[BRIM_ENTITIES_ENTITY] is
      once
	 create Result.make(data_server)
      end
   data_server : DATA_SERVER is
      once
	 Result := servers.brim_entities_server
      end
   supplier_product_id: INTEGER is
      once
	 Result := servers.brim_entities_supplier_product_id
      end
   
end -- class BRIM_ENTITIES_ENTITY
