indexing
	description: "rose capital actions: renounceable bonus in parent instrument given out"
	author: "Janet Small"
	date: "$12/13/2006: $"
	revision: "$Revision: #4 $"
	archive: "$File: //rose/source/kernel/capital_actions/capact_bonus_in_same.e $"

class
	CAPACT_BONUS_IN_SAME
inherit
	CAPACT_CAPITAL_ACTION
	CAPACT_NONRENOUNCEABLE
	rename
		set_new_shares_distribution as nonren_set_new_shares_distribution,
		set_old_shares_distribution as nonren_set_old_shares_distribution
	end
	CAPACT_DISTRIBUTION
	select
		set_new_shares_distribution,set_old_shares_distribution
	end

feature -- Access

	name: STRING is
			-- capital action descriptive name
		once
			Result :=  "BONUS IN SAME (NON-RENOUNCEABLE)"
		end

	capital_action_type_id: INTEGER is
			-- Capital action type id
		once
			Result := 4
		end

	rate: DOUBLE is
			-- new shares rate
		do
			Result := new_shares_rate
		end

feature -- Basic operations

	instantiate_data is
		-- retrieve data items from storage
		do
			instantiate_distribution_data
			set_in_lieu_cash_currency(string_value (in_lieu_cash_currency_expression, signature))
		end

	set_data_items is
		-- string_item and integer_item hash tables
		do
			set_distribution_data_items
		end

feature {NONE} -- Implementation

end
