indexing
	description: "rose capital action expression: call payment"
	author: "Janet Small"
	date: "$Date: 2009/11/06 $"
	revision: "$Revision: #6 $"
	archive: "$File: //rose/source/kernel/capital_actions/expressions/capact_call_payment_expression.e $"

class
	CAPACT_CALL_PAYMENT_EXPRESSION
inherit
	CAPACT_DEFAULT_EXPRESSION
	CAPACT_CALL_PAYMENT
		rename
			signature as target, exdate as integer_exdate, name as template_name
		undefine
			default_create
		end

create
	make,instantiate,make_empty


feature -- creation

	instantiate (a_target: CAPACT_SIGNATURE_RECORD) is
			-- instantiate capact call payment expression
		do
			target := a_target
			set_signature(a_target)
			instantiate_all
			rmdat_adjustment_factor := 1 --##
		end

feature -- Access

	processing_instruction (
		a_basis: RP_CORPORATE_ACTION_PROCESSING_SHARE_BASIS_TYPE;
		a_processing_system: RP_CORPORATE_ACTION_PROCESSING_SYSTEM): RP_CORPORATE_ACTION_PROCESSING_INSTRUCTIONS is
			-- processing corp action instruction
		do
	    	create Result.make (a_basis, create {RP_SIMPLE_CORPORATE_ACTION}.make (exdate, a_processing_system.call_payment_instructions (Current)))
		end

	name: STRING is
			-- name of expression
		do
			Result := "CALL PAYMENT" + ": F" + target.member_number.out
		end

end
