indexing
	description: "Renounceable and non-renounceable capital actions"
	author: "Janet Small"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/capital_actions/capact_distribution_template.e $"

deferred class
	CAPACT_DISTRIBUTION_TEMPLATE
inherit
	CAPITAL_ACTION_TEMPLATE


feature -- Access

	is_tradeable: BOOLEAN is
			-- 
		deferred
		end
		
	is_transferable: BOOLEAN is
			--
		deferred
		end
		
	new_shares_rate: DOUBLE 
	set_new_shares_rate (a_value: like new_shares_rate) is
			-- 
		do
			new_shares_rate := a_value
		end	
		
	new_shares_distribution: DOUBLE
	set_new_shares_distribution (a_value: like new_shares_distribution) is
			-- 
		do
			new_shares_distribution := a_value
		end	
		
	old_shares_distribution: DOUBLE 
	set_old_shares_distribution (a_value: like old_shares_distribution) is
			-- 
		do
			old_shares_distribution := a_value
		end	

	distribution_rate: DOUBLE
	set_distribution_rate (a_value:like distribution_rate) is
			-- 
		do
			distribution_rate := a_value
		end
	

	delivery_date: INTEGER
	set_delivery_date (a_value:like delivery_date) is
			-- 
		do
			delivery_date := a_value
		end

	
feature -- Basic operations

feature {NONE} -- Implementation

end
