indexing
	description: "rose capital actions: rights instruments ..."
	author: "Janet Small"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/capital_actions/capact_nonrenounceable.e $"

deferred class
	CAPACT_NONRENOUNCEABLE
inherit
	CAPACT_RENOUNCEABLE
	redefine
		set_new_shares_distribution, set_old_shares_distribution,
		is_tradeable, is_transferable
	end

feature -- Access

	is_transferable: BOOLEAN is
			-- default to false, but can be changed
		do
			Result := is_transferable_value
		end
	is_transferable_value : BOOLEAN		

	is_tradeable: BOOLEAN is
			-- 
		do
			Result := False
		end		
	
	set_new_shares_distribution (a_value: like new_shares_distribution) is
			-- 
		do
			new_shares_distribution := 0
		end	
		
	set_old_shares_distribution (a_value: like old_shares_distribution) is
			-- 
		do
			old_shares_distribution := 0
		end		
		
feature -- Access

feature -- Basic operations

	

feature {NONE} -- Implementation

end
