note

	description:
	"[
		CAPACT_OPTION_SIGNATURE_RECORD fields
	]"
	author: "Ivan Tarnavsky"
	last_editor: "$Author: it $"
	date: "$Date: 2012/10/23 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/capital_actions/capact_option_signature_record_fields.e $"

deferred class CAPACT_OPTION_SIGNATURE_RECORD_FIELDS

inherit

	CAPACT_COMMON_SIGNATURE_FIELDS

feature -- Access

	option_number: INTEGER
			-- Distinguishes alternative ways of responding to capital actions on exdate

	option_expression: STRING
			-- Component capital actions option order indicator

feature -- Setting

	set_option_number (a_value: like option_number) is
			-- Set `option_number' to `a_value'
		do
			option_number := a_value
		ensure
			value_set: option_number = a_value
		end

	set_option_expression (a_value: like option_expression) is
			-- Set `option_expression' to `a_value'
		do
			option_expression := a_value
		ensure
			value_set: option_expression = a_value
		end

end
