indexing
	description: "Rose capital actions involving security other than parent "
	author: "Janet Small"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/capital_actions/capact_other_template.e $"

deferred class
	CAPACT_OTHER_TEMPLATE


feature -- Access

	other_sedol: STRING
	set_other_sedol (a_value: like other_sedol) is
			-- 
		do
			other_sedol	:= a_value
		end
		
	other_entity: LISTING 
	set_other_entity (a_value: like other_entity) is
			-- 
		do
			other_entity	:= a_value
		end
	
	other_security_type: STRING -- Sectype from B1 record
	set_other_security_type (a_value: like other_security_type) is
			-- 
		do
			other_security_type:= a_value
		end
		
	other_rmdat_price: RMDAT_PRICE_RECORD
	set_other_rmdatPprice (a_value: like other_rmdat_price) is
			-- 
		do
			other_rmdat_price:= a_value
		end
		
	other_price: DOUBLE is	
			-- 
		do		
			if other_rmdat_price /= void then
				Result := other_rmdat_price.close
			end
		end
		
	other_currency: CURRENCY is	
			-- 
		do		
			if other_rmdat_price /= void then
				Result := other_rmdat_price.currency
			end
		end
	
		
	cash_equivalent: DOUBLE 
	set_cash_equivalent (a_value: like cash_equivalent) is
			-- 
		do
			cash_equivalent:= a_value
		end
	
	cash_equivalent_currency: CURRENCY 
	set_cash_equivalent_currency (a_value: like cash_equivalent_currency) is
			-- 
		do
			cash_equivalent_currency:= a_value
		end


feature -- Basic operations

feature {NONE} -- Implementation

end
