indexing
	description: "rose capital action expression: public offering"
	author: "Janet Small"
	date: "$Date: 2009/11/06 $"
	revision: "$Revision: #6 $"
	archive: "$File: //rose/source/kernel/capital_actions/expressions/capact_public_offering_expression.e $"

class
	CAPACT_PUBLIC_OFFERING_EXPRESSION
inherit
	CAPACT_DEFAULT_EXPRESSION
	CAPACT_PUBLIC_OFFERING
		rename
			signature as target, exdate as integer_exdate, name as template_name
		undefine
			default_create
		end

create
	make,instantiate,make_empty

feature {NONE} -- Initialization

	instantiate (a_target: CAPACT_SIGNATURE_RECORD) is
			-- Create with 'a_target'
		do
			target := a_target
			set_signature(a_target)
			instantiate_all
			rmdat_adjustment_factor := 1
		end

feature -- Access

	processing_instruction (a_basis: RP_CORPORATE_ACTION_PROCESSING_SHARE_BASIS_TYPE;
		a_processing_system: RP_CORPORATE_ACTION_PROCESSING_SYSTEM): RP_CORPORATE_ACTION_PROCESSING_INSTRUCTIONS is
			-- processing corp action instruction
		do
		    create Result.make (a_basis, create {RP_SIMPLE_CORPORATE_ACTION}.make (exdate, a_processing_system.public_offering_instructions (Current)))
		end
	name: STRING is
			-- name
		do
			Result := "PUBLIC OFFERING: F" + target.member_number.out
		end

end
