note

	description:

		"rose capital action Expression: renounceable rights in other instrument given out"

	author: "Janet Small"
	last_editor: "$Author: c4 $"
	date: "$Date: 2015/04/09 $"
	revision: "$Revision: #8 $"
	path: "$File: //rose/source/kernel/capital_actions/expressions/capact_renounceable_rights_in_other_expression.e $"

class
	CAPACT_RENOUNCEABLE_RIGHTS_IN_OTHER_EXPRESSION
inherit
	CAPACT_DEFAULT_EXPRESSION
	CAPACT_RENOUNCEABLE_RIGHTS_IN_OTHER
		rename
			signature as target, exdate as integer_exdate, name as template_name
		undefine
			default_create
		end

create
	make,instantiate,make_empty


feature -- creation

	instantiate (a_target: CAPACT_SIGNATURE_RECORD) is
				--populate expression from storage
		do
			target := a_target
			set_signature(a_target)
			instantiate_all
			delta_new_shares := new_shares_rate
			rmdat_adjustment_factor := 1
		end

feature -- Access

	processing_instruction (
		a_basis: RP_CORPORATE_ACTION_PROCESSING_SHARE_BASIS_TYPE;
		a_processing_system: RP_CORPORATE_ACTION_PROCESSING_SYSTEM): RP_CORPORATE_ACTION_PROCESSING_INSTRUCTIONS is
			-- processing corp action instruction
		do
			create Result.make (a_basis, create {RP_SIMPLE_CORPORATE_ACTION}.make (exdate, a_processing_system.renounceable_rights_in_other_instructions (Current)))
		end

	name: STRING is
			-- name
		do
			Result := "RENOUNCEABLE RIGHTS IN OTHER" + ": F" + target.member_number.out
		end

end
