indexing
	description: "Rose capital action stock dividend in other"
	author: "Janet Small"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/capital_actions/capact_stock_dividend_in_other.e $"

class
	CAPACT_STOCK_DIVIDEND_IN_OTHER
inherit
	CAPACT_STOCK_DIVIDEND
	redefine
		capital_action_type_id,
		name,
		set_data_items,
		instantiate_data
	end
	CAPACT_OTHER


feature -- Access

	capital_action_type_id: INTEGER is
			-- capital_action_type_id for stock dividend in other
		do
			Result := 24
		end

	name: STRING is
			-- display name
		once
			Result := stock_dividend_in_other_string
		end


feature -- Basic operations

	set_data_items is
			-- enter data in item tables for virtual records
		do
			precursor
			set_other_data_items
		end

	instantiate_data is
		-- retrieve data items from storage
		do
			precursor
			instantiate_other_data
		end

feature {NONE} -- Implementation

end
