indexing
	description: "rose capital action expression: stock dividend in other instrument given out"
	author: "Janet Small"
	date: "$Date: 2009/11/06 $"
	revision: "$Revision: #6 $"
	archive: "$File: //rose/source/kernel/capital_actions/expressions/capact_stock_dividend_in_other_expression.e $"

class
	CAPACT_STOCK_DIVIDEND_IN_OTHER_EXPRESSION

inherit

	CAPACT_DEFAULT_EXPRESSION

	CAPACT_STOCK_DIVIDEND_IN_OTHER
		rename
			signature as target, exdate as integer_exdate, name as template_name
		undefine
			default_create
		end

create
	make,instantiate,make_empty

feature -- creation

	instantiate (a_target: CAPACT_SIGNATURE_RECORD) is
			-- retrieve data from storage
		do
			target := a_target
			set_signature(a_target)
			instantiate_all
			rmdat_adjustment_factor := 1
		end

feature -- Access

	processing_instruction (
		a_basis: RP_CORPORATE_ACTION_PROCESSING_SHARE_BASIS_TYPE;
		a_processing_system: RP_CORPORATE_ACTION_PROCESSING_SYSTEM): RP_CORPORATE_ACTION_PROCESSING_INSTRUCTIONS is
			-- processing instructions for the corp action - no processing
		do
		    create Result.make (a_basis, create {RP_SIMPLE_CORPORATE_ACTION}.make (exdate, a_processing_system.stock_dividend_in_other_instructions (Current)))
		 end

	name: STRING is
			-- name for capact_browser display
		do
			Result := "STOCK DIVIDEND IN OTHER: F" + target.member_number.out
		end

end
