indexing
	description: "rose capital action expression: write-up of capital"
	author: "Janet Small"
	date: "$Date: 2009/11/06 $"
	revision: "$Revision: #6 $"
	archive: "$File: //rose/source/kernel/capital_actions/expressions/capact_writeup_of_capital_expression.e $"

class
	CAPACT_WRITEUP_OF_CAPITAL_EXPRESSION
inherit
	CAPACT_DEFAULT_EXPRESSION
	CAPACT_WRITEUP_OF_CAPITAL
		rename
			signature as target, exdate as integer_exdate, name as template_name
		undefine
			default_create
		end

create
	make,instantiate,make_empty

feature -- creation

	instantiate (a_target: CAPACT_SIGNATURE_RECORD) is
			-- Create
		do
			target := a_target
			set_signature(a_target)
			instantiate_all
			rmdat_adjustment_factor := 1
		end

feature -- Access

	processing_instruction (
		a_basis: RP_CORPORATE_ACTION_PROCESSING_SHARE_BASIS_TYPE;
		a_processing_system: RP_CORPORATE_ACTION_PROCESSING_SYSTEM): RP_CORPORATE_ACTION_PROCESSING_INSTRUCTIONS is
			-- processing instructions for the corp action - no processing
		do
		    create Result.make (a_basis, create {RP_SIMPLE_CORPORATE_ACTION}.make (exdate, a_processing_system.writeup_of_capital_instructions (Current)))
		end

	name: STRING is
			-- Name
		do
			Result := "WRITEUP OF CAPITAL: F" + target.member_number.out
		end

end
