indexing
	description : "[
		Used to specify data cubes
		]"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #4 $"

class
	COLUMN_DESCRIPTORS[G]
inherit
	ROSE_LINEAR_ARRAY[COLUMN_ARRAY[G]]
		export {COLUMN_DESCRIPTORS}
			current_item,
			extend
		end
create
	make_empty,make_from_array
create {COLUMN_DESCRIPTORS}
	make
feature {SIGNATURE_TAGGED_SERVER}
	current_first : G is
		do
			Result := current_item.first
		end
	current_current_item : G is
		do
			Result := current_item.current_item
		end
	current_count : INTEGER is
		do
			Result := current_item.count
		end
	current_start  is
		do
			current_item.start
		end
	current_off : BOOLEAN is
		do
			Result := current_item.off
		end
	current_forth  is
		do
			current_item.forth
		end
feature {SIGNATURE_TAGGED_SERVER,SIGNATURE_TAGGED_RETRIEVAL,SIGNATURE_TAGGED_ITEM_DATABASE}
	add_singleton (a_g : G) is
		local
			l_array : COLUMN_ARRAY[G]
		do
			create l_array.make_empty
			l_array.extend(a_g)
			extend(l_array)
		end
	add_signatures (a_signatures: ROSE_LINEAR_ARRAY[G]) is
		local
			l_array : COLUMN_ARRAY[G]
		do
			create l_array.make_from_array(a_signatures)
			extend(l_array)
		end
end -- class COLUMN_DESCRIPTORS
