indexing
	description: ""
	author: "Pierre Nallet"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"

class
	COM_MULTI_QI [MM -> MEMORY_MODEL create default_create end]

inherit
	COM_SMART_STRUCTURE [MM]

create
	make

feature -- Access

	structure_size: INTEGER is
		do
			Result := sizeofMULTI_QI
		end

	get_pitf: POINTER is
		do
			Result := get_pointer_value (offsetofpitf)
		end

feature -- Basic operations

	set_piid (a_pointer: POINTER) is
		do
			set_pointer_value (a_pointer, offsetofpiid)
		end

feature {NONE} -- Implementation

	sizeofMULTI_qi: INTEGER is
		external
			"C [macro <windows.h>]"
		alias
			"sizeof (MULTI_QI)"
		end

	offsetofpiid: INTEGER is
		external
			"C [macro <windows.h>]"
		alias
			"offsetof(MULTI_QI, pIID)"
		end

	offsetofpitf: INTEGER is
		external
			"C [macro <windows.h>]"
		alias
			"offsetof(MULTI_QI, pItf)"
		end

end
