indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"

class
	COM_SAFEARRAY_BOUND

inherit
	COM_SMART_STRUCTURE [RUN_TIME_MEMORY_MODEL]
		rename
			make as structure_make
		end

create
	make

feature -- Initialization

	make (i: INTEGER) is
		do
			count := i
			structure_make
		end

	count: INTEGER

	set_element_count (i, a_value: INTEGER) is
		local
			p: POINTER
		do
			p := item + (i - 1) * cwel_size_of_safearraybound + offsetofcElements
			memcpy (p, $a_value, 4)

		end

	set_lower_bound(i, a_value: INTEGER) is
		local
			p: POINTER
		do
			p := item + (i - 1) * cwel_size_of_safearraybound + offsetoflLbound
			memcpy (p, $a_value, 4)

		end

	structure_size: INTEGER is do Result := cwel_size_of_safearraybound  * count end
	cwel_size_of_safearraybound:INTEGER is  external "C [macro <windows.h>] " alias "sizeof(SAFEARRAYBOUND)"end
	offsetofcElements: INTEGER is external "C [macro <windows.h>]" alias "offsetof(SAFEARRAYBOUND, cElements)"end
	set_cElements(a_value:INTEGER) is do set_INTEGER_value (a_value, offsetofcElements) end
	get_cElements:INTEGER is do result := get_integer_value ( offsetofcElements) end
	offsetoflLbound: INTEGER is external "C [macro <windows.h>]" alias "offsetof(SAFEARRAYBOUND, lLbound)"end
	set_lLbound(a_value:INTEGER) is do set_INTEGER_value (a_value, offsetoflLbound) end
	get_lLbound:INTEGER is do result := get_integer_value ( offsetoflLbound) end

end
