indexing
	description: "Encapsulates a COM structure"
	author: "Pierre Nallet"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #13 $"

deferred class
	COM_STRUCTURE

inherit
	COM_STRUCTURE_FUNCTIONS
		redefine
			is_equal
		end

feature -- Access

	item: POINTER
			-- Pointer to COM structure

	is_equal (a_other: like current) : BOOLEAN is
			-- Is this structure equal to 'a_other'?
		do
			Result := memcmp (item, a_other.item, structure_size) = 0
		end

feature -- Basic operations

	set (a_item: POINTER) is
		do
			item := a_item
		end

end -- class OLEDB_STRUCTURE
