indexing
    author: ""
    date: "$Date: 2008/12/01 $";
    revision: "$Revision: #12 $"
    path : "$File: //rose/source/kernel/persistence/databases/signature_tagged/data_record.e $"
    
class 
    DATA_RECORD[G]

inherit
    DATA_RECORD_BASE
    PREDICATE_RECORD

create
    default_create, make

feature

    make (a_signature_id: INTEGER; a_start_date: ROSE_DATE; a_item_id: INTEGER; a_value: G) is
        do
              signature_id := a_signature_id
              start_date := a_start_date
              item_id := a_item_id
              value := a_value
        end
    
    process_id : INTEGER
    set_process_id(a_value : like process_id) is
        do
            process_id := a_value
        end
    
    item_id : INTEGER
    set_item_id(a_value : like item_id) is
        do
            item_id := a_value
        end
    
    value : G
    set_value(a_value : like value) is
        do
            value := a_value
        end
    
    path : INTEGER
    set_path(a_value : like path) is
        do
            path := a_value
        end
    
	file_date : ROSE_DATE
	set_file_date(a_value : like file_date) is
		do
			file_Date := a_value
		end
	
    statement_ : STRING is 
        once
            Result := "select * from data"
        end
    
    fields_ : STRING is 
        once
            Result := "signature_id,item_id,value,process_id"
        end
    
end
