indexing
	description: "Object to request stream type data from a data server"
	author: "Mauricio Bustos"
	last_editor: "$Author: mb $"
	date: "$Date: 2009/05/22 $"
	revision: "$Revision: #3 $"
	archive: "$File: //rose/source/kernel/infrastructure/persistence/data_server_stream_command.e $"
	
deferred class
	DATA_SERVER_STREAM_COMMAND
   
feature -- Basic operations
   
	retrieve (parameters: ARRAY[ANY]) is
			-- Retrieve data using 'a_parameters'
		deferred
		end
	
feature -- Access
	
	query_result: STRING is
			-- Stream result as a string
		deferred
		end
	
	success: BOOLEAN is
			-- Was the last operation successful?
		deferred
		end
   
end
