indexing
	description: "Comparator whose comparison is provided by an agent"
	author: "Mark Howard"
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/infrastructure/math/dynamic_comparator.e $"

class
	DYNAMIC_COMPARATOR[G]
inherit
	KL_COMPARATOR[G]
create
	make
feature -- Initialization
	make (a_compare : like compare) is
			--create from an agent
		do
			compare := a_compare
		end
feature -- Access
	less_than (u, v: G): BOOLEAN is
			-- Is `u' considered less than `v'?
		do
			Result := compare.item([u,v])
		end

feature -- Basic operations

feature {NONE} -- Implementation
	compare : FUNCTION[ANY,TUPLE[G,G],BOOLEAN]
end
