indexing
	description: "Pattern converter for formatting event messages"
	library: "elogger"
	copyright: "Copyright (c) 2006, AXA Rosenberg, and others (see copyright.txt)"
	author: "Ulrich Weiss, and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"
	archive: "$File: //rose/source/kernel/infrastructure/logging/layouts/pattern/elog_message_pattern_converter.e $"

class ELOG_MESSAGE_PATTERN_CONVERTER

inherit

	ELOG_PATTERN_CONVERTER

create

	make

feature {NONE} -- Implementation

	convert_event (event: ELOG_EVENT): STRING is
			-- Convert conversion specifiers appropriately.
		do
			Result := event.message
		end

end -- ELOG_MESSAGE_PATTERN_CONVERTER
