indexing
	description: "Pattern converter for formatting priorities"
	library: "elogger"
	copyright: "Copyright (c) 2006, AXA Rosenberg, and others (see copyright.txt)"
	author: "Ulrich Weiss, and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2009/11/18 $"
	revision: "$Revision: #4 $"
	archive: "$File: //rose/source/kernel/infrastructure/logging/layouts/pattern/elog_priority_pattern_converter.e $"

class ELOG_PRIORITY_PATTERN_CONVERTER

inherit

	ELOG_PATTERN_CONVERTER

create

	make

feature {NONE} -- Implementation

	convert_event (event: ELOG_EVENT): STRING is
			-- Convert conversion specifiers appropriately.
		do
			Result := event.severity.description
		end

end -- ELOG_PRIORITY_PATTERN_CONVERTER
