
indexing
	description: "Excel chart"
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #10 $"

class
	EXCEL_CHART

inherit

	COM_DISPATCH

create
	make_by_pointer

feature -- Operations

	set_chart_type (a_type: INTEGER) is
	
		local
			l_value: COM_VARIANT
		do
		create l_value
		l_value.init
		l_value.set_integer4 (a_type)
		put_property (get_id ("ChartType"), l_value)
	end

	set_source_data_ (a_range: EXCEL_RANGE) is
		require
			a_range_not_void: a_range /= VOid
		local
			l_disp_id: INTEGER
			l_variant: COM_VARIANT
		do
		--	l_disp_id := get_id ("SetSourceData")
			l_disp_id := 1413
			dispparams.init
			create l_variant
			l_variant.init
			l_variant.set_dispatch (a_range.p)
			dispparams.add_argument (l_variant)
			function_exception.init
			g_variant.init
			g_variant.set_dispatch_pointer (default_pointer)
			invoke (l_disp_id, Dispatch_method, dispparams, g_variant, function_exception)
			check_result

		end

	set_source_data (a_range: EXCEL_RANGE; plot_by: INTEGER) is
			-- Set the source of the chart
		require
			a_range_not_void: a_range /= VOid
		local
			l_disp_id: INTEGER
			l_variant: COM_VARIANT
			l_plot_by: COM_VARIANT
		do
			l_disp_id := get_id ("SetSourceData")
			l_disp_id := 1413
			dispparams.init
			create l_plot_by
			l_plot_by.init
			l_plot_by.set_integer4 (plot_by)
			dispparams.add_argument (l_plot_by)
			create l_variant
			l_variant.init
			l_variant.set_dispatch (a_range.p)
			dispparams.add_argument (l_variant)
		--	dispparams.add_named_arg_dispid (2060)
		--	dispparams.add_named_arg_dispid (9)

			function_exception.init
			g_variant.init
			g_variant.set_dispatch_pointer (default_pointer)
			invoke (l_disp_id, Dispatch_method, dispparams, g_variant, function_exception)
			check_result

		end

	set_title (a_text: STRING) is
			-- 	
		require
			a_text_not_void: a_text /= Void
		local
			t: EXCEL_CHART_TITLE
			c: EXCEL_CHARACTERS
			ch: COM_HELPER
		do
			set_has_title (true)
			t := chart_title
			create ch
			c := t.characters (ch.missing, ch.missing)
			if (c /= Void) then
				c.set_text (a_text)
				c.release
			end
			t.release
		end

	axes (a_type: INTEGER): EXCEL_AXIS is
		local
			var: COM_VARIANT
			a_property_id: INTEGER
		do
			a_property_id := get_id ("Axes")
			dispparams.init
			create var
			var.init
			var.set_from_integer (a_type)
			dispparams.add_argument(var)




			function_exception.init
			g_variant.init

			invoke (a_property_id, Dispatch_propertyget, dispparams, g_variant, function_exception)
			check_result
			create Result.make_by_pointer (g_variant.dispatch_pointer)
			g_variant.release
		end

	axes2 (a_type, t2: INTEGER): EXCEL_AXIS is
		local
			var: COM_VARIANT
			a_property_id: INTEGER
		do
			a_property_id := get_id ("Axes")
			dispparams.init
			create var
			var.init
			var.set_from_integer (t2)
			dispparams.add_argument(var)
			var.set_from_integer (a_type)
			dispparams.add_argument(var)




			function_exception.init
			g_variant.init

			invoke (a_property_id, Dispatch_propertyget, dispparams, g_variant, function_exception)
			check_result
			create Result.make_by_pointer (g_variant.dispatch_pointer)
			g_variant.release
		end

	chart_title: EXCEL_CHART_TITLE is
		local
			PP: POINTER
		do
			pp := get_dispatch_property (get_id ("ChartTitle"))
			if pp /= default_pointer then
				create Result.make_by_pointer (pp)
				release_variant
			end
		end

	set_has_title (b: BOOLEAN) is
		local
			v: COM_VARIANT
		do
			create v
			v.init
			v.set_boolean (b)
			put_property (get_id ("HasTitle"), v)
		end


end -- class EXCEL_WORKBOOK


