class FOREGROUND_DIVS__W
inherit
   EXTERNAL_RECORD
      redefine
	 display,
	 write,
	 read,
	 record_length_
      end
feature
   read is
      do
	 brim_symbol := get_brim_symbol
	 iseq := get_iseq
	 status_code := get_status_code
	 supplier_code := get_supplier_code
	 iso := get_iso
	 paymt := get_paymt
	 payod := get_payod
	 txbas := get_txbas
	 broad := get_broad
	 type := gotten_type
	 nent := get_nent
	 dummy := get_dummy
	 exdate := get_exdate
	 cash_rate := get_cash_rate
	 cash_adj := get_cash_adj
	 sh_factor := get_sh_factor
	 on_factor := get_on_factor
	 paydate := get_paydate
	 anndate := get_anndate
	 recdate := get_recdate
	 change_date := get_change_date
	 set_tax_deducted
      end
   write is
      do
	 set_brim_symbol(brim_symbol)
	 set_iseq(iseq)
	 set_status_code(status_code)
	 set_supplier_code(supplier_code)
	 set_iso(iso)
	 set_paymt(paymt)
	 set_payod(payod)
	 set_txbas(txbas)
	 set_broad(broad)
	 set_type(type)
	 set_nent(nent)
	 set_dummy(dummy)
	 set_exdate(exdate)
	 set_cash_rate(cash_rate)
	 set_cash_adj(cash_adj)
	 set_sh_factor(sh_factor)
	 set_on_factor(on_factor)
	 set_paydate(paydate)
	 set_anndate(anndate)
	 set_recdate(recdate)
	 set_change_date(change_date)
      end
   record_length_ : INTEGER is
      do
	 Result := 87
      end
   brim_symbol : STRING
   get_brim_symbol : STRING is
      do
	 Result := makestr(pointer_plus(pointer_,0),18)
      end
   set_brim_symbol(a_value : STRING) is 
      local
	 a_c_pointer : C_STRING
      do
	 create a_c_pointer.make (a_value)
	 copy_to_pointer(pointer_plus(pointer_,0),a_c_pointer.item,18)
      end
   iseq : INTEGER
   get_iseq : INTEGER is
      do
	 Result := dereference_short(pointer_plus(pointer_,18))
      end
   set_iseq(a_value : INTEGER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,18),$a_value,2)
      end
   status_code : CHARACTER
   get_status_code : CHARACTER is
      do
	 Result := dereference_character(pointer_plus(pointer_,20))
      end
   set_status_code(a_value : CHARACTER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,20),$a_value,1)
      end
   supplier_code : CHARACTER
   get_supplier_code : CHARACTER is
      do
	 Result := dereference_character(pointer_plus(pointer_,21))
      end
   set_supplier_code(a_value : CHARACTER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,21),$a_value,1)
      end
   iso : STRING
   get_iso : STRING is
      do
	 Result := makestr(pointer_plus(pointer_,22),2)
      end
   set_iso(a_value : STRING) is 
      local
	 a_c_pointer : C_STRING
      do
	 create a_c_pointer.make (a_value)
	 copy_to_pointer(pointer_plus(pointer_,22),a_c_pointer.item,2)
      end
   paymt : CHARACTER
   get_paymt : CHARACTER is
      do
	 Result := dereference_character(pointer_plus(pointer_,24))
      end
   set_paymt(a_value : CHARACTER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,24),$a_value,1)
      end
   payod : CHARACTER
   get_payod : CHARACTER is
      do
	 Result := dereference_character(pointer_plus(pointer_,25))
      end
   set_payod(a_value : CHARACTER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,25),$a_value,1)
      end
   txbas : STRING
   get_txbas : STRING is
      do
	 Result := makestr(pointer_plus(pointer_,26),2)
      end
   set_txbas(a_value : STRING) is 
      local
	 a_c_pointer : C_STRING
      do
	 create a_c_pointer.make (a_value)
	 copy_to_pointer(pointer_plus(pointer_,26),a_c_pointer.item,2)
      end
   broad : CHARACTER
   get_broad : CHARACTER is
      do
	 Result := dereference_character(pointer_plus(pointer_,28))
      end
   set_broad(a_value : CHARACTER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,28),$a_value,1)
      end
   type : STRING
   gotten_type : STRING is
      do
	 Result := makestr(pointer_plus(pointer_,29),2)
      end
   set_type(a_value : STRING) is 
      local
	 a_c_pointer : C_STRING
      do
	 create a_c_pointer.make (a_value)
	 copy_to_pointer(pointer_plus(pointer_,29),a_c_pointer.item,2)
      end
   nent : INTEGER
   get_nent : INTEGER is
      do
	 copy_to_pointer($Result,pointer_plus(pointer_,31),2)
      end
   set_nent(a_value : INTEGER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,31),$a_value,2)
      end
   dummy : STRING
   get_dummy : STRING is
      do
	 Result := makestr(pointer_plus(pointer_,33),2)
      end
   set_dummy(a_value : STRING) is 
      local
	 a_c_pointer : C_STRING
      do
	 create a_c_pointer.make (a_value)
	 copy_to_pointer(pointer_plus(pointer_,33),a_c_pointer.item,2)
      end
   exdate : INTEGER
   get_exdate : INTEGER is
      do
	 Result := dereference_integer(pointer_plus(pointer_,35))
      end
   set_exdate(a_value : INTEGER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,35),$a_value,4)
      end
   cash_rate : DOUBLE
   look : DOUBLE
   get_cash_rate : DOUBLE is
      do
--	 Result := dereference_double(pointer_plus(pointer_,39))
	Result := rdvi.decode(pointer_plus(pointer_, 39), 8)
      end
   set_cash_rate(a_value : DOUBLE) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,39),$a_value,8)
      end
   cash_adj : DOUBLE
   get_cash_adj : DOUBLE is
      do
--	 puzzo(pointer_plus(pointer_,47),$look)
--	 Result := dereference_double(pointer_plus(pointer_,47))
	Result := rdvi.decode(pointer_plus(pointer_, 47), 8)
      end
   set_cash_adj(a_value : DOUBLE) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,47),$a_value,8)
      end
   sh_factor : DOUBLE
   get_sh_factor : DOUBLE is
      do
--	 puzzo(pointer_plus(pointer_,55),$look)
--	 Result := dereference_double(pointer_plus(pointer_,55))
	Result := rdvi.decode(pointer_plus(pointer_, 55), 8)
      end
   set_sh_factor(a_value : DOUBLE) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,55),$a_value,8)
      end
   on_factor : DOUBLE
   get_on_factor : DOUBLE is
      do
--	 puzzo(pointer_plus(pointer_,63),$look)
--	 Result := dereference_double(pointer_plus(pointer_,63))
	Result := rdvi.decode(pointer_plus(pointer_, 63), 8)
      end
   set_on_factor(a_value : DOUBLE) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,63),$a_value,8)
      end
   paydate : INTEGER
   get_paydate : INTEGER is
      do
	 Result := dereference_integer(pointer_plus(pointer_,71))
      end
   set_paydate(a_value : INTEGER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,71),$a_value,4)
      end
   anndate : INTEGER
   get_anndate : INTEGER is
      do
	 Result := dereference_integer(pointer_plus(pointer_,75))
      end
   set_anndate(a_value : INTEGER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,75),$a_value,4)
      end
   recdate : INTEGER
   get_recdate : INTEGER is
      do
	 Result := dereference_integer(pointer_plus(pointer_,79))
      end
   set_recdate(a_value : INTEGER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,79),$a_value,4)
      end
   change_date : INTEGER
   get_change_date : INTEGER is
      do
	 Result := dereference_integer(pointer_plus(pointer_,83))
      end
   set_change_date(a_value : INTEGER) is 
      do
	 copy_to_pointer(pointer_plus(pointer_,83),$a_value,4)
      end
   tax_deducted : BOOLEAN
   set_tax_deducted is
      do
	 if (txbas.is_equal("UN") or
	     txbas.is_equal("FC") or
	     txbas.is_equal("BA") or
	     txbas.is_equal("BB") or
	     txbas.is_equal("EA") or
	     txbas.is_equal("EN") or
	     txbas.is_equal("FA") or
	     txbas.is_equal("GN") or
	     txbas.is_equal("HA") or
	     txbas.is_equal("JA") or
	     txbas.is_equal("KA") or
	     txbas.is_equal("MB") or
	     txbas.is_equal("QN") or
	     txbas.is_equal("QA") or
	     txbas.is_equal("RA") or
	     txbas.is_equal("RN") or
	     txbas.is_equal("SQ") or
	     txbas.is_equal("TN") or
	     txbas.is_equal("VA") or
	     txbas.is_equal("XN") or
	     txbas.is_equal("UA") or
	     txbas.is_equal("ZN") or
	     txbas.is_equal("ES"))
	  then
	    tax_deducted := True
	 else
	    tax_deducted := False
	 end
	 
	 
	 
      end
   
   display is
      do
	 print_all(<<"brim_symbol"," : ",get_brim_symbol,"%N">>)
	 print_all(<<"iseq"," : ",get_iseq,"%N">>)
	 print_all(<<"status_code"," : ",get_status_code,"%N">>)
	 print_all(<<"supplier_code"," : ",get_supplier_code,"%N">>)
	 print_all(<<"iso"," : ",get_iso,"%N">>)
	 print_all(<<"paymt"," : ",get_paymt,"%N">>)
	 print_all(<<"payod"," : ",get_payod,"%N">>)
	 print_all(<<"txbas"," : ",get_txbas,"%N">>)
	 print_all(<<"broad"," : ",get_broad,"%N">>)
	 print_all(<<"type"," : ",gotten_type,"%N">>)
	 print_all(<<"nent"," : ",get_nent,"%N">>)
	 print_all(<<"dummy"," : ",get_dummy,"%N">>)
	 print_all(<<"exdate"," : ",get_exdate,"%N">>)
	 print_all(<<"cash_rate"," : ",get_cash_rate,"%N">>)
	 print_all(<<"cash_adj"," : ",get_cash_adj,"%N">>)
	 print_all(<<"sh_factor"," : ",get_sh_factor,"%N">>)
	 print_all(<<"on_factor"," : ",get_on_factor,"%N">>)
	 print_all(<<"paydate"," : ",get_paydate,"%N">>)
	 print_all(<<"anndate"," : ",get_anndate,"%N">>)
	 print_all(<<"recdate"," : ",get_recdate,"%N">>)
	 print_all(<<"change_date"," : ",get_change_date,"%N">>)
      end
--    puzzo (in_value, out_value : POINTER) is
--       external
-- 	 "C"
--       end
   
	rdvi: ROSE_VMS_DOUBLE_INTERPRETER is
	once
		create Result
	end
		
end
