note

	description:

		"Funds other than our internal composite assets"

	author: "Janet Small"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #18 $"
	path: "$File: //rose/source/kernel/investment_entities/fund.e $"

class FUND
inherit
	INVESTMENT_ENTITY
		undefine
			peer_anchor
		end
	PERSISTENT_FUND
		undefine
			context,
			make,
			make_context,
			corelated_entities,
			corelationships,
			debug_output
		end

create -- Creation

	make,
	make_with_zone_xrf,
	make_anonymous

feature -- Basic operations

	name (a_date : ROSE_DATE) : STRING is
			-- Name as of `a_date'.
		do
			Result := name_at(a_date)
		end

	register  is
			-- Register this entity.
		do
			if zone /= void then
				zone.add_fund(Current)
			end
		end


end




