note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, client_type"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #6 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_client_type_base.e $"

deferred class
	GCDB_CLIENT_TYPE_BASE

inherit
	PERSISTENT_CLIENT_TYPE
		export
			{GCDB_CLIENT_TYPE_BASE,GCDB_HOME} all
		undefine
			make,
			context,
			name_at
		end
	GCDB_ENTITY
		export
			{GCDB_CLIENT_TYPE_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code,
					entity_at, start_date, end_date,
					as_of_date, set_as_of_date
		undefine
			is_equal
		redefine
			name_at
		end

feature {NONE} -- Implementation

	upcast: like context.client_type_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	client_type: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10322, as_of_date)
		end

	pension_type: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10323, as_of_date)
		end

	dc_type: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10324, as_of_date)
		end

	code: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (96, as_of_date)
		end

	is_taxable: BOOLEAN is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := boolean_attribute_value (10343, as_of_date)
		end

	is_retail: BOOLEAN is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := boolean_attribute_value (10353, as_of_date)
		end

	is_public: BOOLEAN is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := boolean_attribute_value (10354, as_of_date)
		end

	is_pension: BOOLEAN is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := boolean_attribute_value (10426, as_of_date)
		end

	is_commingled: BOOLEAN is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := boolean_attribute_value (10436, as_of_date)
		end

	is_insurance: BOOLEAN is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := boolean_attribute_value (10543, as_of_date)
		end

	accounts_by_account_type_history: ROSE_ENTITY_HISTORY[GCDB_ACCOUNT] is
			-- history of client_type to account by account_type
		do
			Result := context.account_to_account_type.corelated_entity_intervals (upcast)
		end

	accounts_by_account_type: ROSE_LINEAR_ARRAY[GCDB_ACCOUNT] is
			-- client_type to account by account_type (346)
		do
			Result := accounts_by_account_type_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

	name_at (a_date: ROSE_DATE): STRING is
			-- name_at queries the unique code attribute
		do
			Result := attribute_from_supplier_attribute_id_at (96, as_of_date)
		end

end -- GCDB_CLIENT_TYPE
