note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, country_group"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #18 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_country_group_base.e $"

deferred class
	GCDB_COUNTRY_GROUP_BASE

inherit
	PERSISTENT_COUNTRY_GROUP
		export
			{GCDB_COUNTRY_GROUP_BASE,GCDB_HOME} all
		undefine
			make,
			context,
			name_at
		end
	GCDB_ENTITY
		export
			{GCDB_COUNTRY_GROUP_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code,
					entity_at, start_date, end_date,
					as_of_date, set_as_of_date
		undefine
			is_equal
		redefine
			name_at
		end

feature {NONE} -- Implementation

	upcast: like context.country_group_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	code: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (96, as_of_date)
		end

	countries_history: ROSE_ENTITY_HISTORY[GCDB_COUNTRY] is
			-- history of GCDB doesn't have description for this attribute/relationship
		do
			Result := context.country_group_to_country.related_entity_intervals (upcast)
		end

	countries: ROSE_LINEAR_ARRAY[GCDB_COUNTRY] is
			-- GCDB doesn't have description for this attribute/relationship (197)
		do
			Result := countries_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

	clients_by_domicile_region_history: ROSE_ENTITY_HISTORY[GCDB_CLIENT] is
			-- history of country_group to client by domicile_region
		do
			Result := context.client_to_domicile_region.corelated_entity_intervals (upcast)
		end

	clients_by_domicile_region: ROSE_LINEAR_ARRAY[GCDB_CLIENT] is
			-- country_group to client by domicile_region (189)
		do
			Result := clients_by_domicile_region_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

	-- relationship -- domiciles_by_region -> 524 GCDB_DOMICILE -- 0 country_group to domicile by region

	name_at (a_date: ROSE_DATE): STRING is
			-- name_at queries the unique code attribute
		do
			Result := attribute_from_supplier_attribute_id_at (96, as_of_date)
		end

end -- GCDB_COUNTRY_GROUP
