indexing
	description: "non-generated features for GCDB_CURRENCY_BASE"
	author: "it"
	last_editor: "$Author: ll $"
	keywords: "entity, gcdb, currency"
	date: "$Date: 2010/05/10 $"
	revision: "$Revision: #12 $"

class
	GCDB_CURRENCY

inherit
	GCDB_CURRENCY_BASE

create
	make, make_anonymous

feature --Basic computations
	minor_unit_exponent: RP_DECIMAL is
			--Currency minor unit exponent
		do
			create Result.make_from_string (minor_unit)
		ensure
			non_void_result: Result /= Void
		end

	minor_unit_value: RP_DECIMAL is
			--Value of minor unit
		do
			Result := (create {RP_DECIMAL}.make_from_integer (10)) ^ -minor_unit_exponent
		ensure
			non_void_result: Result /= Void
		end

end
