note

	description:

		"Automagically Generated -- Provides information about dividend reinvestment in index calculations"

	keywords: "entity, gcdb, dividend_reinvestment_model"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #7 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_dividend_reinvestment_model_base.e $"

deferred class
	GCDB_DIVIDEND_REINVESTMENT_MODEL_BASE

inherit
	PERSISTENT_DIVIDEND_REINVESTMENT_MODEL
		export
			{GCDB_DIVIDEND_REINVESTMENT_MODEL_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_DIVIDEND_REINVESTMENT_MODEL_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.dividend_reinvestment_model_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	code: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10653, as_of_date)
		end

	benchmarks_by_dividend_reinvestment_history: ROSE_ENTITY_HISTORY[GCDB_BENCHMARK] is
			-- history of dividend_reinvestment_model to benchmark by dividend_reinvestment
		do
			Result := context.benchmark_to_dividend_reinvestment.corelated_entity_intervals (upcast)
		end

	benchmarks_by_dividend_reinvestment: ROSE_LINEAR_ARRAY[GCDB_BENCHMARK] is
			-- dividend_reinvestment_model to benchmark by dividend_reinvestment (342)
		do
			Result := benchmarks_by_dividend_reinvestment_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

end -- GCDB_DIVIDEND_REINVESTMENT_MODEL