indexing

	description: "GCDB FUND PARTICIPANT ENTITY"

	date: "$Date: 2009/09/14 $"
	sccid: "$Id: //rose/source/kernel/gcdb/gcdb_fund_participant.e#2 $"

class GCDB_FUND_PARTICIPANT

inherit

	GCDB_FUND_PARTICIPANT_BASE
		redefine
			code,
			brimsym
		end

create

	make,
	make_anonymous

feature -- Access

	code: STRING is
			-- Unique identifier
		do
			Result := attribute_value_history (447).first.attribute_value
		ensure then
			result_not_void: Result /= Void
		end

	brimsym: STRING is
			-- Brimsym
		do
			if not attribute_value_history (449).is_empty then
				Result := attribute_value_history (449).first.attribute_value
			end
		end

	last_known_name: STRING is
			-- Last known descriptive name
		do
			if attribute_value_history (448).is_empty then
				Result := ""
			else
				Result := attribute_value_history (448).last.attribute_value
			end
		ensure
			result_not_void: Result /= Void
		end

end
