note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, investment_tax"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #15 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_investment_tax_base.e $"

deferred class
	GCDB_INVESTMENT_TAX_BASE

inherit
	PERSISTENT_INVESTMENT_TAX
		export
			{GCDB_INVESTMENT_TAX_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_INVESTMENT_TAX_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.investment_tax_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	domicile_country_history: ROSE_ENTITY_HISTORY[GCDB_COUNTRY] is
			-- history of This is the country where the account is domiciled
		do
			Result := context.investment_tax_to_domicile_country.related_entity_intervals (upcast)
		end

	domicile_country: GCDB_COUNTRY is
			-- This is the country where the account is domiciled
		do
			Result := domicile_country_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	investment_country_history: ROSE_ENTITY_HISTORY[GCDB_COUNTRY] is
			-- history of Country of the company in which the client has an investment
		do
			Result := context.investment_tax_to_investment_country.related_entity_intervals (upcast)
		end

	investment_country: GCDB_COUNTRY is
			-- Country of the company in which the client has an investment
		do
			Result := investment_country_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	rate: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10441, as_of_date)
		end

end -- GCDB_INVESTMENT_TAX