indexing

	description:

		"Portfolio Group GCDB Entity"

	keywords: "entity, gcdb, portfolio_group"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #15 $"

class GCDB_PORTFOLIO_GROUP

inherit

	GCDB_PORTFOLIO_GROUP_BASE
		redefine
			code
		end

create

	make,
	make_anonymous

feature -- Access

	code: STRING is
			-- Unique code
		do
			Result := attribute_value_history (96).first.attribute_value
		end

	is_in_composite_history: ROSE_LINEAR_ARRAY [ENTITY_ATTRIBUTE_RECORD] is
			-- Is in composite attribute history
		do
			Result := attribute_value_history (10335)
		end

	last_known_name: STRING is
			-- Last known descriptive name
		do
			if attribute_value_history (46).is_empty then
				Result := ""
			else
				Result := attribute_value_history (46).last.attribute_value
			end
		end

end -- GCDB_PORTFOLIO_GROUP
