note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, reporting_attribution_model"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #9 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_reporting_attribution_model_base.e $"

deferred class
	GCDB_REPORTING_ATTRIBUTION_MODEL_BASE

inherit
	PERSISTENT_REPORTING_ATTRIBUTION_MODEL
		export
			{GCDB_REPORTING_ATTRIBUTION_MODEL_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_REPORTING_ATTRIBUTION_MODEL_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.reporting_attribution_model_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	code: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10568, as_of_date)
		end

	name: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10569, as_of_date)
		end

	model: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10570, as_of_date)
		end

	portfolios_by_reporting_attribution_model_history: ROSE_ENTITY_HISTORY[GCDB_PORTFOLIO] is
			-- history of reporting_attribution_model to portfolio by reporting_attribution_model
		do
			Result := context.portfolio_to_reporting_attribution_model.corelated_entity_intervals (upcast)
		end

	portfolios_by_reporting_attribution_model: ROSE_LINEAR_ARRAY[GCDB_PORTFOLIO] is
			-- reporting_attribution_model to portfolio by reporting_attribution_model (333)
		do
			Result := portfolios_by_reporting_attribution_model_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

	accounts_by_reporting_attribution_model_history: ROSE_ENTITY_HISTORY[GCDB_ACCOUNT] is
			-- history of reporting_attribution_model to account by reporting_attribution_model
		do
			Result := context.account_to_reporting_attribution_model.corelated_entity_intervals (upcast)
		end

	accounts_by_reporting_attribution_model: ROSE_LINEAR_ARRAY[GCDB_ACCOUNT] is
			-- reporting_attribution_model to account by reporting_attribution_model (334)
		do
			Result := accounts_by_reporting_attribution_model_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

end -- GCDB_REPORTING_ATTRIBUTION_MODEL