note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, settlement_chain"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #18 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_settlement_chain_base.e $"

deferred class
	GCDB_SETTLEMENT_CHAIN_BASE

inherit
	PERSISTENT_SETTLEMENT_CHAIN
		export
			{GCDB_SETTLEMENT_CHAIN_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_SETTLEMENT_CHAIN_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.settlement_chain_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	pset_history: ROSE_ENTITY_HISTORY[GCDB_PSET] is
			-- history of GCDB doesn't have description for this attribute/relationship
		do
			Result := context.settlement_chain_to_pset.related_entity_intervals (upcast)
		end

	pset: GCDB_PSET is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := pset_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	instrument_type: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10176, as_of_date)
		end

	broker_bic: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10177, as_of_date)
		end

	broker_account: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10178, as_of_date)
		end

	agent_bic: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10183, as_of_date)
		end

	agent_account: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10184, as_of_date)
		end

	broker_history: ROSE_ENTITY_HISTORY[GCDB_BROKER] is
			-- history of GCDB doesn't have description for this attribute/relationship
		do
			Result := context.settlement_chain_to_broker.related_entity_intervals (upcast)
		end

	broker: GCDB_BROKER is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := broker_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	investment_region: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (83, as_of_date)
		end

	currency: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10200, as_of_date)
		end

	broker_name: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10201, as_of_date)
		end

	broker_addr1: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10202, as_of_date)
		end

	broker_addr2: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10203, as_of_date)
		end

	broker_country: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10204, as_of_date)
		end

	agent_name: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10205, as_of_date)
		end

	agent_addr1: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10206, as_of_date)
		end

	agent_addr2: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10207, as_of_date)
		end

	agent_country: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10208, as_of_date)
		end

	broker_local_id: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10209, as_of_date)
		end

	agent_local_id: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10210, as_of_date)
		end

end -- GCDB_SETTLEMENT_CHAIN