note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, strategy_type"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #17 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_strategy_type_base.e $"

deferred class
	GCDB_STRATEGY_TYPE_BASE

inherit
	PERSISTENT_STRATEGY_TYPE
		export
			{GCDB_STRATEGY_TYPE_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_STRATEGY_TYPE_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.strategy_type_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	code: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (247, as_of_date)
		end

	stock_capitalization: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (248, as_of_date)
		end

	is_hedged: BOOLEAN is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := boolean_attribute_value (250, as_of_date)
		end

	risk_style: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (251, as_of_date)
		end

	has_overlay: BOOLEAN is
			-- Indicates bondized or equitized benchmark
		do
			Result := boolean_attribute_value (252, as_of_date)
		end

	ab_split_type: STRING is
			-- Capitalization classification used in AB split
		do
			Result := attribute_from_supplier_attribute_id_at (253, as_of_date)
		end

	master_value_strategy: STRING is
			-- The general strategy as used in Master Value spreadsheet
		do
			Result := attribute_from_supplier_attribute_id_at (511, as_of_date)
		end

	master_value_strategy_detail: STRING is
			-- The strategy details as used in Master Value Spreadsheet
		do
			Result := attribute_from_supplier_attribute_id_at (512, as_of_date)
		end

	shorting_limit: STRING is
			-- This is the optimal dept to net position ratio. It is 1.00 for long/short accounts, 0.0 for long only accounts and somewhere in between for the limited shorting accounts. 
		do
			Result := attribute_from_supplier_attribute_id_at (607, as_of_date)
		end

	benchmarks_by_type_history: ROSE_ENTITY_HISTORY[GCDB_BENCHMARK] is
			-- history of strategy_type to benchmark by type
		do
			Result := context.benchmark_to_strategy_type.corelated_entity_intervals (upcast)
		end

	benchmarks_by_type: ROSE_LINEAR_ARRAY[GCDB_BENCHMARK] is
			-- strategy_type to benchmark by type (271)
		do
			Result := benchmarks_by_type_history.all_witnesses (as_of_date)
			set_entities_as_of_date (Result, as_of_date)
		end

	-- relationship -- products_by_type -> 154 GCDB_PRODUCT -- 0 strategy_type to product by type

end -- GCDB_STRATEGY_TYPE