note

	description:

		"Automagically Generated -- Empty Description in GCDB"

	keywords: "entity, gcdb, tax"
	author: "$Author: mk $"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #18 $"
	path: "$File: //rose/source/kernel/gcdb/generated/gcdb_tax_base.e $"

deferred class
	GCDB_TAX_BASE

inherit
	PERSISTENT_TAX
		export
			{GCDB_TAX_BASE,GCDB_HOME} all
		undefine
			make,
			context
		end
	GCDB_ENTITY
		export
			{GCDB_TAX_BASE,GCDB_HOME} all
			{ANY} handle, is_equal, hash_code, 
					entity_at, start_date, end_date, 
					as_of_date, set_as_of_date
		undefine
			is_equal
		end

feature {NONE} -- Implementation

	upcast: like context.tax_template is
			-- convert to base
		do
			Result ?= Current
		end

feature -- GCDB Attributes and Relationships

	country_history: ROSE_ENTITY_HISTORY[GCDB_COUNTRY] is
			-- history of GCDB doesn't have description for this attribute/relationship
		do
			Result := context.tax_to_country.related_entity_intervals (upcast)
		end

	country: GCDB_COUNTRY is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := country_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	rate: STRING is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := attribute_from_supplier_attribute_id_at (10231, as_of_date)
		end

	type_history: ROSE_ENTITY_HISTORY[GCDB_TAX_TYPE] is
			-- history of Describes the nature of the tax - witholding, non-resident shareholders tax (NRST), etc
		do
			Result := context.tax_to_tax_type.related_entity_intervals (upcast)
		end

	type: GCDB_TAX_TYPE is
			-- Describes the nature of the tax - witholding, non-resident shareholders tax (NRST), etc
		do
			Result := type_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

	account_history: ROSE_ENTITY_HISTORY[GCDB_ACCOUNT] is
			-- history of GCDB doesn't have description for this attribute/relationship
		do
			Result := context.tax_to_account.related_entity_intervals (upcast)
		end

	account: GCDB_ACCOUNT is
			-- GCDB doesn't have description for this attribute/relationship
		do
			Result := account_history.witness (as_of_date)
			set_entity_as_of_date (Result, as_of_date)
		end

end -- GCDB_TAX