indexing
	description: "Date and Time Picker GDT constants"
	author: "David Jenkins"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"

class
	GDT_CONSTANTS

feature -- Access

	Gdt_valid:INTEGER is
			-- Set the DTP control according to the data within the structure that lpSysTime points to. 
		external
			"C [macro %"wel.h%"]:EIF_INTEGER"
		alias
			"GDT_VALID"
		end
		
	Gdt_none:INTEGER is
			-- Set the DTP control to "no date" and clear its check box. When this flag is specified, lpSysTime is ignored. This flag applies only to DTP controls that are set to the DTS_SHOWNONE style. 
		external
			"C [macro %"wel.h%"]:EIF_INTEGER"
		alias
			"GDT_NONE"
		end

	valid_gdt_value(v:INTEGER):BOOLEAN is
		do
			Result := v = Gdt_valid or else
				v = Gdt_none
		end
		
end -- class GDT_CONSTANTS

--|-------------------------------------------------------------|
--|Created by David Jenkins										|
--|																|
--|It's not my fault if it works								|
--|-------------------------------------------------------------|

