indexing
	description: "Windows SDK GDTR constants, for MonthCalendar control"
	author: "David Jenkins"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"

class
	GDTR_CONSTANTS

feature -- Access

	Gdtr_max: INTEGER is
			-- There is a maximum limit for the control
		external
			"C[macro %"cctrl.h%"]:EIF_INTEGER"
		alias
			"GDTR_MAX"
		end

	Gdtr_min: INTEGER is
			-- There is a maximum limit for the control
		external
			"C[macro %"cctrl.h%"]:EIF_INTEGER"
		alias
			"GDTR_MIN"
		end

	valid_gdtr_value(v:INTEGER):BOOLEAN is
		do
			Result := v = Gdtr_max or else
				v = Gdtr_min
		end

end -- class GDTR_CONSTANTS

--|-------------------------------------------------------------|
--|Created by David Jenkins										|
--|djenkins99@earthlink.net										|
--|It's not my fault if it works								|
--|-------------------------------------------------------------|
