note

	description:

		"Listing for government issues such as TBills...."

	author: "Janet Small"
	last_editor: "$Author: er $"
	date: "$Date: 2014/02/26 $"
	revision: "$Revision: #18 $"
	path: "$File: //rose/source/kernel/investment_entities/government_issue_listing.e $"

class GOVERNMENT_ISSUE_LISTING
inherit
		INVESTMENT_ENTITY
		undefine
			peer_anchor,
			ur_targets
		redefine
			make,
			make_with_zone_xrf
		end
	PERSISTENT_GOVERNMENT_ISSUE_LISTING
		undefine
			context,
			make,
			make_context,
			issue,
			debug_output
		end
create

	make,
	make_with_zone_xrf,
	make_anonymous

feature -- Creation

	make (a_context : like context;a_category_id : INTEGER;a_handle : INTEGER;a_start_date,a_end_date : ROSE_DATE) is
			--Initialization
		do
			Precursor{INVESTMENT_ENTITY}(a_context,a_category_id,a_handle,a_start_date,a_end_date)
		end

	make_with_zone_xrf(a_context : like context;a_category_id : INTEGER;a_handle : INTEGER;a_start_date,a_end_date : ROSE_DATE;a_zone : ZONE[LOCATION];a_xrf : INTEGER) is
		do
			Precursor{INVESTMENT_ENTITY}(a_context,a_category_id,a_handle,a_start_date,a_end_date,a_zone,a_xrf)
		end


feature -- Basic operation
	register  is
			-- Register this entity.
		do
			if zone /= void then
				zone.add_government_issue_listing(Current)
			end
		end


	issue: like context.government_issue_template 
			--Random related government_issue_listing
		do
			Result := something_corelated_by_government_issue_to_government_issue_listing
		end
end








