indexing

	description: "Functions that the item from an EV_CELL in GUI testing script language"

	author: "Colin Adams"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/05/20 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/infrastructure/framework/gui/script_interpreter/gui_script_item.e $"

class GUI_SCRIPT_ITEM

inherit

	GUI_SCRIPT_FUNCTION_CALL

create

	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
			name := "item"
			function_agent := agent item
		end

feature {NONE} -- Implementation

	item: GUI_SCRIPT_TARGET is
			-- Item in `target.target' if it's an EV_CELL
		require
			target_not_void: target /= Void
		do
			if {l_cell: EV_CELL} target.target then
				if not l_cell.is_empty then
					create Result.make (l_cell.item)
				end
			end
		end

end

	
