indexing

	description: "Functions that return the second item from an EV_SPLIT_AREA in GUI testing script language"

	author: "Colin Adams"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/05/20 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/infrastructure/framework/gui/script_interpreter/gui_script_second.e $"

class GUI_SCRIPT_SECOND

inherit

	GUI_SCRIPT_FUNCTION_CALL

create

	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
			name := "second"
			function_agent := agent second
		end

feature {NONE} -- Implementation

	second: GUI_SCRIPT_TARGET is
			-- Second item in `target.target' if it's an EV_SPLIT_AREA
		require
			target_not_void: target /= Void
		do
			if {l_split: EV_SPLIT_AREA} target.target then
				create Result.make (l_split.second)
			end
		end

end

	
