indexing

	description: "STRINGs in GUI testing script language"

	author: "Colin Adams"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/05/20 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/infrastructure/framework/gui/script_interpreter/gui_script_string.e $"

class GUI_SCRIPT_STRING

inherit

	GUI_SCRIPT_VALUE
		redefine
			value
		end

create

	make

feature {NONE} -- Initialization

	make (a_value: STRING) is
			-- Initialize `Current'.
		require
			a_value_not_void: a_value /= Void
		do
			value := a_value
		ensure
			value_set: value = a_value
		end

feature -- Access

	value: STRING
			-- Result from calling `evaluate'.

feature -- Basic operations
	
	evaluate (a_env: GUI_SCRIPT_ENVIRONMENT) is
			-- Set `value'.
		do
			-- nothing to do
		end

invariant

	value_not_void: value /= Void

end
