indexing

	description: "Values in GUI testing script language"

	author: "Colin Adams"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/05/20 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/infrastructure/framework/gui/script_interpreter/gui_script_value.e $"

deferred class GUI_SCRIPT_VALUE

inherit

	GUI_SCRIPT_ENTITY
	
feature -- Access

	value: ?ANY
			-- Result from calling `evaluate'.

feature -- Basic operations
	
	evaluate (a_env: GUI_SCRIPT_ENVIRONMENT) is
			-- Set `value'.
		require
			a_env_not_void: a_env /= Void
		deferred
		ensure
			error_set: is_error implies last_error_message /= Void
			no_error: not is_error implies (last_error_message = Void and value /= Void)
		end
	
end
