indexing
	description: "Distributed Processing (DP) coordinator -- listen (poll) command"
	author: "David Schwartz"
	date: "$Date: 2009/04/06 $"
	revision: "$Revision: #4 $"
	notice: 	"[
			This class is used to provide an instance of POLL_COMMAND to pass to
			{MEDIUM_POLLER}.put_read_command to allow select'ing on the listen port
			in medium_select.
			]"

class
	LISTEN_POLL_COMMAND

inherit
	POLL_COMMAND

create
	make

feature -- Access

	execute (arg: ANY) is
			-- Increment 'nugatory'
		do
			nugatory := nugatory + 1
		end

	nugatory: INTEGER

end
