class
	MAPPINGS_RECORD

inherit 
	DEBUG_OUTPUT
	
feature

	context_name: STRING
	
	type: STRING		-- Formerly 'database'.

	mnemonic: STRING

	expression: STRING
	
	debug_output : STRING is
		do
			Result := type + " " + mnemonic + " " + expression
		end

feature -- For audit trail
	
	label: STRING
	set_label (a_value: like label) is
		do
			label := a_value
		end
	
	user_id: STRING
	
	entry_date: ROSE_DATE
	
	removal_date: ROSE_DATE

end
