note

	description:

		"market data for futures"

	author: "Mauricio Busots"
	last_editor: "$Author: mb $"
	date: "$Date: 2013/11/08 $"
	revision: "$Revision: #19 $"
	path: "$File: //rose/source/kernel/data/market/market_data_f.e $"

class MARKET_DATA_F

inherit

	MARKET_DATA_F_I

create

	make

feature -- Access

	first_and_last: ARRAY [FIRST_AND_LAST] is
			-- First and last julian dates for futures
		local
			l_ix_today, i, l_max_fxrf: INTEGER
			l_fl: FIRST_AND_LAST
			l_today: ROSE_DATE
		once
			l_max_fxrf := zone.max_future_xrf
			create l_today.make_today
			if l_today.rose_julian_day <= jul_indexes.upper then
				l_ix_today := jul_indexes.item (l_today.rose_julian_day)
			else
				l_ix_today := jul_indexes.item (jul_indexes.upper)
			end
			create l_fl.make (1, l_ix_today)
			create Result.make (1, l_max_fxrf)
			from
				i := 1
			until
				i > l_max_fxrf
			loop
				Result.put (l_fl, i)
				i := i + 1
			end
		end

end
