note

	description:

		"ROSE_CONTEXT version of PERSISTENT_MARKET_LISTING"

	author: "David Stevens"
	last_editor: "$Author: mk $"
	date: "$Date: 2012/06/22 $"
	revision: "$Revision: #8 $"
	path: "$File: //rose/source/kernel/investment_entities/market_listing.e $"

class

	MARKET_LISTING

inherit

	INVESTMENT_ENTITY
		undefine
			peer_anchor,
			descriptive_name
		end

	PERSISTENT_MARKET_LISTING
		undefine
			context,
			make,
			make_context,
			debug_output
		end

create

   make, make_with_zone_xrf, make_anonymous

feature -- Access

	sedol_key (a_date : ROSE_DATE) : STRING is
			-- Value of sedol identifier on 'a_date'.
	  do
		 Result := entity_code (sedol, a_date)
	  end

	register  is
			-- Register this entity.
		do
		end

end
