indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #10 $"

class
	OLEDB_COLUMN_INFO 

inherit

	COM_STRING_FUNCTIONS


create
	make

feature -- Initialization

	make (info: OLEDB_DB_COLUMN_INFO[MEMORY_MODEL]) is
		require
			info_not_void: info /= Void
			info_exists: info.exists
		do
			name := widechar_to_string(info.get_pwszname)
			ordinal := info.get_iordinal
			flags := info.get_dwflags
			size := info.get_ulcolumnsize
			TYPE  := info.get_wtype
			precision := info.get_bprecision
			scale := info.get_bscale
		end

feature

	name: STRING

	ordinal: INTEGER

	flags: INTEGER

	size, type, precision, scale: INTEGER

	set_size (s: INTEGER) is
		do
			size := s
		end
	set_type (s: INTEGER) is
		do
			type := s
		end

	offset: INTEGER

	set_offset(i: INTEGER) is
		do
			offset := i
		end

	set_column_info (i: OLEDB_DB_COLUMN_INFO[MEMORY_MODEL]) is
		do
			i.set_iordinal (ordinal)
			i.set_ulcolumnsize(size)
			i.set_bscale(scale)
			i.set_bprecision(precision)
			i.set_wtype(type)
			i.set_dwflags(flags)
		end
	

end