indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #11 $"

class
	OLEDB_CURSOR

	-- Replace ANY below by the name of parent class if any (adding more parents
	-- if necessary); otherwise you can remove inheritance clause altogether.
inherit
	SQL_CURSOR
		redefine
			statement,
			data_server,
			close,
			prefetch
		end

	
create
	make

feature
   make (a_data_server : like data_server;a_statement : like statement) is
	  do
		data_server := a_data_server
		statement := a_statement
	  end
	prefetch (a_count : INTEGER) is
		do
		end
   set_mode_read is do end
   set_mode_update is do end
   set_mode_insert is do end
   set_mode_update_only is do end
   data_server : OLEDB_ANY_DATA_SERVER 
   statement : OLEDB_SELECTOR
	has_data: BOOLEAN

	set_has_data is
		do
			has_data := True
		end

	close is
		do
			 is_open := false
			if has_data then
				statement.rowset.accessor.free_record_memory
			end
		end

end -- class OLEDB_CURSOR
