indexing
	description: ""
	author: "Pierre Nallet"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #10 $"

class
	OLEDB_DB_COLUMN_INFO [MM -> MEMORY_MODEL create default_create end]

inherit
	COM_SMART_STRUCTURE [MM]

create
	set

feature -- Access

	structure_size: INTEGER is do Result := cwel_size_of_dbcolumninfo end
	get_pwszName: POINTER is do Result := get_pointer_value (offsetofpwszName) end
	get_iOrdinal: INTEGER is do Result := get_integer_value (offsetofiOrdinal) end
	get_dwFlags: INTEGER is do Result := get_integer_value (offsetofdwFlags) end
	get_ulColumnSize: INTEGER is do Result := get_integer_value (offsetofulColumnSize) end
	get_wType: INTEGER is do Result := get_word_value (offsetofwType) end
	get_bPrecision: INTEGER is do Result := get_byte_value (offsetofbPrecision) end
	get_bScale: INTEGER is do Result := get_byte_value (offsetofbScale) end

feature -- Basic operations

	set_pwszName (a_value: POINTER) is do set_pointer_value (a_value, offsetofpwszName) end
	set_iOrdinal (a_value: INTEGER) is do set_integer_value (a_value, offsetofiOrdinal) end
	set_dwFlags (a_value: INTEGER) is do set_integer_value (a_value, offsetofdwFlags) end
	set_ulColumnSize (a_value: INTEGER) is do set_integer_value (a_value, offsetofulColumnSize) end
	set_wType (a_value: INTEGER) is do set_word_value (a_value, offsetofwType) end
	set_bPrecision (a_value: INTEGER) is do set_byte_value (a_value, offsetofbPrecision) end
	set_bScale (a_value: INTEGER) is do set_byte_value (a_value, offsetofbScale) end

feature {NONE} -- Implementation

	cwel_size_of_dbcolumninfo:INTEGER is external "C [macro <oledb.h>]" alias "sizeof(DBCOLUMNINFO)"end
	offsetofpwszName: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBCOLUMNINFO, pwszName)"end
	offsetofiOrdinal: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBCOLUMNINFO, iOrdinal)"end
	offsetofdwFlags: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBCOLUMNINFO, dwFlags)"end
	offsetofulColumnSize: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBCOLUMNINFO, ulColumnSize)"end
	offsetofwType: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBCOLUMNINFO, wType)"end
	offsetofbPrecision: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBCOLUMNINFO, bPrecision)"end
	offsetofbScale: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBCOLUMNINFO, bScale)"end

end
