indexing
	description: ""
	author: "Pierre Nallet"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #11 $"

class
	OLEDB_DBBINDING [MM-> MEMORY_MODEL create default_create end]

inherit
	COM_SMART_STRUCTURE [MM]

feature -- Access

	structure_size: INTEGER is do Result := cwel_size_of_dbbinding end
	get_iOrdinal: INTEGER is do Result := get_integer_value (offsetofiOrdinal) end
	get_obValue: INTEGER is do Result := get_integer_value (offsetofobValue) end
	get_obLength: INTEGER is do Result := get_integer_value (offsetofobLength) end
	get_obStatus: INTEGER is do Result := get_integer_value (offsetofobStatus) end
	get_pTypeInfo: POINTER is do Result := get_pointer_value (offsetofpTypeInfo) end
	get_pObject: POINTER is do Result := get_pointer_value (offsetofpObject) end
	get_pBindExt: POINTER is do Result := get_pointer_value (offsetofpBindExt) end
	get_dwPart: INTEGER is do Result := get_integer_value (offsetofdwPart) end
	get_dwMemOwner: INTEGER is do Result := get_integer_value (offsetofdwMemOwner) end
	get_eParamIO: INTEGER is do Result := get_integer_value (offsetofeParamIO) end
	get_cbMaxLen: INTEGER is do Result := get_integer_value (offsetofcbMaxLen) end
	get_dwFlags: INTEGER is do Result := get_integer_value (offsetofdwFlags) end
	get_wType: INTEGER is do Result := get_word_value (offsetofwType) end
	get_bPrecision: INTEGER is do Result := get_byte_value (offsetofbPrecision) end
	get_bScale: INTEGER is do Result := get_byte_value (offsetofbScale) end

feature -- Basic operations

	set_iOrdinal(a_value: INTEGER) is do set_integer_value (a_value, offsetofiOrdinal) end
	set_obValue(a_value: INTEGER) is do set_integer_value (a_value, offsetofobValue) end
	set_obLength(a_value: INTEGER) is do set_integer_value (a_value, offsetofobLength) end
	set_obStatus(a_value: INTEGER) is do set_integer_value (a_value, offsetofobStatus) end
	set_pTypeInfo(a_value: POINTER) is do set_pointer_value (a_value, offsetofpTypeInfo) end
	set_pObject(a_value: POINTER) is do set_pointer_value (a_value, offsetofpObject) end
	set_pBindExt(a_value: POINTER) is do set_pointer_value (a_value, offsetofpBindExt) end
	set_dwPart(a_value: INTEGER) is do set_integer_value (a_value, offsetofdwPart) end
	set_dwMemOwner(a_value: INTEGER) is do set_integer_value (a_value, offsetofdwMemOwner) end
	set_eParamIO(a_value: INTEGER) is do set_integer_value (a_value, offsetofeParamIO) end
	set_cbMaxLen(a_value: INTEGER) is do set_integer_value (a_value, offsetofcbMaxLen) end
	set_dwFlags(a_value: INTEGER) is do set_integer_value (a_value, offsetofdwFlags) end
	set_wType(a_value: INTEGER) is do set_word_value (a_value, offsetofwType) end
	set_bPrecision(a_value: INTEGER) is do set_byte_value (a_value, offsetofbPrecision) end
	set_bScale(a_value: INTEGER) is do set_byte_value (a_value, offsetofbScale) end

feature {NONE} -- Implementation

	cwel_size_of_dbbinding: INTEGER is external "C [macro <oledb.h>]" alias "sizeof(DBBINDING)"end
	offsetofiOrdinal: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, iOrdinal)"end
	offsetofobValue: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, obValue)"end
	offsetofobLength: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, obLength)"end
	offsetofobStatus: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, obStatus)"end
	offsetofpTypeInfo: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, pTypeInfo)"end
	offsetofpObject: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, pObject)"end
	offsetofpBindExt: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, pBindExt)"end
	offsetofdwPart: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, dwPart)"end
	offsetofdwMemOwner: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, dwMemOwner)"end
	offsetofeParamIO: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, eParamIO)"end
	offsetofcbMaxLen: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, cbMaxLen)"end
	offsetofdwFlags: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, dwFlags)"end
	offsetofwType: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, wType)"end
	offsetofbPrecision: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, bPrecision)"end
	offsetofbScale: INTEGER is external "C [macro <oledb.h>]" alias "offsetof(DBBINDING, bScale)"end

end
