indexing
	description: ""
	author: "Pierre Nallet"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #12 $"

class
	OLEDB_DBOBJECT [MM -> MEMORY_MODEL create default_create end]

inherit
	COM_SMART_STRUCTURE [MM]

create
	make

feature -- Access

	structure_size: INTEGER is
		do
			Result := cwel_size_of_dbobject
		end

	get_dwflags: INTEGER is
		do
			Result := get_integer_value (offsetofdwflags)
		end

feature -- Basic operations

	set_dwflags (a_value: INTEGER) is
		do
			set_integer_value (a_value, offsetofdwflags)
		end

	set_iid (a_value: POINTER) is
		local
			pp: POINTER
		do
			pp := item + offsetofiid
			pp.memory_copy (a_value, 16)
		end

feature {NONE} -- Implementation

	cwel_size_of_dbobject: INTEGER is
		external
			"C [macro <oledb.h>] "
		alias
			"sizeof(DBOBJECT)"
		end

	offsetofdwflags: INTEGER is
		external
			"C [macro <oledb.h>]"
		alias
			"offsetof(DBOBJECT, dwFlags)"
		end

	offsetofiid: INTEGER is
		external
			"C [macro <oledb.h>]"
		alias
			"offsetof(DBOBJECT, iid)"
		end

end
