indexing
	description: "Wrapper around IRowsetUpdate."
	author: "Pierre Nallet"
	last_editor: "$Author: rj $"
	date: "$Date: 2014/09/05 $"
	revision: "$Revision: #6 $"
	path: "$File: //rose/source/kernel/infrastructure/persistence/windows/classic2/oledb_irowsetupdate_interface.e $"

class
	OLEDB_IROWSETUPDATE_INTERFACE

	-- Replace ANY below by the name of parent class if any (adding more parents
	-- if necessary); otherwise you can remove inheritance clause altogether.

inherit

	OLEDB_IROWSETCHANGE_INTERFACE

feature -- Implementation.

	IID_IRowsetUpdate: POINTER is
		external
			"C[ macro <oledb.h>]"
		alias
			"&IID_IRowsetUpdate"
		end

	IRowsetUpdate_GetOriginalData(This,hRow,hAccessor,pData: POINTER): INTEGER is
		external
			"C [macro <oledb.h>] (IRowsetUpdate*, HROW, HACCESSOR, void*): EIF_INTEGER"
		alias
			"IRowsetUpdate_GetOriginalData"
		end


	IRowsetUpdate_GetPendingRows (This,hReserved,dwRowStatus,pcPendingRows,prgPendingRows,prgPendingStatus: INTEGER): INTEGER is
		external
			"C [macro <oledb.h>] (IRowsetUpdate*, HCHAPTER, DBPENDINGSTATUS, ULONG, HROW, DBPENDINGSTATUS*): EIF_INTEGER"
		alias
			"IRowsetUpdate_GetPendingRows"
		end


	IRowsetUpdate_GetRowStatus (This,hReserved: POINTER; cRows: INTEGER; rghRows,rgPendingStatus: POINTER) : INTEGER is
		external
			"C [macro <oledb.h>] (IRowsetUpdate*, HCHAPTER, ULONG, HROW *, DBPENDINGSTATUS*): EIF_INTEGER"
		alias
			"IRowsetUpdate_GetRowStatus"
		end

	IRowsetUpdate_Undo (This,hReserved: POINTER ;cRows: INTEGER; rghRows,pcRowsUndone,prgRowsUndone,prgRowStatus: POINTER): INTEGER
			-- Note that DBCOUNTITEM is 32- or 64-bit depending on the platform.
		external
			"C [macro <oledb.h>] (IRowsetUpdate*, HCHAPTER, DBCOUNTITEM, HROW *, DBCOUNTITEM*, HROW *, DBROWSTATUS*): EIF_INTEGER"
		alias
			"IRowsetUpdate_Undo"
		end

	IRowsetUpdate_Update (This,hReserved: POINTER; cRows: INTEGER; rghRows,pcRows,prgRows,prgRowStatus: POINTER): INTEGER
			-- Note that DBCOUNTITEM is 32- or 64-bit depending on the platform.
		external
			"C [macro <oledb.h>] (IRowsetUpdate*, HCHAPTER, DBCOUNTITEM, HROW *, DBCOUNTITEM*, HROW *, DBROWSTATUS*): EIF_INTEGER"
		alias
			"IRowsetUpdate_Update"
		end

end


