indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"

class
	OLEDB_ROWSET_FAST_LOAD

	-- Replace ANY below by the name of parent class if any (adding more parents
	-- if necessary); otherwise you can remove inheritance clause altogether.
inherit
	OLEDB_ANY_ROWSET
		redefine
			set_accessor
		end

create

	make

feature

	close is
		do
		end

	commit (done: INTEGER): INTEGER is
		require
			exists: exists
		do
			Result := IRowsetFastload_Commit (p, done)
		end

	insert_row: INTEGER is
		require
			exists: exists
		do
			Result := IRowsetFastLoad_Insertrow(p, accessor.haccessor, accessor.buffer)
		end

	set_accessor (acc: OLEDB_ANY_ACCESSOR) is
		do
			accessor := acc
		end

	accessor: OLEDB_ANY_ACCESSOR

	get_iid: POINTER  is
		do
			Result := IID_IRowsetFastLoad
		end

IID_IRowsetFastLoad: POINTER is
		external
			"C [macro <oledbext.h>]"
		alias
			"&IID_IRowsetFastLoad"
		end

	IRowsetFastLoad_InsertRow(This: POINTER; haccessor: POINTER; pdata: POINTER): INTEGER is
		external
			"C [macro <oledbext.h>](IRowsetFastLoad*, HACCESSOR, void*): EIF_INTEGER"
		alias
			"IRowsetFastLoad_InsertRow"
		end

	IRowsetFastLoad_Commit(This: POINTER; done: INTEGER): INTEGER is
		external
			"C[macro <oledbext.h>](IRowsetFastLoad*, BOOL): EIF_INTEGER"
		alias
			"IRowsetFastLoad_Commit"
		end


end -- class OLEDB_FAST_LOAD_ROWSET
