indexing
	description: "[
		This models a pair as a reusable container in which the contents can change.
		]"
	author: "Mark Howard"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #6 $"

class
	PAIRS[G->HASHABLE,H->HASHABLE]

create
	make
feature
	make is
		local
			l_g : G
			l_h : H
		do
			create saved_pair.make(l_g,l_h)
		end
		
	pair (a_g : G;a_h : H) : KEY_PAIR[G,H] is
		do
			saved_pair.set(a_g,a_h)
			Result := saved_pair
		end
	new_pair (a_g : G;a_h : H) : KEY_PAIR[G,H] is
		do
			create Result.make(a_g,a_h)
		end
feature {NONE}
	saved_pair : KEY_PAIR[G,H]
end -- class PAIRS
