indexing
	description: "Country entity object"
	keywords: "persistent, entity, country"
	author: "Mark Howard"
	last_editor: "$Author: er $"
	date: "$Date: 2014/02/26 $"
	archive: "$File: //rose/source/kernel/entities/persistence/persistent_country.e $"

class
	PERSISTENT_COUNTRY

inherit
	PERSISTENT_COUNTRY_ACCESS

create
make,
make_anonymous

feature -- Access

	descriptive_name_2: STRING is
			-- Descriptive name for this country
		do
			Result := descriptive_name
			if Result /= Void and then Result.is_integer and Result.to_integer = handle then
				if attribute_by_name ("ISO CODE", as_of_date) /= Void then
					Result := attribute_by_name ("ISO CODE", as_of_date)
				elseif attribute_by_name ("COUNTRY CODE", as_of_date) /= Void then
					Result := attribute_by_name ("COUNTRY CODE", as_of_date)
				end
			end
		end

end

