indexing
	description: "Persistent industry"
	author: "Mark Howard"
	date: "$Date: 2009/04/03 $"
	revision: "$Revision: #9 $"

class
	PERSISTENT_INDUSTRY

inherit
	PERSISTENT_INDUSTRY_ACCESS
		redefine
			name_identifier_key
		end

create
	make, make_anonymous

feature -- Access

	name_identifier_key : STRING is
			-- Name identifier
		do
			Result := "industry name"
		end

	old_positional_id : INTEGER is
		local
			l_id : STRING
		do
			if old_positional_id_saved = 0 then
				l_id := attribute_by_name ("old positional id", Void)
				if l_id /= Void and then l_id.is_integer then
					old_positional_id_saved := l_id.to_integer
				end
			end
			Result := old_positional_id_saved
		ensure
			valid_id : Result /= 0
		end

	old_positional_id_saved : INTEGER

end
