indexing
	description: "Persistent market index entity."
	author: "Mauricio Bustos"
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #15 $"
	path: "$File: //rose/source/kernel/entities/persistence/persistent_market_index.e $"

class
	PERSISTENT_MARKET_INDEX

inherit
	PERSISTENT_MARKET_INDEX_ACCESS
		rename
			market_index_to_market_index_listing_history as listings
		redefine
			peer_anchor
		end

	CONSTITUENT_COLLECTION
		undefine
			is_equal
		end

create
make,
make_anonymous

feature {NONE} -- Implementation

	peer_anchor: PERSISTENT_MARKET_INDEX is 
			-- Type returned by 'peer' function
		do
			do_nothing
		end
	
	issuer: PERSISTENT_COMPANY is 
		do 
			do_nothing
		end
	
	issue_listing_template: PERSISTENT_MARKET_INDEX_LISTING is 
		do 
			do_nothing
		end

end
