indexing
	description: ""
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/entities/persistence/persistent_time_zone.e $"

class
	PERSISTENT_TIME_ZONE

inherit
	PERSISTENT_TIME_ZONE_ACCESS

create
	make, make_anonymous

feature -- Access

	utc_seconds_offset (a_date: ROSE_DATE): INTEGER is
			-- Time offset in seconds from UTC at 'a_date'
		local
			s: STRING
		do
			s := offset_key (a_date)
			if s /= Void and then s.is_integer then
				Result := s.to_integer
			end
			s := dst_offset_key (a_date)
			if s /= Void and then s.is_integer then
				Result := Result + s.to_integer
			end
			Result := Result * 60 * 60
		end

end