indexing
	author : "Tom Mead"
	description : ""
	keywords : ""

class
	PERSON
inherit
--comparable
	HASHABLE
		redefine
			is_equal
		end
	ROSE_STORABLE
		redefine
			is_equal
		end
	
create
	make, retrieve_from_file, make_empty, default_make
feature
	default_make is
		do
		end
	make(a_first_name, a_middle_initial, a_last_name: STRING; a_start_date: INTEGER) is
			-- 
		do
			set_name(a_first_name, a_middle_initial, a_last_name)
			first_name:= a_first_name
			last_name:= a_last_name
			if a_middle_initial /= Void then
				middle_initial:= a_middle_initial
			end
			
			set_employment_date(a_start_date)
		end
		
	make_empty is
		local
			-- l_never: ROSE_DATE
		do
--			create l_never.make_undetermined
			set_name("non", Void, "person")
			first_name:= "non"
			last_name:= "non"
--			if a_middle_initial /= Void then
--				middle_initial:= a_middle_initial
--			end
			
			set_employment_date(99990101)

		end
	person_template: PERSON is do end
	
	ur_person: like person_template is
		do
			Result.make_empty
		end
	
	first_name: STRING
	
	middle_initial: STRING
	
	last_name: STRING
	
	reset_first_name(a_new_name: STRING) is
		do
			first_name:= a_new_name
		end
	reset_last_name(a_new_name: STRING) is
		do
			last_name:= a_new_name
		end
	
		reset_middle_initial(a_new_name: STRING) is
		do
			middle_initial:= a_new_name
		end
	name: STRING
	
	set_name(a_first_name, a_middle_initial, a_last_name: STRING)  is
		do
			if middle_initial /= Void then
				name:= a_first_name + " "+ a_middle_initial+ ". "+ a_last_name
			else
				name:= a_first_name + " "+ a_last_name
			end
		end
	
	infix "<" (a_other: PERSON):BOOLEAN is
			-- do
			do
				if a_other.name < name then
					Result:= True
				end
			end
		
	hash_code: INTEGER is
			-- 
			do
				Result:= name.hash_code
			end
			
	status: STRING
	
	set_status(a_status: STRING) is
			-- 
			do
				status:= a_status
			end
	employment_date: ROSE_DATE
	
	set_employment_date(a_ccyymmdd: INTEGER) is
			-- 
			do 
				create employment_date.make_ccyymmdd(a_ccyymmdd)
			end
	
	projects_at(a_date: ROSE_DATE): LIST[PROJECT]	is
			-- 
			do
			end
	is_equal (a_other : like Current) : BOOLEAN is
			do
				Result := name.is_equal(a_other.name)
			end
		
end
