indexing
	description: "Class that wraps ATRRIBUTE_RECORDS for transmission"
	author: "Jann Roeder"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/entities/pes/pes_attribute_container.e $"

class
	PES_ATTRIBUTE_CONTAINER

create
	make

feature -- Initialization

	make (a_attributes: like attributes; a_id: like attribute_id) is
			-- Creation
		do
			attributes := a_attributes
			attribute_id := a_id
		end

feature -- Access

	attributes: ARRAY[ENTITY_ATTRIBUTE_RECORD]

	attribute_id: INTEGER

invariant
	correct_attributes: attributes.for_all (agent (a_record: ENTITY_ATTRIBUTE_RECORD): BOOLEAN do Result := a_record.attribute_type_id = attribute_id end)

end
