indexing
	description: "Result for a PES_QUERY_COMPOSITES query, contains hash map"
	author: "Jann Roeder"
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/entities/pes/pes_result_composites.e $"

class
	PES_RESULT_COMPOSITES

inherit
	ROSE_CS_RESULT

create
	make, make_exception

feature {NONE} -- Creation
	make (a_query_id: like query_id; a_hash_map: like composites_hash_map) is
			-- create
		require
			hash_map_not_void: a_hash_map /= Void
		do
			query_id := a_query_id
			composites_hash_map := a_hash_map
		end

feature -- Access

	composites_hash_map: HASH_TABLE [STRING,LISTING]
			--The Hash Map

end
