indexing
	description: ""
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"

class
	PM_MESSAGE_COLLECTION

inherit
	PM_COLLECTION [PM_MESSAGE]

create
	make_for_instance, make_for_instance_run

feature {NONE} -- Initialization

	make_for_instance (a_instance: PM_INSTANCE) is
		require
			a_instance /= Void
		do
			get_items (sql_instance_messsages,<<a_instance.instance_id>>)
		end

	make_for_instance_run (a_run: PM_INSTANCE_RUN) is
		require
			a_run /= Void
		do
			get_items (sql_instance_run_messsages,<<a_run.run_id>>)
		end

feature {NONE} -- Implementation

	sql_instance_messsages: COLLECTING_PREDICATE [PM_MESSAGE] is
		once
			create Result.make_strict (process_metrics.server,
				"SELECT top 1000 message.* FROM message WITH(NOLOCK) INNER JOIN instance_run ON message.run_id = instance_run.run_id WHERE instance_run.instance_id=? order by time desc")
		end

	sql_instance_run_messsages: COLLECTING_PREDICATE [PM_MESSAGE] is
		once
			create Result.make_strict (process_metrics.server,
				"SELECT top 1000 * FROM message WITH(NOLOCK) WHERE run_id=? order by time desc")
		end

end
