indexing
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"

class
	PM_METRIC_TEST_RECORD

inherit
	PM_COMMON

feature -- Access

	metric_type_id: INTEGER
	run_id: INTEGER
			-- Internal ids identifying this metric
			-- 'run_id' is 0 for aggregated metrics

	message : STRING
	severity : INTEGER
	
	type: PM_METRIC_TYPE is
			-- Type of this metric
		do
			if saved_type = Void then
				saved_type := process_metrics.metrics.type_by_id (metric_type_id)
			end
			Result := saved_type
		end

	out: STRING is
			-- New string containing terse printable representation of current object
		do
			create Result.make (10)
			if type /= Void then
				Result.append (type.out)
			else
				Result.append ("?")
			end
			if message /= Void then
				Result.append(" - " + message)
			else
				Result.append(" - no message")
			end
		end

feature {NONE} -- Implementation

	saved_type: PM_METRIC_TYPE

end
