note
	description: "Performs authentication and authorization for a PERSISTENT_SERVER (PS)."
	author: "Randy John"
	last_editor: "$Author: rj $"
	date: "$Date: 2015/03/25 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/persistence/databases/signature_tagged/ps_security_system.e $"

deferred class
	PS_SECURITY_SYSTEM

inherit
	PS_SECURITY_SYSTEM_CLIENT

feature -- Implementation.

	characteristics: ROSE_LINEAR_ARRAY[TUPLE[name: STRING; value: STRING]]
	-- Called at startup to list each charteristic and its value.
	deferred
	ensure
		result_not_void: Result /= Void
	end

end
