note

	description: "Record for the market_data.first_and_last table."
	author: "Randy John"
	last_editor: "$Author: rj $"
	date: "$Date: 2013/11/22 $"
	revision: "$Revision: #4 $"
	path: "$File: //rose/source/kernel/data/market/raw_first_and_last.e $"

class RAW_FIRST_AND_LAST

create
	default_create,
	make

feature {NONE} -- Initialization.
	make(a_rxrf: like rxrf; a_first: like first; a_last: like last)
	-- Creation.
	do
		rxrf := a_rxrf
		first := a_first
		last := a_last
	end

feature -- Access.

	rxrf: INTEGER		-- The rxrf of the listing.

	first: INTEGER		-- The first date for which we have prices (in jul_index format).

	last: INTEGER		-- The last date for which we have prices (in jul_index format).

end
