indexing
	description : "Context for reuters entities"
   	author: "Mauricio Bustos"

class
   REUTERS_CONTEXT

inherit
   ROSE_SUPPLIER_CONTEXT
     rename
	 	make as supplier_make
	 undefine
	 	listing_template
     end

   REUTERS_TEMPLATES

create

   make,
   make_protected

feature  --Initialization

   make is
   		--creation
      do
      	if protected
      	then
      		disable_implicit_transaction_change
      	end

	 	supplier_make(servers.reuters_server, "REUTERS")
      end

	make_protected is
	local
		l_bool: BOOLEAN
	do
		l_bool := set_protected(True)
		make
	end

	data_manager : SIGNATURE_TAGGED_ITEM_MANAGER[REUTERS_PRICE_TARGET] is
		once
			create Result.make("read data", servers.reuters_server)
		end

	protected: BOOLEAN is
	once
		Result := set_protected(False)
	end

	set_protected(a_protected: BOOLEAN): BOOLEAN is
	once
		Result := a_protected
	end

end


