indexing
	description: "Class that contains decoded version of RMDATA atlas data"
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #10 $"
	
class
   RMDATA
   
feature
   has_valid : BOOLEAN
   set_has_valid(a_value : BOOLEAN) is 
      do
	 has_valid := a_value
      end
   
   has_open : BOOLEAN
   set_has_open(a_value : BOOLEAN) is 
      do
	 has_open := a_value
      end
   
   has_close : BOOLEAN
   set_has_close(a_value : BOOLEAN) is 
      do
	 has_close := a_value
      end
   
   has_high : BOOLEAN
   set_has_high(a_value : BOOLEAN) is 
      do
	 has_high := a_value
      end
   
   has_low : BOOLEAN
   set_has_low(a_value : BOOLEAN) is 
      do
	 has_low := a_value
      end
   
   has_bid : BOOLEAN
   set_has_bid(a_value : BOOLEAN) is 
      do
	 has_bid := a_value
      end
   
   has_ask : BOOLEAN
   set_has_ask(a_value : BOOLEAN) is 
      do
	 has_ask := a_value
      end
   
   has_vol : BOOLEAN
   set_has_vol(a_value : BOOLEAN) is 
      do
	 has_vol := a_value
      end
   
   has_adj : BOOLEAN
   set_has_adj(a_value : BOOLEAN) is 
      do
	 has_adj := a_value
      end
   
   adj : DOUBLE
   set_adj(a_value : DOUBLE) is 
      do
	 adj := a_value
      end
   
   open : DOUBLE
   set_open(a_value : DOUBLE) is 
      do
	 open := a_value
      end
   
   close : DOUBLE
   set_close(a_value : DOUBLE) is 
      do
	 close := a_value
      end
   
   high : DOUBLE
   set_high(a_value : DOUBLE) is 
      do
	 high := a_value
      end
   
   low : DOUBLE
   set_low(a_value : DOUBLE) is 
      do
	 low := a_value
      end
   
   bid : DOUBLE
   set_bid(a_value : DOUBLE) is 
      do
	 bid := a_value
      end
   
   ask : DOUBLE
   set_ask(a_value : DOUBLE) is 
      do
	 ask := a_value
      end
   
   vol : DOUBLE
   set_vol(a_value : DOUBLE) is 
      do
	 vol := a_value
      end	
   prc_vol : INTEGER
   set_prc_vol(a_value : INTEGER) is
      do
	 prc_vol := a_value
      end
feature -- FUTURES
   
   has_settlement : BOOLEAN
   set_has_settlement(a_value : BOOLEAN) is 
      do
	 has_settlement := a_value
      end   

   settlement : DOUBLE
   set_settlement(a_value : DOUBLE) is
      do
	 settlement := a_value
      end
   fx_quote : INTEGER
	set_fx_quote(a_value : INTEGER) is
		do
			fx_quote := a_value
		end
feature
   
   reset is
      do
	 set_has_valid(FALSE)
	 set_has_open(FALSE)
	 set_open(-999.0)
	 set_has_close(FALSE)
	 set_close(-999.0)
	 set_has_high(FALSE)
	 set_high(-999.0)
	 set_has_low(FALSE)
	 set_low(-999.0)
	 set_has_bid(FALSE)
	 set_bid(-999.0)
	 set_has_ask(FALSE)
	 set_ask(-999.0)
	 set_has_vol(FALSE)
	 set_vol(-999.0)
	 set_has_adj(FALSE)
	 set_adj(-999.0)
	 set_has_settlement(FALSE)
	 set_settlement(-999.0)
	 set_fx_quote(0)
      end
   
end -- class RMDATA


