indexing
	description : "Logical AND functional for ROSE_EXPRESSION"
	author: "Mark Howard"
class		
	ROSE_AND_OPERATOR[reference G]
inherit
	ROSE_BOOLEAN_BINARY_OPERATOR[G]
		redefine
			commutative
		end
create 
	make
	
feature 
	commutative : BOOLEAN is True	

feature {NONE}
	boolean_computation(a_left_value, a_right_value : BOOLEAN) : BOOLEAN is
		do
			Result := a_left_value and a_right_value
		end
end
