indexing
	description : "[
		Interprets BOOLEAN fields for EXTERNAL_RECORD
		]"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $";
	revision: "$Revision: #6 $"

class
	ROSE_BOOLEAN_INTERPRETER
inherit
	ROSE_EXTERNAL_INTERPRETER[BOOLEAN]
feature
   decode (a_pointer : POINTER;a_byte_count : INTEGER) : BOOLEAN is
	  local
		 l_integer : INTEGER
	  do
		 inspect a_byte_count
		 when 1 then
			Result := dereference_boolean(a_pointer)
		 when 2 then
			l_integer := dereference_short(a_pointer)
			Result := l_integer /= 0
		 when 4 then
			l_integer := dereference_integer(a_pointer)
			Result := l_integer /= 0
		 end
	  end
	encode (a_target : POINTER;a_source: BOOLEAN;a_count : INTEGER) is
		do
			a_target.memory_copy($a_source,a_count)
		end
end -- class ROSE_BOOLEAN_INTERPRETER
