indexing
	description: "Rectangle used in the legend of the ROSE_CHART_* system, with drop-support"
	author: "Jann Roeder"
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	path: "$File: //rose/source/kernel/infrastructure/widgets/charts/rose_chart_ev_model_rectangle.e $"
	last_review: ""

class
	ROSE_CHART_EV_MODEL_RECTANGLE

inherit
	EV_MODEL_RECTANGLE
	redefine
		make_rectangle,
		drop_actions,
		default_create
	end

create
	make_rectangle,
	default_create

feature -- Initialization

	default_create is
			-- This is a hack copied from ROSE_CHART_EV_MODEL_TEXT
		local
			l_rect: EV_MODEL_RECTANGLE
		do
			Precursor {EV_MODEL_RECTANGLE}
			create l_rect
			draw_id := l_rect.draw_id
		end

	make_rectangle (a_x, a_y, a_width, a_height: INTEGER) is
			-- This is a hack copied from ROSE_CHART_EV_MODEL_TEXT
		local
			l_rect: EV_MODEL_RECTANGLE
		do
			Precursor {EV_MODEL_RECTANGLE} (a_x, a_y, a_width, a_height)
			create l_rect
			draw_id := l_rect.draw_id
		end

feature -- Action sequences

	drop_actions: EV_PND_ACTION_SEQUENCE
			--|

	set_drop_actions (a_actions: like drop_actions) is
			-- Set `drop_actions' to `a_actions'
		do
			drop_actions := a_actions
		end

end

