indexing
	description: "Abstract of a configuration type handler"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #26 $"

class ROSE_CONFIGURATION_HANDLER_REPOSITORY

inherit
	ROSE_CONFIGURATION_HANDLER
	ROSE_SHARED_DATABASE_POOL

feature -- Access

	id: STRING is "repository"
			-- Handler type id

feature -- Basic operations

	import (a_node: ROSE_CONFIGURATION_NODE; a_path: STRING; as_included: BOOLEAN): STRING is
			-- Import configuration from 'a_path' to 'a_node'.
			-- 'as_included' indicates whether the file is part of an include directive or not
			-- Returns effective resolved path
		do
		end

	save (a_node: ROSE_CONFIGURATION_NODE; a_path: STRING) is
			-- Export 'a_node' to 'a_path'.
			-- Only (modified or not included) nodes are saved.
		do
		end

	flat_export (a_node: ROSE_CONFIGURATION_NODE; a_path: STRING) is
			-- Export all nodes from 'a_node' to 'a_path'.
			-- All value nodes are exported, directives and comments are not
		do
		end

end
