indexing
	description: "Descendant of CATEGORY_HANDLER for special handling of mappings for certain categories in certain other ocntexts"
	author: "Broos Nemanic"
	last_editor: "$Author: er $"
	date: "$Date: 2014/02/26 $"
	revision: "$Revision: #3 $"
	archive: "$File: //rose/source/kernel/entities/rose/rose_context_category_handler.e $"

class
	ROSE_CONTEXT_CATEGORY_HANDLER [reference H -> ROSE_CONTEXT, reference G -> ENTITY create make, make_anonymous end]

inherit
	CATEGORY_HANDLER [H, G]
		redefine
			mappings_history
		end
create
	make

feature -- Access
	mappings_history (a_entity_id: INTEGER; a_other_handler: CATEGORY_HANDLER [SUPPLIER_CONTEXT, ENTITY]): ROSE_INTERVAL_HISTORY [INTEGER, ROSE_CLOSED_OPEN_INTERVAL [INTEGER]] is
			-- Redefinition for special handling of some categories in some contexts
		do
			Result := precursor (a_entity_id, a_other_handler)
			if Result = Void and then is_bound_to_rose then
				Result := context.supplier_specific_mappings_history (a_entity_id, a_other_handler)
			end
		end

feature -- Basic operations
feature -- Peers
feature {NONE} -- Implementation

end
