indexing
	description: "Units of ROSE_DATE"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"

class ROSE_DATE_UNITS

inherit

	ROSE_BASE_UNITS

create

	make

feature {NONE} -- Initialization

	make (a_date: ROSE_DATE) is
			-- Initialize `Current'.
		do
			name := "date of " + a_date.ccyymmdd.out
			create rational.make_from_factors (<<date_prime (a_date)>>, <<1>>)
			create scale.make (1, 1)
		end

end
