note

	description: "Developer exceptions"

	author: "Eric Bezault"
	last_editor: "$Author: er $"
	date: "$Date: 2013/07/11 $"
	revision: "$Revision: #2 $"
	path: "$File: //rose/source/kernel/infrastructure/support/rose_developer_exception.e $"

class ROSE_DEVELOPER_EXCEPTION

inherit

	DEVELOPER_EXCEPTION
		redefine
			tag
		end

feature -- Access

	tag: IMMUTABLE_STRING_32
			-- A short message describing what current exception is
		once
			create Result.make_from_string_8 (internal_meaning)
		end
		
feature {EXCEPTION_MANAGER} -- Implementation

	internal_meaning: STRING
			-- Internal `meaning'
		once
			Result := "Developer exception."
		ensure
			internal_meaning_not_void: Result /= Void
		end
		
end
