indexing
	description: "Stores a collection of doubles by name"
	author: "Mark Howard"
	date: "$Date: 2009/12/07 $"
	revision: "$Revision: #5 $"

class
	ROSE_DOUBLE_SNAPSHOT

inherit
	ROSE_SNAPSHOT [DOUBLE]

create
	make,
	make_empty

create {ROSE_DOUBLE_SNAPSHOT}
	hash_table_make

feature {NONE} -- Initialization

	make (a_array: ARRAY [TUPLE [STRING, DOUBLE]]; a_equality_agent: FUNCTION [ANY, TUPLE [DOUBLE, DOUBLE], BOOLEAN]) is
			-- Creation procedure
		local
			i: INTEGER
			l_tuple: TUPLE [key: STRING; val: DOUBLE]
		do
			make_empty (a_equality_agent)
			hash_table_make (a_array.count)
			from
				i := a_array.lower
			until
				i > a_array.upper
			loop
				l_tuple := a_array.item (i)
				put (l_tuple.val, l_tuple.key)
				i := i + 1
			end
		end

end
