indexing
	description : "[
		Handles INTEGER fields for EXTERNAL_RECORD
		]"
	author : "Mark Howard"
	date: "$Date: 2008/12/01 $";
	revision: "$Revision: #6 $"
	path: "$File: //rose/source/kernel/infrastructure/translation/rose_integer_interpreter.e $"

class
	ROSE_INTEGER_INTERPRETER
	
inherit
	ROSE_EXTERNAL_INTERPRETER[INTEGER]
	
feature
	
	decode (a_pointer : POINTER;a_byte_count : INTEGER) : INTEGER is
		do
			Result := dereference_integer(a_pointer)
		end
	
	encode (a_target : POINTER;a_source: INTEGER;a_count : INTEGER) is
		do
			a_target.memory_copy($a_source,a_count)
		end

end
