note

	description:

		"Projection to Postscript files."

	author: "Michael Zhang"
	last_editor: "$Author: er $"
	date: "$Date: 2013/03/07 $"
	revision: "$Revision: #4 $"
	path: "$File: //rose/source/kernel/infrastructure/widgets/rose_model_postscript_projector.e $"

class
	ROSE_MODEL_POSTSCRIPT_PROJECTOR

inherit
	EV_MODEL_POSTSCRIPT_PROJECTOR

create
	make_with_filename, make_ledger_with_filename

feature	{NONE} -- Initialization

	make_ledger_with_filename(a_world: EV_MODEL_WORLD; a_filename: FILE_NAME; a_landscape : BOOLEAN) is
			-- Create with `a_world' and `a_filename'.
		do
			make_with_filename_imp(a_world, a_filename, Ledger, a_landscape)
		end

	make_with_filename_imp (a_world: EV_MODEL_WORLD; a_filename: FILE_NAME; a_page_size : INTEGER; a_landscape : BOOLEAN) is
			-- Create with `a_world' and `a_filename'.
		require
			a_world_not_void: a_world /= Void
			a_filename_not_void: a_filename /= Void
		do
			create draw_routines.make (0, 20)
			make_with_world (a_world)
			register_basic_figures
			create filename.make_from_string (a_filename)
			create drawable
			drawable.set_margins (default_left_margin, default_bottom_margin)
			drawable.set_page_size (a_page_size, a_landscape)
		end
		
end
