indexing
	description: "ANY object browser"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"

class
	ROSE_OBJECT_BROWSER_HANDLER_ANY

inherit
	ROSE_OBJECT_BROWSER_HANDLER

create
	make

feature -- Initialization

	make is
		do
			icon := Gui.factory.new_pixmap ("ob_any.ico")
		end

feature -- Access

	widget (a_object: ANY): EV_WIDGET is
			-- Specific widget representation of 'a_object'
			-- Void if type of 'a_object' is not handled
		local
			l_text: EV_TEXT
		do
			create l_text
			if a_object = Void then
				l_text.set_text (s_void)
			else
				l_text.set_text (a_object.out)
			end
			Result := l_text
		end

feature -- Status report

	is_handled (a_object: ANY): BOOLEAN is
			-- Is 'a_object' handled by this handler?
		do
			Result := True
		end

end -- class ROSE_OBJECT_BROWSER_HANDLER_ANY
