indexing
	description: "SPECIAL [ANY] object browser"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #4 $"

class
	ROSE_OBJECT_BROWSER_HANDLER_SPECIAL

inherit
	ROSE_OBJECT_BROWSER_HANDLER

create
	make

feature -- Initialization

	make is
		do
			icon := Gui.factory.new_pixmap ("ob_special.ico")
		end

feature -- Access

	widget (a_object: ANY): EV_WIDGET is
			-- Specific widget representation of 'a_object'
			-- Void if type of 'a_object' is not handled
		local
			l_special: SPECIAL [ANY]
			si: SPECIAL [INTEGER]
			si8: SPECIAL [INTEGER_8]
			si16: SPECIAL [INTEGER_16]
			si64: SPECIAL [INTEGER_64]
			sc: SPECIAL [CHARACTER]
			sb: SPECIAL [BOOLEAN]
			sd: SPECIAL [DOUBLE]
			sr: SPECIAL [REAL]
			sp: SPECIAL [POINTER]
			l_list: EV_MULTI_COLUMN_LIST
			l_row: EV_MULTI_COLUMN_LIST_ROW
			i: INTEGER
		do
			l_special ?= a_object
			si ?= a_object
			si8 ?= a_object
			si16 ?= a_object
			si64 ?= a_object
			sc ?= a_object
			sb ?= a_object
			sd ?= a_object
			sr ?= a_object
			sp ?= a_object
			create l_list
			l_list.set_column_titles (<<"Item","Value">>)
			l_list.set_column_widths (<<60,300>>)
			if si /= Void then
				from
					i := 0
				until
					i >= si.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (si.item (i).out)
					l_list.extend (l_row)
					i := i + 1
				end
			elseif si8 /= Void then
				from
					i := 0
				until
					i >= si8.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (si8.item (i).out)
					l_list.extend (l_row)
					i := i + 1
				end
			elseif si16 /= Void then
				from
					i := 0
				until
					i >= si16.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (si16.item (i).out)
					l_list.extend (l_row)
					i := i + 1
				end
			elseif si64 /= Void then
				from
					i := 0
				until
					i >= si64.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (si64.item (i).out)
					l_list.extend (l_row)
					i := i + 1
				end
			elseif sc /= Void then
				from
					i := 0
				until
					i >= sc.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (sc.item (i).out)
					l_list.extend (l_row)
					i := i + 1
				end
			elseif sb /= Void then
				from
					i := 0
				until
					i >= sb.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (sb.item (i).out)
					l_list.extend (l_row)
					i := i + 1
				end
			elseif sd /= Void then
				from
					i := 0
				until
					i >= sd.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (sd.item (i).out)
					l_list.extend (l_row)
					i := i + 1
				end
			elseif sr /= Void then
				from
					i := 0
				until
					i >= sr.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (sr.item (i).out)
					l_list.extend (l_row)
					i := i + 1
				end
			elseif sp /= Void then
				from
					i := 0
				until
					i >= sp.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (sp.item (i).out)
					l_list.extend (l_row)
					i := i + 1
				end
			elseif l_special /= Void then
				from
					i := 0
				until
					i >= l_special.count
				loop
					create l_row
					l_row.extend (i.out)
					l_row.extend (object_representation (l_special.item (i),Void,Void,Void))
					l_row.set_data (l_special.item (i))
					l_list.extend (l_row)
					i := i + 1
				end
			end
			Result := l_list
		end

feature -- Status report

	is_handled (a_object: ANY): BOOLEAN is
			-- Is 'a_object' handled by this handler?
		local
			l_special: SPECIAL [ANY]
		do
			l_special ?= a_object
			Result := l_special /= Void
		end

end -- class ROSE_OBJECT_BROWSER_HANDLER_SPECIAL
