indexing
	description: "Sensible mail channel: mail is sent, if sending not possible body re-issued as an error"
	author: "Zoran Simic"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #5 $"

class
	ROSE_OUTCHANNEL_SENSIBLE_MAIL

inherit
	ROSE_OUTCHANNEL_MAIL
		redefine
			make, help
		end

create
	make

feature {NONE} -- Initialization

	make is
			-- Create a mail channel
		do
			Precursor
			id := "sensible_mail"
			is_sensible := True
		end

feature -- Output

	help: STRING is
			-- Help on this command
		do
			Result := "Output to a mail recipient, signal error if sending fails"
		end

end -- class ROSE_OUTCHANNEL_SENSIBLE_MAIL
