indexing
	description: "Framework for probability distributions"
	keywords: "probability distribution discrete"
	author: "YC"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/infrastructure/math/statistics/rose_pr_distribution_discrete.e $"

deferred class
	ROSE_PR_DISTRIBUTION_DISCRETE

feature -- Access

	get_probability_mass: ROSE_LINEAR_ARRAY [DOUBLE] is
			--
		do
			Result := probability_mass
		end

	get_support: ROSE_LINEAR_ARRAY [DOUBLE] is
			--
		do
			Result := support
		end

feature -- Basic operations

	compute_probability_mass_function is
			--
		deferred
		end

	compute_support is
			--
		deferred
		end

feature {NONE} -- Implementation

	support: ROSE_LINEAR_ARRAY [DOUBLE]
	probability_mass: ROSE_LINEAR_ARRAY [DOUBLE]

end -- class ROSE_PR_DISTRIBUTION_DISCRETE

