indexing
	description: "Parameters of geometric distributions"
	author: "Yves Chauvin"
	last_editor: "$Author: yc $"
	date: "$Date: 2009/01/07 $"
	revision: "$Revision: #1 $"
	archive: "$Archive: $"

class
	ROSE_PR_GEOMETRIC_PARAMETERS

feature -- Access

	distribution: ROSE_PR_DISTRIBUTION_BERNOULLI
			-- underlying failure/success Bernoulli distribution

	probability: DOUBLE is
			-- probability
		require
			distribution_set: distribution /= Void
		do
			Result := distribution.probability
		end

	set_probability (a_value: DOUBLE) is
			-- Setting probability as distribution parameter
		do
			if distribution = Void then
				create distribution
			end
			distribution.set_probability (a_value)
		end

feature -- Basic operations

feature {NONE} -- Implementation

end
