indexing
	author: "Mauricio Bustos"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"
	
class
	
	ROSE_PROJECT_INSTANCE
	
feature
	
	system_name : STRING is
		do
			Result := internal_system_name
		end
	
	owner : STRING is
		do
			Result := internal_owner
		end
	
	source : STRING is
		do
			Result := internal_source
		end
	
	machine : STRING is
		do
			Result := internal_machine
		end
	
	eiffel_compiler_version : STRING is
		do
			Result := internal_eiffel_compiler_version
		end
	
	timestamp : STRING is
		do
			Result := internal_timestamp
		end
	
feature
	
	set_system_name(a_value : like internal_system_name) is
		do
			internal_system_name := a_value
		end
	
	set_owner(a_value : like internal_owner) is
		do
			internal_owner := a_value
		end
	
	set_source(a_value : like internal_source) is
		do
			internal_source := a_value
		end
	
	set_machine(a_value : like internal_machine) is
		do
			internal_machine := a_value
		end
	
	set_eiffel_compiler_version(a_value : like internal_eiffel_compiler_version) is
		do
			internal_eiffel_compiler_version := a_value
		end
	
	set_timestamp(a_value : like internal_timestamp) is
		do
			internal_timestamp := a_value
		end
	
feature {NONE}
	
	internal_system_name : STRING
	internal_owner : STRING
	internal_source : STRING
	internal_machine : STRING
	internal_eiffel_compiler_version : STRING
	internal_timestamp : STRING
	
end
