indexing
	description : "[
		Class for handling an array of C float in EXTERNAL_RECORD
	]"
	author : "Mark Howard"

class
	ROSE_REAL_ARRAY

inherit
   ROSE_ARRAY[REAL]

create
   make, make_empty, make_from_array

feature -- Access

	item_from_bytes (a_bytes : ROSE_BYTES;i : INTEGER) : REAL is
	  do
		 Result := a_bytes.real_at(i)
	  end

   byte_length : INTEGER is 4	-- Byte length

end
