indexing
	description: "Object that are used to provide a identifier as the source for a recipe"
	author: "Jann Roeder"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/entities/transformation/rose_recipe_input.e $"

class
	ROSE_RECIPE_INPUT

create
	make

feature {NONE} -- Initialization

	make (a_context_category: like context_category; a_identifier: like identifier; a_attribute_values: like attribute_values; a_date: like date) is
			-- Create with values above.
			-- e.g. make ("[RESEARCH]COMPANY", "BRIM CODE", <<"USE000287">>, create {ROSE_DATE}.make_today)
		do
			context_category := a_context_category
			identifier := a_identifier
			attribute_values := a_attribute_values
			date := a_date
		end

feature -- Access

	context_category: STRING

	identifier: STRING

	attribute_values: ARRAY[STRING]

	date: ROSE_DATE

feature -- Basic operations

end
