indexing
	description: "Registry manager"
	notice: "This was taken from WEL_REGISTRY, because WEL should not be needed just to access the registry..."
	status: "See notice at end of class";
	date: "$Date: 2009/03/16 $";
	revision: "$Revision: #3 $"

class
	ROSE_REGISTRY_KEY

create
	make

feature -- Initialization

	make (a_name, a_class_id: STRING) is
			-- Create current instance.
		do
			name := a_name
			class_id := a_class_id
		ensure
			name_set: name = a_name
			class_id_set: class_id = a_class_id
		end

feature -- Access

	name: STRING
			-- Name of key

	class_id: STRING
			-- Class of key

end
