indexing

	description: "Fixed format that can survive lines shorter than they should be"

	date: "$Date: 2009/10/08 $"
	sccid: "$Id: //rose/source/kernel/infrastructure/text/rose_robust_fixed_format.e#1 $"

class ROSE_ROBUST_FIXED_FORMAT

inherit

	ROSE_FIXED_FORMAT
		redefine
			substring
		end

create

	make

feature {NONE} -- Implementation

	substring (s: STRING; i: INTEGER): STRING is
			-- Fetch column data for `i'-th column from `s'
		local
			l_info: TEXT_COLUMN_INFO
			l_start, l_end: INTEGER
		do
			l_info := column_info.item(i)
			if l_info /= void then
				l_start := l_info.first.min (s.count)
				l_end := l_info.second.min (s.count)
				Result := s.substring (l_start, l_end)
			end
		end

end
