indexing
	description: "Objects that ..."
	author: "Michael Zhang"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"

class
	ROSE_SIGNATURE_RESTRICTION_DIRECTION
create 
	make
	
feature
	make is
		do
			set_default
		end
	
	set_default is
		do
			direction_id := default_id
		end
		
	set_time_series is
		do
			direction_id := time_series_id
		end
		
	set_cross_sectional is
		do
			direction_id := cross_sectional_id
		end
		
	set_neighborhood is
		do
			direction_id := neighborhood_id
		end
		
	is_default : BOOLEAN is
		do
			Result := direction_id = default_id	
		end
		
	is_time_series : BOOLEAN is
		do
			Result := direction_id = time_series_id
		end

	is_cross_sectional : BOOLEAN is
		do
			Result := direction_id = cross_sectional_id
		end
		
	is_neighborhood : BOOLEAN is
		do
			Result := direction_id = neighborhood_id
		end		
		
feature {NONE}
	direction_id : INTEGER
	default_id : INTEGER is 0
	time_series_id : INTEGER is 1
	cross_sectional_id : INTEGER is 2
	neighborhood_id : INTEGER is 3
end 
