indexing
	description: "Inclusion of extra services for the system"
	notice: "[
		Mail services. Require EiffelNet to be compiled with the system.
	]"
	author: "Zoran Simic"
	date: "$Date: 2009/04/06 $"
	revision: "$Revision: #4 $"

class
	ROSE_SYSTEM_DEPENDENCY_MAIL

inherit
	ROSE_SYSTEM_DEPENDENCY

feature {ROSE_SYSTEM_DEPENDENCY_MANAGER} -- Implementation

	register is
			-- Register actual dependencies.
		do
			Global.io_handler.add_output (create {ROSE_OUTCHANNEL_MAIL}.make)
			Global.io_handler.add_output (create {ROSE_OUTCHANNEL_SENSIBLE_MAIL}.make)
		end

end -- class ROSE_SYSTEM_DEPENDENCY_MAIL
