indexing
	description: "Inclusion of extra services for the system"
	notice: "[
		Minimal dependiency system.
		The following includes the strict minimum services needed to run.
		Use this dependecy set only for apps that need no specific stuff
	]"
	author: "Zoran Simic"
	date: "$Date: 2010/07/23 $"
	revision: "$Revision: #13 $"

class
	ROSE_SYSTEM_DEPENDENCY_MINIMAL

inherit
	ROSE_SYSTEM_DEPENDENCY

feature {ROSE_SYSTEM_DEPENDENCY_MANAGER} -- Implementation

	register is
			-- Register actual dependencies.
		do
					--| Default commands, common to all applications
			Global.commands.add (create {RCMD_HELP})
			Global.commands.add (create {RCMD_ABOUT})
			Global.commands.add (create {RCMD_ALIAS})
			Global.commands.add (create {RCMD_CONFIG})
			Global.commands.add (create {RCMD_DIE})
			Global.commands.add (create {RCMD_EXECUTE})
			Global.commands.add (create {RCMD_REDIRECT})
			Global.commands.add (create {RCMD_SYSTEM})
			Global.commands.add (create {RCMD_USAGE})
			Global.commands.add (create {RCMD_QUIT})
			Global.commands.add (create {RCMD_SLEEP})
			Global.commands.add (create {RCMD_SET})
			Global.commands.add (create {RCMD_SHOW})
			Global.commands.add (create {RCMD_IO})
			Global.commands.add (create {RCMD_MEMORY})
			Global.commands.add (create {RCMD_PRINT})
				--| Default aliases, common to all applications
			Global.commands.set_alias ("console","execute -input=standard -output=standard -cmd=about")
			Global.commands.set_alias ("reconf","config -load")
		end

end
