indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #2 $"

class
	ROSE_TRANSITION_IDS
inherit
   
   ROSE_ID_RETRIEVER
   
feature -- Access
   
   creation_of_entity_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Creation of Entity"))
      end
   creation_of_entity_from_ipo_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Creation of Entity From IPO"))
      end
   creation_of_entity_from_spinoff_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Creation of Entity From Spinoff"))
      end
   creation_of_entity_from_reorganization_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Creation of Entity From Reorganization"))
      end
   subscription_to_database_started_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Subscription to Database Started"))
      end
   coverage_by_database_started_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Coverage by Database Started"))
      end
   start_issue_exchange_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Issue Exchange - New"))
      end
   emergence_from_bankruptcy_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Emergence from Bankruptcy"))
      end
   relisted_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Relisted"))
      end
   reactivated_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Reactivated"))
      end
   subscription_to_database_resumed_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Subscription to Database Resumed"))
      end
   coverage_by_database_resumed_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Coverage by Database Resumed"))
      end
   subscription_to_database_dropped_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Subscription to Database Dropped"))
      end
   coverage_by_database_dropped_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Coverage by Database Dropped"))
      end
   delisted_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Delisted"))
      end
   suspended_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Suspended"))
      end
   inactive_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Inactive"))
      end
   acquired_in_merger_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Acquired in Merger"))
      end
   end_issue_exchange_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Issue Exchange - Retired"))
      end
   bankruptcy_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Bankruptcy"))
      end
   liquidation_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Liquidation"))
      end
   expired_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Expired"))
      end
   redeemed_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Redeemed"))
      end
   acquired_other_entity_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Acquired other Entity or Entities"))
      end
   spun_off_other_entity_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Spun off other Entity or Entities"))
      end
   significant_reorganization_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Significant Reorganization"))
      end
   first_data_available_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("First Data Available"))
      end
   last_data_available_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Last Data Available"))
      end
   terminated_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Terminated"))
      end
   resumed_type_id: INTEGER is
      once
	 Result := rose_id.item (transition_type_statement ("Resumed"))
      end
feature {NONE} -- Implementation
   
   transition_type_statement (a_value: STRING): STRING is
      require
	 a_value_not_void: a_value /= Void
      do
	 Result := "select transition_type_id from transition_type where name = '"
	 Result.append (a_value)
	 Result.append ("'")
      end

end -- class ROSE_TRANSITION_IDS
