indexing

	description: "Operators that return the value of an expression bypassing any override database"

	keywords: "Rose expression language underride override operator"
	url: ""
	author: "$Author: it $ Colin Adams"
	group: "RC London (tools)"
	reviewed_by: "No-one"
	quality: "Unrated"
	revision: "$Revision: #3 $"
	date: "$Date: 2008/12/01 $"
	archive: "$File: //rose/source/kernel/math/rose_underride_operator.e $"

class ROSE_UNDERRIDE_OPERATOR [reference G]

inherit

	ROSE_UNARY_FORWARDING_OPERATOR[G]

create

   make

feature -- Additional processing

	preprocess (a_left: ROSE_EXPRESSION[G]) is
			-- Perform pre-processing on `a_left'.
		do
			is_overriding := not a_left.bypassing_overrides
			a_left.set_use_overrides (False)
		end

	postprocess (a_left: ROSE_EXPRESSION[G]) is
			-- Perform post-processing on `a_left'.
		do
			a_left.set_use_overrides (is_overriding)
		end

feature {NONE} -- Implementation

	is_overriding: BOOLEAN
			-- Is overriding in use?

end
