indexing

	description:

		"Bank Account"

	date: "$Date: 2009/04/03 $"
	revision: "$Revision: #3 $"

class RP_BANK_ACCOUNT

inherit

	RP_LOCATION

create

	make

feature {NONE} -- Initialization

	make (a_bank: like bank; a_account_identifier: like account_identifier) is
			-- Initialize `Current'
		require
			valid_bank_and_acct: a_bank /= Void and a_account_identifier /= Void
		do
			bank := a_bank
			account_identifier := a_account_identifier
		end

feature -- Access

	bank: RP_BANK
			-- Bank

	account_identifier: STRING
			-- Account identifier

	code: STRING is
			-- Descriptive code
		do
			Result := bank.bic + "/ACCT:" + account_identifier
		end

end
