indexing

	description:

		"Corporate Actions and Events data source interface"

	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #11 $"
	archive: "$File: //rose/source/kernel/market_data/rp_cae_data_source.e $"

deferred class RP_CAE_DATA_SOURCE

feature -- Query

	instrument_action_and_events (a_instrument: RP_INSTRUMENT; a_date: ROSE_DATE): ARRAY [RP_CORPORATE_ACTION] is
			-- Corporate actions and events for `a_instrument' on `a_date'
		require
			non_void_arguments: a_instrument /= Void and a_date /= Void
		deferred
		ensure
			record_list_not_void: Result /= Void
		end

end
