note

	description:

		"Legacy distribution / delivery in same capact to contract generator"

	author: "Sami Ben-Grine"
	last_editor: "$Author: e2 $"
	date: "$Date: 2012/02/23 $"
	revision: "$Revision: #4 $"
	path: "$File: //rose/source/kernel/capital_actions/elections/rp_corporate_action_election_delivery_distribution.e $"

class RP_CORPORATE_ACTION_ELECTION_DELIVERY_DISTRIBUTION

inherit

	RP_CORPORATE_ACTION_ELECTION [CAPACT_LEGACY_DISTRIBUTION_EXPRESSION, RP_DELIVERY_DISTRIBUTION]

create

	make

feature -- Access

	contract (a_idate: ROSE_DATE; a_portfolio: RP_PORTFOLIO; a_holding: RP_QUANTITY): RP_DELIVERY_DISTRIBUTION is
			-- <Precursor>
		local
			l_delivery_election: RP_CORPORATE_ACTION_ELECTION_DELIVERY
			l_distribution_election: RP_CORPORATE_ACTION_ELECTION_UNITS_DISTRIBUTION
		do
			create l_delivery_election.make (processing_system, capact)
			create l_distribution_election.make (processing_system, capact)
			create Result.make_from_delivery_distribution (l_delivery_election.contract (a_idate, a_portfolio, a_holding), l_distribution_election.contract (a_idate, a_portfolio, a_holding))
		end

	child_instrument: RP_INSTRUMENT
			-- Child instrument
		do
			Result := reference_system.instrument_from_brimsym (brimsym_from_listing (capact.child_instrument, capact.exdate))
		end

end
