note

	description:

		"Renounceable bonus in same capact to contract generator"

	author: "Sami Ben-Grine"
	last_editor: "$Author: e2 $"
	date: "$Date: 2012/07/25 $"
	revision: "$Revision: #4 $"
	path: "$File: //rose/source/kernel/capital_actions/elections/rp_corporate_action_election_renounceable_bonus_in_same.e $"

class RP_CORPORATE_ACTION_ELECTION_RENOUNCEABLE_BONUS_IN_SAME

inherit

	RP_CORPORATE_ACTION_ELECTION [CAPACT_RENOUNCEABLE_BONUS_IN_SAME_EXPRESSION, RP_STOCK_BONUS]

create

	make

feature -- Access

	contract (a_idate: ROSE_DATE; a_portfolio: RP_PORTFOLIO; a_holding: RP_QUANTITY): RP_STOCK_BONUS is
			-- <Precursor>
		do
			if not a_holding.amount.is_zero then
				manager.log_minor ("*** ERROR processing " + generator + " " + a_holding.instrument.brimsym + " on " + capact.exdate.ccyymmdd.out)
				(create {EXCEPTIONS}).raise ("*** ERROR processing " + generator + " " + a_holding.instrument.brimsym + " on " + capact.exdate.ccyymmdd.out)
			end
		end

	child_instrument: RP_INSTRUMENT
			-- Child instrument
		do
			if capact.rights_entity /= Void and then
				attached {STRING_8} brimsym_from_listing (capact.rights_entity, capact.exdate) as l_brimsym
			then
				Result := reference_system.instrument_from_brimsym_at (l_brimsym, capact.exdate)
			end
		end

end
