note

	description:

		"Stock bonus  capact to contract generator"

	author: "Sami Ben-Grine"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #7 $"
	path: "$File: //rose/source/kernel/capital_actions/elections/rp_corporate_action_election_stock_bonus.e $"

class RP_CORPORATE_ACTION_ELECTION_STOCK_BONUS

inherit

	RP_CORPORATE_ACTION_ELECTION [CAPACT_STOCK_BONUS_EXPRESSION, RP_STOCK_DIVIDEND]

create

	make

feature -- Access

	contract (a_idate: ROSE_DATE; a_portfolio: RP_PORTFOLIO; a_holding: RP_QUANTITY): RP_STOCK_DIVIDEND is
			-- <Precursor>
		do
			if not a_holding.amount.is_zero and then adjustment_factor > 1 then
				create Result.make (a_holding.instrument.quantity (a_holding.amount * (adjustment_factor - 1)), a_holding, event_date (a_portfolio), settle_date (a_portfolio), a_portfolio, unique_identifier, processing_system, unknown_custody)
			end
		end

feature {NONE} -- Implementation

	adjustment_factor: RP_DECIMAL is
			-- Adjustment factor
		do
			Result := capact.adjustment_factor
		end

end
