note

	description:

		"Writeup of capital capact to contract generator"

	author: "Sami Ben-Grine"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #5 $"
	path: "$File: //rose/source/kernel/capital_actions/elections/rp_corporate_action_election_writeup_of_capital.e $"

class RP_CORPORATE_ACTION_ELECTION_WRITEUP_OF_CAPITAL

inherit

	RP_CORPORATE_ACTION_ELECTION [CAPACT_WRITEUP_OF_CAPITAL_EXPRESSION, RP_PORTFOLIO_CORPORATE_ACTION_CONTRACT]

create

	make

feature -- Access

	contract (a_idate: ROSE_DATE; a_portfolio: RP_PORTFOLIO; a_holding: RP_QUANTITY): RP_PORTFOLIO_CORPORATE_ACTION_CONTRACT is
			-- <Precursor>
		do
			if not a_holding.amount.is_zero then
				manager.log_minor ("*** ERROR processing " + generator + " " + a_holding.instrument.brimsym + " on " + capact.exdate.ccyymmdd.out)
				(create {EXCEPTIONS}).raise ("*** ERROR processing " + generator + " " + a_holding.instrument.brimsym + " on " + capact.exdate.ccyymmdd.out)
			end
		end

end
