indexing
	description: "share basis types for corporate action processing instructions"
	author: "RC (wj); Portfolio Accounting Tech (sm, it)"
	last_editor: "$Author: sm $"
	date: "$Date: 2009/10/19 $"
	revision: "$Revision: #3 $"
	archive: "$File: //rose/source/kernel/capital_actions/rp_corporate_action_processing_share_basis_type.e $"

class
	RP_CORPORATE_ACTION_PROCESSING_SHARE_BASIS_TYPE

inherit
	RP_CORPORATE_ACTION_PROCESSING_INSTRUCTION_TYPES

	DEBUG_OUTPUT

create
	make_original, make_current, make_delta

feature {NONE} -- Initialization

	make_original is
			-- Initialize `Current'.
		do
			type := original_shares
		end

	make_current is
			-- Initialize `Current'.
		do
			type := current_shares
		end

	make_delta is
			-- Initialize `Current'.
		do
			type := delta_shares
		end

feature -- Access

	type: INTEGER


feature -- Output

	debug_output: STRING is
			-- <Precursor>
		do
			inspect (type)
			when original_shares then
				Result := "Original shares"
			when current_shares then
				Result := "Current shares"
			when delta_shares then
				Result := "Delta shares"
			end
		end

end
