indexing

	description:

		"Currency market data source providing fx and short-term rates"

	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #5 $"

deferred class RP_CURRENCY_MARKET_DATA_SOURCE

feature -- Query

	spot_rate (a_bcu, a_fcu: RP_CURRENCY; a_date: ROSE_DATE): RP_DECIMAL is
			-- Currency spot fx rate from `a_bcu' to `a_fcu' on `a_date'
		require
			non_void_args: a_bcu /= Void and a_fcu /= Void and a_date /= Void
		deferred
		ensure
			non_void_result: Result /= Void
		end

	short_term_rate (a_currency: RP_CURRENCY; a_near_date, a_far_date: ROSE_DATE): RP_DECIMAL is
			-- Short-term rate for `a_currency' between `a_near_date' and `a_far_date'
		require
			non_void_args: a_currency /= Void and a_near_date /= Void and a_far_date /= Void
		deferred
		ensure
			non_void_result: Result /= Void
		end

end
