indexing

	description:

		"A derivative of an underlying entity"

	author: "Ivan Tarnsavsky"
	last_editor: "$Author: mb $"
	date: "$Date: 2009/04/02 $"
	revision: "$Revision: #7 $"
	path: "$File: //rose/source/kernel/expert_system/rp_derivative.e $"

deferred class RP_DERIVATIVE [G]

inherit

	RP_INSTRUMENT

feature -- Access

	underlying: G
			-- Underlying thing on which `Current' is derivative
			-- Can be something other than financial instrument
	
	valid_underlying: BOOLEAN 
			-- Is 'underlying' valid?
		do
			Result := underlying /= Void
		end
	
invariant

	meaningful_underlying: valid_underlying

end
