note
	description: "Abstraction for Investment Manager"
	author: "Sami Ben-Grine"
	last_editor: "$Author: sm $"
	date: "$Date: 2013/06/27 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/expert_system/rp_end_of_day_positions.e $"

class RP_END_OF_DAY_POSITIONS

inherit

	RP_POSITIONS_SYSTEM_PROXY
		redefine adjusted end

create

	make

feature {NONE} -- Implementation

	adjusted (a_date: ROSE_DATE): ROSE_DATE is
			-- <Precursor>
		do
			Result := a_date.plus_n_date (1)
			if Result.is_weekend then
				Result := Result.plus_n_date (1)
			end
			if Result.is_weekend then
				Result := Result.plus_n_date (1)
			end
		end

end

