indexing

	description:

		"External Holding"

	date: "$Date: 2010/07/19 $"
	sccid: "$Id: //rose/source/kernel/expert_system/rp_external_holding.e#9 $"

class RP_EXTERNAL_HOLDING

create

	make

feature {NONE} -- Initialization

	make (a_quantity: like quantity; a_value: like value; a_cost: like cost) is
			-- Initialize `Current'.
		require
			non_void_args: a_quantity /= Void and a_value /= Void
		do
			quantity := a_quantity
			value := a_value
			cost := a_cost
		end

feature -- Access

	quantity: RP_QUANTITY
			-- Quantity.

	value: RP_MONIES
			-- Value.

	cost: RP_LEGACY_COST
			-- Cost.

end
