indexing

	description:

		"Transfer of external holding (i.e. in/outkind)"

	date: "$Date: 2009/09/11 $"
	revision: "$Revision: #9 $"

class RP_EXTERNAL_HOLDING_FLOW

inherit

	RP_FLOW
		rename
			make as contract_flow_make
		end

create

	make

feature {NONE} -- Initialization

	make (a_contract: like contract; a_type: like type; a_contracted_ownership_time: like contracted_ownership_time; a_contracted_settlement_time: like contracted_settlement_time; a_holding: like holding; a_source_control: like source_control; a_destination_control: like destination_control) is
			-- Initialize `Current'
		do
			contract_flow_make (a_contract, a_type, a_source_control, a_destination_control, a_contracted_ownership_time, a_contracted_settlement_time, a_holding.quantity, a_contracted_ownership_time, 0, a_holding.value)
			holding := a_holding
		end

feature -- Access

	holding: RP_EXTERNAL_HOLDING
			-- Transferred external holding

end
