indexing

	description:

		"Parent for events involving a broker"

	date: "$Date: 2010/07/19 $"
	sccid: "$Id: //rose/source/Kernel/expert_system/aflows/rp_gedb_brokerage_event.e#4 $"

deferred class RP_GEDB_BROKERAGE_EVENT

inherit

	RP_GEDB_EVENT

feature -- Access

	traded_quantity: RP_QUANTITY is
			-- Traded quantity
		deferred
		ensure
			non_void_quantity: Result /= Void
		end

	gross_quantity: RP_QUANTITY is
			-- Gross quantity
		deferred
		ensure
			non_void_quantity: Result /= Void
		end

	net_quantity: RP_QUANTITY is
			-- Net quantity
		deferred
		ensure
			non_void_quantity: Result /= Void
		end

end
