note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Portfolio Accounting Tech"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #3 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_contribution_converter.e $"

class
	RP_GEDB_CONTRIBUTION_CONVERTER

inherit
	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_CONTRIBUTION, RP_CLIENT_CONTRIBUTION]

create
	make

feature -- Access

	contract: !RP_CLIENT_CONTRIBUTION is
			-- <Precursor>
		do
			create Result.make_legacy_contribution (
				system, portfolio, identifier,
				event_date, settle_date,
				cash_effect_with_sign, performance_effect_with_sign,
				custody)
		end

end
