indexing

	description:

		"G&L from Forward FX"

	date: "$Date: 2010/07/19 $"
	sccid: "$Id: //rose/source/kernel/expert_system/aflows/rp_gedb_ffx_gain_loss.e#13 $"

class RP_GEDB_FFX_GAIN_LOSS

inherit

	RP_GEDB_BROKERAGE_EVENT

create {RP_GEDB_EVENT_FACTORY}

	make

feature -- Access

	traded_quantity: RP_MONIES is
			-- shares or units traded
		do
			Result := cash_effect_with_sign
		end

	gross_quantity: RP_MONIES is
			-- gross amount before fees and commissions
		do
			Result := cash_effect_with_sign
		end

	net_quantity: RP_MONIES is
			-- net amount
		do
			Result := cash_effect_with_sign
		end

feature {NONE} -- Implementation

	contract: !RP_PORTFOLIO_CONTRACT is
			-- Create event contracts
		do
			Result := manager.legacy.forward_fx_gain_loss (Current)
		end

invariant

	is_breal_event_type_38_or_freal_event_type_39: is_breal_event_type_38 or else is_freal_event_type_39

end
