note

	description:

		"Convert GEDB event type 42 to contract"

	author: "Ivan Tarnavsky"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #2 $"
	path: "$File: //rose/source/kernel/expert_system/legacy/contracts/rp_gedb_internal_cash_xfer_withdrawal_converter.e $"

class RP_GEDB_INTERNAL_CASH_XFER_WITHDRAWAL_CONVERTER

inherit

	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_INTERNAL_CASH_XFER_WITHDRAWAL, RP_CASH_ZONAL_TRANSFER]

create

	make

feature -- Access

	contract: !RP_CASH_ZONAL_TRANSFER is
			-- <Precursor>
		do
				-- XXX note the reversed sign. In GEDB cash_effect is negative for withdrawals
				-- XXX and here we use a positive value decreasing the portfolio holdings
			create Result.make_intrazonal_withdrawal (system, event_date, identifier, portfolio, settle_date, -cash_effect_with_sign, custody)
		end

end
