note

	description:

		"Sell GEDB event record"

	author: "Ivan Tarnavsky"
	last_editor: "$Author: er $"
	date: "$Date: 2013/01/30 $"
	revision: "$Revision: #18 $"
	path: "$File: //rose/source/kernel/expert_system/aflows/rp_gedb_sell.e $"

class RP_GEDB_SELL

inherit

	RP_GEDB_TRADE

create {RP_GEDB_EVENT_FACTORY}

	make

feature -- Access

	contract: !RP_PORTFOLIO_CONTRACT is
			-- Create event contracts.
		do
			Result := manager.legacy.sell (Current)
		end

	traded_quantity: RP_QUANTITY is
			-- traded quantity
		do
			Result := units
		end

	gross_quantity: RP_MONIES is
			-- net cash received.
		do
			Result := cash_effect_with_sign + fee + commission
		end

	net_quantity: RP_MONIES is
			-- net amount
		do
			Result := cash_effect_with_sign
		end

invariant

	is_sell_event_type_2: is_sell_event_type_2

end
