note

	description:
	"[
		Convert GEDB event to Contracts and Flows
					
		(01) EVENT_INDEX			649888892
		(02) EVENT_DATE				12/25/2008 0:00
		(03) ZONE					J
		(04) PORTFOLIO				ASIMO
		(05) ICC					33736
		(06) EVENT_TYPE				5
		(07) CATAGORY	
		(08) EVENT_DETAILS	
		(09) ENTERED_AT				12/21/2008 0:00
		(10) ENTERED_BY	
		(11) MODIFIED_AT	
		(12) MODIFIED_BY	
		(13) INSTRUMENT				JPE004961101...TYO
		(14) UNITS					6237
		(15) PRICE					63
		(16) FEE					0
		(17) COMMISSION				0
		(18) CASH_EFFECT			0
		(19) CURRENCY				JPY
		(20) SECONDARY_CASH_EFFECT	0
		(21) SECONDARY_CURRENCY	
		(22) PERFORMANCE_EFFECT		0
		(23) BROKER	
		(24) TRADER	
		(25) SETTLE_DATE			1/5/2009 0:00
		(26) SUBACCOUNT	
		(27) EXCHANGE	
		(28) TRANSACTION_TIME		12/25/2008 0:00
		(29) SOFT_DOLLAR	
		(30) UNITS_BASE				63
		(31) RATE					0
		(32) FROM_INSTRUMENT
		
		
			agreement_time: ROSE_DATE (02)
			portfolio: RP_PORTFOLIO (04)
			settle_date: ROSE_DATE (25)
			units_base: RP_QUANTITY (30)
			flows: ROSE_LINEAR_ARRAY [RP_FLOW]
				a/
					contract: RP_CONTRACT
					contracted_ownership_time: ROSE_DATE (02)
					contracted_settlement_time: ROSE_DATE (25)
					destination_control: RP_INSTRUMENT_CONTROL Unknown
					exchanged_subset: INTEGER_32
					flow_value: RP_QUANTITY
					quantity: RP_QUANTITY (30)
					source_control: RP_INSTRUMENT_CONTROL (04)
					type: RP_FLOW_TYPE split
					value_date: ROSE_DATE
		
				b/
					contract: RP_CONTRACT
					contracted_ownership_time: ROSE_DATE (02)
					contracted_settlement_time: ROSE_DATE (25)
					destination_control: RP_INSTRUMENT_CONTROL (04)
					exchanged_subset: INTEGER_32
					flow_value: RP_QUANTITY
					quantity: RP_QUANTITY (30)+(14)
					source_control: RP_INSTRUMENT_CONTROL Unknown
					type: RP_FLOW_TYPE split
					value_date: ROSE_DATE
	]"
	author: "Sami Ben-Grine"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #4 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_split_converter.e $"

class RP_GEDB_SPLIT_CONVERTER

inherit

	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_SPLIT, RP_SPLIT]

create

	make

feature -- Access

	contract: !RP_SPLIT is
			-- <Precursor>
		do
			create Result.make (units_base, units + units_base, portfolio, identifier, event_date, settle_date, system, custody)
		end

end
