note

	description:

		"Convert GEDB event to Contracts and Flows"

	author: "Portfolio Accounting Tech"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #3 $"
	path: "$File: //rose/source/Kernel/expert_system/legacy/contracts/rp_gedb_withdrawal_converter.e $"

class
	RP_GEDB_WITHDRAWAL_CONVERTER

inherit
	RP_GEDB_EVENT_TO_CONTRACT_SIMPLE_CONVERTER [RP_GEDB_WITHDRAWAL, RP_CLIENT_WITHDRAWAL]
		redefine
			contract
		end

create
	make

feature -- Access

	contract: !RP_CLIENT_WITHDRAWAL is
			-- <Precursor>
		local
			l_external_holding: RP_EXTERNAL_HOLDING
		do
			create Result.make_portfolio_contract(system, event_date, identifier, portfolio)
			create l_external_holding.make (cash_effect_with_sign, performance_effect_with_sign.abs, Void)
			Result.add_external_holding_flow (withdrawal_flow_type, event_date, settle_date, l_external_holding, portfolio.client_instrument_control, portfolio.instrument_control (custody))
		end

end
