indexing
	description: ""
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #5 $"
	archive: "$File: //rose/source/kernel/expert_system/rp_instrument_units.e $"

class
	RP_INSTRUMENT_UNITS[G->RP_INSTRUMENT]

inherit
	RP_UNITS
		redefine
			name
		end

create
	make

feature {NONE} -- Initialization

	make (a_instrument : like instrument) is
		require
			non_void_instrument: a_instrument /= Void
		do
			instrument := a_instrument
			make_from_units (instrument.rose_units)
		end
		
feature

	instrument : G

	name: STRING is
			-- 
		do
			Result := instrument.name
		end

invariant
	
	non_void_instrument: instrument /= Void
		
end
