indexing
	description: "[close,open) Interval which holds an investment account"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #3 $"

class RP_INVESTMENT_ACCOUNT_HISTORY_INTERVAL

inherit

	ROSE_CLOSED_OPEN_INTERVAL [RP_INVESTMENT_ACCOUNT]
		rename
			item as investment_account
		redefine
			debug_output
		end

create
	make

feature -- Access

	message: STRING

feature -- Change

	set_message (v: like message) is
			-- Set `message' to `v'
		do
			message := v
		ensure
			message_set: message = v
		end

feature -- Debug output

	debug_output: STRING is
			-- Debug output
		do
			Result := Precursor + ":" + investment_account.name
		end

end
