indexing
	description: "Message processing"
	author: ""
	date: "$Date: 2010/01/26 $"
	revision: "$Revision: #4 $"
	archive: "$File: //rose/source/kernel/expert_system/rp_message_factory.e $"

deferred class
	RP_MESSAGE_FACTORY[G->RP_CHANGE_MESSAGE[RP_EVENT_SOURCE]]

feature -- Access

	next_message : G is
			-- Next message to be processed
		deferred
		end

feature -- Basic operations

	process_necessary_actions (a_manager: RP_INVESTMENT_MANAGER) is
			-- Process the messages chain
		local
			l_done : BOOLEAN
			l_message : like next_message
		do
			from until l_done loop
				l_message := next_message
				l_done := l_message = void
				if not l_done then
					l_message.dispatch (a_manager)
				end
			end
		end

end
