indexing

	description:

		"Net of fees and poolfund share class income/expense"

	date: "$Date: 2010/04/13 $"
	sccid: "$Id: //rose/source/kernel/expert_system/perf/rp_performance_net_of_fees_and_sharepoolfund_incexp.e#3 $"
	keywords: "performance"

class RP_PERFORMANCE_NET_OF_FEES_AND_SHAREPOOLFUND_INCEXP

inherit

	RP_PERFORMANCE_AFFECTING_CASH_FLOWS

create

	default_create

feature -- Query

	value (a_daily_values: RP_PERFORMANCE_DAILY_VALUES): RP_MONIES is
			-- Net of fees and shareppool income/expense
		do
			Result := a_daily_values.intrazonal_contribution + a_daily_values.intrazonal_withdrawal + a_daily_values.fees + a_daily_values.contribution + a_daily_values.dividend_tax_withholding + a_daily_values.perf_unrelated_expense + a_daily_values.perf_unrelated_income + a_daily_values.realized_hedge_gain_loss + a_daily_values.transfer + a_daily_values.withdrawal
		end

end
