indexing

	description:

		"Price Lookup algorithm"

	date: "$Date: 2010/04/30 $"
	revision: "$Revision: #11 $"
	keywords: "price,value,valuation"

deferred class RP_PRICING_ALGORITHM [G -> RP_INSTRUMENT]

feature -- Query

	price (a_instrument: G; a_date: ROSE_DATE): RP_PRICE is
			-- Price of `a_instrument' on `a_date'
		require
			non_void_args: a_instrument /= Void and a_date /= Void
		deferred
		ensure
			same_units: Result /= Void implies Result.instrument.uid = a_instrument.uid
		end

end
