indexing
	description: "Item that allows tracing"
	author: "Portfolio Accounting Tech (sm)"
	last_editor: "$Author: sm $"
	date: "$Date: 2010/01/26 $"
	revision: "$Revision: #1 $"
	archive: "$File: //rose/source/kernel/expert_system/rp_traceable.e $"

class
	RP_TRACEABLE

feature -- Access

	trace: BOOLEAN
			-- Debug trace flag

	trace_date: ROSE_DATE
			-- Debug date

feature -- Setting

	set_trace_date (v: like trace_date) is
			-- Set `trace_date' to `v'
		do
			trace_date := v
		ensure
			trace_date_set: trace_date = v
		end

	enable_trace is
			-- Enable debug trace
		do
			trace := True
		ensure
			trace_enabled: trace
		end

	disable_trace is
			-- Disable debug trace
		do
			trace := False
		ensure
			trace_disabled: not trace
		end

end
