indexing
	description: ""
	author: ""
	date: "$Date: 2014/02/26 $"
	revision: "$Revision: #5 $"
	archive: "$File: //rose/source/kernel/expert_system/rp_unitized_bag.e $"

class
	RP_UNITIZED_BAG[G->RP_UNITS]
	--logically the sum of different unitized values
inherit
	ROSE_HASH_TABLE[RP_UNITIZED_VALUE[G],G]
	RP_BAG
		undefine
			is_equal,
			copy,
			default_create
		end
create
	make_from_unitized_value,make_from_unitized_values
create {RP_UNITIZED_BAG}
	make
feature
	make_from_unitized_value(a_other : RP_UNITIZED_VALUE[G]) is
		do
			make(1)
			put(a_other,a_other.units)
		end
	make_from_unitized_values(a_others : ARRAY[RP_UNITIZED_VALUE[G]]) is
		local
			i : INTEGER
		do
			make(a_others.count)
			from i := 1 until i > a_others.count loop
				add_value(a_others.item(i))
				i := i + 1
			end
		end
	add_value (a_value : RP_UNITIZED_VALUE[G]) is
		local
			l_value : RP_UNITIZED_VALUE[G]
		do
			if has(a_value.units) then
				l_value := item(a_value.units)
				replace(l_value + a_value,a_value.units)
			else
				put(a_value,a_value.units)
			end
		end
	add (a_other : RP_UNITIZED_BAG[G]) is
		do
			from a_other.start until a_other.off loop
				add_value(a_other.item_for_iteration)
				a_other.forth
			end
		end
end -- class RP_UNITIZED_BAG
