indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #10 $"

class
	RP_UNITS
inherit
	HASHABLE
	DEBUG_OUTPUT
create
	make_from_units
feature
	debug_output : STRING is
		do
			Result := name
		end
	name : STRING is
		do
			Result := units.name
		end
	make_from_units (a_units : ROSE_UNITS) is
		do
			units := a_units
		end
	is_same (a_other : RP_UNITS) : BOOLEAN is
		do
			Result := units = a_other.units or else units.rational = a_other.units.rational or else units.rational.is_equal (a_other.units.rational)
		end
	units : ROSE_UNITS
	units_environment : ROSE_UNITS_ENVIRONMENT is
		once
			create Result
		end
	infix "*" (a_other : RP_UNITS) : RP_UNITS is
		do
			create Result.make_from_units(units * a_other.units)
		end
	infix "/" (a_other : RP_UNITS) : RP_UNITS is
		do
			create Result.make_from_units(units / a_other.units)
		end
	infix "+" (a_other : RP_UNITS) : RP_UNITS is
		do
			create Result.make_from_units(units + a_other.units)
		end
	infix "-" (a_other : RP_UNITS) : RP_UNITS is
		do
			create Result.make_from_units(units - a_other.units)
		end
	hash_code : INTEGER is
		do
			Result := units.hash_code
		end
end -- class RP_UNITS
