indexing

	description: "Unknown IMC"

	author: ""
	last_editor: "$Author: it $"
	date: "$Date: 2008/12/01 $"
	revision: "$Revision: #4 $"
	archive: "$File: //rose/source/kernel/expert_system/ref/rp_unknown_imc.e $"

class RP_UNKNOWN_IMC

inherit

	RP_INVESTMENT_MANAGEMENT_COMPANY
		redefine
			is_unknown
		end

create {RP_REFERENCE_SYSTEM}

	make

feature {NONE} -- Initialization

	make (a_reference_system: like reference_system) is
			-- Initialize `Current'.
		require
			a_reference_system_not_void: a_reference_system /= Void
		do
			reference_system := a_reference_system
		ensure
			reference_system_set: reference_system = a_reference_system
		end

feature -- Access
	
	location: RP_COUNTRY is
			-- Country where office is physically situated
		do
			Result := reference_system.unknown_country
		end

feature -- Status report

	is_unknown: BOOLEAN is
			-- Is `Current' an unknown IMC?
		do
			Result := True
		ensure then
			class_definition: Result = True
		end

end
