indexing
	description: "Unknown custodial account"
	author: "Sami Ben Grine"
	last_editor: "$Author: c4 $"
	date: "$Date: 2009/06/19 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/expert_system/aflows/rp_unspecified_custodial_account.e $"

class	RP_UNSPECIFIED_CUSTODIAL_ACCOUNT

inherit

	RP_CUSTODIAL_ACCOUNT

create {RP_UNSPECIFIED_CUSTODIAL_ACCOUNT_AWARE}

	make_unknown

feature {NONE} -- Initialization

	make_unknown (a_custodian: like custodian) is
			-- Create as unknown
		require
			non_void_custodian: a_custodian /= Void
		do
			make (a_custodian, {RP_UNKNOWN}.code)
		ensure
			custodian_set: custodian = a_custodian
		end

invariant

	unknown_code: code /= Void and then code.is_equal ({RP_UNKNOWN}.code)

end
