note

	description:

		"Unknown investment account"

	author: "Sami Ben Grine"
	last_editor: "$Author: e2 $"
	date: "$Date: 2011/11/29 $"
	revision: "$Revision: #3 $"
	path: "$File: //rose/source/kernel/expert_system/aflows/rp_unspecified_investment_account.e $"

class
	RP_UNSPECIFIED_INVESTMENT_ACCOUNT

inherit

	RP_INVESTMENT_ACCOUNT

	AXAROSENBERG_AWARE
		undefine
			is_equal
		end

create {RP_UNSPECIFIED_INVESTMENT_ACCOUNT_AWARE}

	make_unknown

feature {NONE} -- Initialization

	make_unknown is
			-- Create as unknown
		do
			code := {RP_UNKNOWN}.code
			reference_system := axarosenberg.reference_system
		end

invariant

	unknown_code: code /= Void and then code.is_equal ({RP_UNKNOWN}.code)

end
