indexing

	description:

		"Group of investments done under a common denominator (client, strategy...)"

	author: "Portfolio Accounting Tech"
	last_editor: "$Author: it $"
	date: "$Date: 2010/06/14 $"
	revision: "$Revision: #2 $"
	archive: "$File: //rose/source/kernel/expert_system/rp_zonal_investment_group.e $"

deferred class RP_ZONAL_INVESTMENT_GROUP

inherit

	RP_ACCOUNT

	HASHABLE
		undefine
			is_equal
		end

	DEBUG_OUTPUT
		undefine
			is_equal
		end

feature -- Access

	investment_region: RP_ZONE is
			-- Investment region associated with `Current' (zone equivalent)
		deferred
		ensure
			result_not_void: Result /= Void
		end

	name: STRING is
			-- Name
		deferred
		end

	start_date: ROSE_DATE is
			-- Start date
		deferred
		end

	end_date: ROSE_DATE is
			-- End date
		deferred
		end

	performance_code: STRING is
			-- Code under which the performance system knows this group
		deferred
		end

feature -- Status Report

	is_unknown: BOOLEAN is
			-- Is `Current' an instance of a void investment account?
		deferred
		end

end
