indexing

	description: "Parser token codes"
	generator: "geyacc version 3.6"

class RX_EXPRESSION_TOKENS

inherit

	YY_PARSER_TOKENS

feature -- Last values

	last_any_value: ANY
	last_string_value: STRING

feature -- Access

	token_name (a_token: INTEGER): STRING is
			-- Name of token `a_token'
		do
			inspect a_token
			when 0 then
				Result := "EOF token"
			when -1 then
				Result := "Error token"
			when RE_CHARACTER then
				Result := "RE_CHARACTER"
			when RE_INTEGER then
				Result := "RE_INTEGER"
			when RE_DOUBLE then
				Result := "RE_DOUBLE"
			when RE_STRING then
				Result := "RE_STRING"
			when RE_IDENTIFIER then
				Result := "RE_IDENTIFIER"
			when RE_TRUE then
				Result := "RE_TRUE"
			when RE_FALSE then
				Result := "RE_FALSE"
			when RE_ERROR then
				Result := "RE_ERROR"
			when RE_EOF then
				Result := "RE_EOF"
			when RE_IMPLIES then
				Result := "RE_IMPLIES"
			when RE_OR then
				Result := "RE_OR"
			when RE_XOR then
				Result := "RE_XOR"
			when RE_AND then
				Result := "RE_AND"
			when RE_NE then
				Result := "RE_NE"
			when RE_LE then
				Result := "RE_LE"
			when RE_GE then
				Result := "RE_GE"
			when RE_DIV then
				Result := "RE_DIV"
			when RE_MOD then
				Result := "RE_MOD"
			when RE_NOT then
				Result := "RE_NOT"
			when RE_ABS then
				Result := "RE_ABS"
			else
				Result := yy_character_token_name (a_token)
			end
		end

feature -- Token codes

	RE_CHARACTER: INTEGER is 258
	RE_INTEGER: INTEGER is 259
	RE_DOUBLE: INTEGER is 260
	RE_STRING: INTEGER is 261
	RE_IDENTIFIER: INTEGER is 262
	RE_TRUE: INTEGER is 263
	RE_FALSE: INTEGER is 264
	RE_ERROR: INTEGER is 265
	RE_EOF: INTEGER is 266
	RE_IMPLIES: INTEGER is 267
	RE_OR: INTEGER is 268
	RE_XOR: INTEGER is 269
	RE_AND: INTEGER is 270
	RE_NE: INTEGER is 271
	RE_LE: INTEGER is 272
	RE_GE: INTEGER is 273
	RE_DIV: INTEGER is 274
	RE_MOD: INTEGER is 275
	RE_NOT: INTEGER is 276
	RE_ABS: INTEGER is 277

end
