note
	description:

		"[
			Shared instance of the price lookup used by mondat variables
		]"

	author: "Ivan Tarnavsky"
	last_editor: "$Author: it $"
	date: "$Date: 2015/04/27 $"
	revision: "$Revision: #1 $"
	path: "$File: //rose/source/kernel/data/market/shared_mondat_listing_price_lookup.e $"

deferred class SHARED_MONDAT_LISTING_PRICE_LOOKUP

inherit

	ANY
		undefine
			default_create
		end

feature -- Access

	mondat_listing_price_lookup: MONDAT_LISTING_PRICE_LOOKUP
			-- Singleton instance of MONDAT_LISTING_PRICE_LOOKUP
		once
			create Result
		ensure
			mondat_listing_price_lookup_attached: Result /= Void
		end

end
