indexing
	description: "Record for the view data_signatures_data_bounds."
	author: "Mauricio Bustos"
	last_editor: "$Author: rj $"
	date: "$Date: 2012/02/24 $"
	revision: "$Revision: #5 $"
	path: "$File: //rose/source/kernel/persistence/databases/signature_tagged/signature_tagged_data_bounds.e $"

class

	SIGNATURE_TAGGED_DATA_BOUNDS

feature -- Access.

	entity_id: INTEGER		-- This field doesn't necessarily match a field in 'data_signatures_data_bounds'.  See SIGNATURE_TAGGED_VIEW.
	set_entity_id(a_value: like entity_id)
	do
		entity_id := a_value
	end

	start_date : ROSE_DATE
	set_start_date(a_value : like start_date) is
		do
			start_date := a_value
		end
	end_date : ROSE_DATE
	set_end_date(a_value : like end_date) is
		do
			end_date := a_value
		end
	start_process_date : ROSE_DATE
	set_start_process_date(a_value : like start_process_date) is
		do
			start_process_date := a_value
		end
	end_process_date : ROSE_DATE
	set_end_process_date(a_value : like end_process_date) is
		do
			end_process_date := a_value
		end

end



