note
	description:
		"Sql constants"
	author: "Mark Howard"
	last_editor: "$Author: rj $"
	date: "$Date: 2011/07/12 $"
	revision: "$Revision: #10 $"
	path: "$File: //rose/source/kernel/infrastructure/persistence/databases/sql/sql_constants.e $"

class SQL_CONSTANTS

feature -- Constants.

	Rose_sql_error_no_table: INTEGER is unique
		-- This error happens when you attempt to drop a table that does not exist.

	Rose_sql_error_no_trigger: INTEGER is unique
		-- This error happens when you attempt to drop a trigger that does not exist.

	Rose_sql_error_no_column: INTEGER is unique
		-- This error happens when you attempt to drop a column that does not exist.

	Rose_sql_error_dup_key: INTEGER is unique
		-- This error happens when you attempt to insert a duplicate key.

	Rose_deadlock_victim: INTEGER is unique
		-- This error happens when you are chosen as the deadlock victim.

end
