indexing
	description : "Represents the notion of a column of a relational database table"
	author : "Mark Howard"
deferred class SQL_SQLVAR
inherit
   SQL_DATA
	  rename
		 make as sqlvar_make,
		 pointer as sqldata,
		 stored_length as sqllen,
		 type as sqltype,
		 name as sqlname
	  undefine
		get_field
	  end
   SQL_EXTERNALS
feature
   make(a_server : like data_server;a_sqlda : like sqlda;a_index : INTEGER) is
	  do
		 sqlda := a_sqlda
		 data_server := a_server
		 index := a_index
		 set_attributes
	  end
   data_server : SQL_DATA_SERVER
   sqlda : SQL_SQLDA
   integer_value : INTEGER is
      deferred
      end;
   boolean_value : BOOLEAN is
      deferred
	  end;
   real_value : REAL is
      deferred
      end;
   double_value : DOUBLE is
      deferred
      end;
   character_value : CHARACTER is
      deferred
      end;
   execute (a_value : ANY) is
	  do
	  end
   string_value : STRING is
      deferred
      end;
feature {NONE}
	set_attributes is
		deferred
		end
end
