note

	description: "Parser token codes"
	generator: "geyacc version 3.9"

deferred class SQL_TABLE_NAME_TOKENS

inherit

	YY_PARSER_TOKENS

feature -- Last values

	last_detachable_any_value: detachable ANY
	last_string_value: STRING

feature -- Access

	token_name (a_token: INTEGER): STRING
			-- Name of token `a_token'
		do
			inspect a_token
			when 0 then
				Result := "EOF token"
			when -1 then
				Result := "Error token"
			when T_PLACEHOLDER then
				Result := "T_PLACEHOLDER"
			when T_OR then
				Result := "T_OR"
			when T_AND then
				Result := "T_AND"
			when T_NOT then
				Result := "T_NOT"
			when T_COMPARISON then
				Result := "T_COMPARISON"
			when T_EQUALS then
				Result := "T_EQUALS"
			when T_FOO then
				Result := "T_FOO"
			when T_IDENTIFIER then
				Result := "T_IDENTIFIER"
			when T_PARAMETER_LITERAL then
				Result := "T_PARAMETER_LITERAL"
			when T_STRING then
				Result := "T_STRING"
			when T_INTNUM then
				Result := "T_INTNUM"
			when T_APPROXNUM then
				Result := "T_APPROXNUM"
			when T_WSTRING then
				Result := "T_WSTRING"
			when T_NSTRING then
				Result := "T_NSTRING"
			when T_HTMLSTR then
				Result := "T_HTMLSTR"
			when T_BINARYNUM then
				Result := "T_BINARYNUM"
			when T_DOUBLE_COLON then
				Result := "T_DOUBLE_COLON"
			when T_COLON then
				Result := "T_COLON"
			when T_STRING_CONCAT_OPERATOR then
				Result := "T_STRING_CONCAT_OPERATOR"
			when T_KWD_TAG then
				Result := "T_KWD_TAG"
			when T_NAMED_PARAMETER then
				Result := "T_NAMED_PARAMETER"
			when T_ADA then
				Result := "T_ADA"
			when T_ADD then
				Result := "T_ADD"
			when T_ADMIN then
				Result := "T_ADMIN"
			when T_AFTER then
				Result := "T_AFTER"
			when T_AGGREGATE then
				Result := "T_AGGREGATE"
			when T_ALL then
				Result := "T_ALL"
			when T_ALTER then
				Result := "T_ALTER"
			when T_AMMSC then
				Result := "T_AMMSC"
			when T_ANY then
				Result := "T_ANY"
			when T_ARE then
				Result := "T_ARE"
			when T_ARRAY then
				Result := "T_ARRAY"
			when T_AS then
				Result := "T_AS"
			when T_ASC then
				Result := "T_ASC"
			when T_ASSEMBLY then
				Result := "T_ASSEMBLY"
			when T_ATTACH then
				Result := "T_ATTACH"
			when T_ATTRIBUTE then
				Result := "T_ATTRIBUTE"
			when T_AUTHORIZATION then
				Result := "T_AUTHORIZATION"
			when T_AUTOREGISTER then
				Result := "T_AUTOREGISTER"
			when T_BACKUP then
				Result := "T_BACKUP"
			when T_BEFORE then
				Result := "T_BEFORE"
			when T_BEGIN then
				Result := "T_BEGIN"
			when T_BEGIN_CALL then
				Result := "T_BEGIN_CALL"
			when T_BEGIN_EQCALL then
				Result := "T_BEGIN_EQCALL"
			when T_BEGIN_FN then
				Result := "T_BEGIN_FN"
			when T_BEGIN_OJ then
				Result := "T_BEGIN_OJ"
			when T_BEGIN_U then
				Result := "T_BEGIN_U"
			when T_BEST then
				Result := "T_BEST"
			when T_BETWEEN then
				Result := "T_BETWEEN"
			when T_BINARY then
				Result := "T_BINARY"
			when T_BY then
				Result := "T_BY"
			when T_C then
				Result := "T_C"
			when T_CALL then
				Result := "T_CALL"
			when T_CALLED then
				Result := "T_CALLED"
			when T_CASCADE then
				Result := "T_CASCADE"
			when T_CASE then
				Result := "T_CASE"
			when T_CAST then
				Result := "T_CAST"
			when T_CHARACTER then
				Result := "T_CHARACTER"
			when T_CHECK then
				Result := "T_CHECK"
			when T_CHECKED then
				Result := "T_CHECKED"
			when T_CHECKPOINT then
				Result := "T_CHECKPOINT"
			when T_CLOSE then
				Result := "T_CLOSE"
			when T_CLR then
				Result := "T_CLR"
			when T_CLUSTERED then
				Result := "T_CLUSTERED"
			when T_COALESCE then
				Result := "T_COALESCE"
			when T_COBOL then
				Result := "T_COBOL"
			when T_COLLATE then
				Result := "T_COLLATE"
			when T_COLUMN then
				Result := "T_COLUMN"
			when T_COMMIT then
				Result := "T_COMMIT"
			when T_CONSTRAINT then
				Result := "T_CONSTRAINT"
			when T_CONSTRUCTOR then
				Result := "T_CONSTRUCTOR"
			when T_CONTAINS then
				Result := "T_CONTAINS"
			when T_CONTIGUOUS then
				Result := "T_CONTIGUOUS"
			when T_CONTINUE then
				Result := "T_CONTINUE"
			when T_CONVERT then
				Result := "T_CONVERT"
			when T_CORRESPONDING then
				Result := "T_CORRESPONDING"
			when T_CREATE then
				Result := "T_CREATE"
			when T_CROSS then
				Result := "T_CROSS"
			when T_CUBE then
				Result := "T_CUBE"
			when T_CURRENT then
				Result := "T_CURRENT"
			when T_CURRENT_DATE then
				Result := "T_CURRENT_DATE"
			when T_CURRENT_TIME then
				Result := "T_CURRENT_TIME"
			when T_CURRENT_TIMESTAMP then
				Result := "T_CURRENT_TIMESTAMP"
			when T_CURSOR then
				Result := "T_CURSOR"
			when T_DATA then
				Result := "T_DATA"
			when T_DATE then
				Result := "T_DATE"
			when T_DATETIME then
				Result := "T_DATETIME"
			when T_DEALLOCATE then
				Result := "T_DEALLOCATE"
			when T_DECIMAL then
				Result := "T_DECIMAL"
			when T_DECLARE then
				Result := "T_DECLARE"
			when T_DEFAULT then
				Result := "T_DEFAULT"
			when T_DELETE then
				Result := "T_DELETE"
			when T_DESC then
				Result := "T_DESC"
			when T_DETERMINISTIC then
				Result := "T_DETERMINISTIC"
			when T_DISCONNECT then
				Result := "T_DISCONNECT"
			when T_DISTINCT then
				Result := "T_DISTINCT"
			when T_DO then
				Result := "T_DO"
			when T_DOUBLE then
				Result := "T_DOUBLE"
			when T_DROP then
				Result := "T_DROP"
			when T_DTD then
				Result := "T_DTD"
			when T_DYNAMIC then
				Result := "T_DYNAMIC"
			when T_ELSE then
				Result := "T_ELSE"
			when T_ELSEIF then
				Result := "T_ELSEIF"
			when T_ENCODING then
				Result := "T_ENCODING"
			when T_END then
				Result := "T_END"
			when T_ESCAPE then
				Result := "T_ESCAPE"
			when T_EXCEPT then
				Result := "T_EXCEPT"
			when T_EXCLUSIVE then
				Result := "T_EXCLUSIVE"
			when T_EXEC then
				Result := "T_EXEC"
			when T_EXECUTE then
				Result := "T_EXECUTE"
			when T_EXISTS then
				Result := "T_EXISTS"
			when T_EXIT then
				Result := "T_EXIT"
			when T_EXTERNAL then
				Result := "T_EXTERNAL"
			when T_EXTRACT then
				Result := "T_EXTRACT"
			when T_FETCH then
				Result := "T_FETCH"
			when T_FINAL then
				Result := "T_FINAL"
			when T_FLOAT then
				Result := "T_FLOAT"
			when T_FOR then
				Result := "T_FOR"
			when T_FOREACH then
				Result := "T_FOREACH"
			when T_FOREIGN then
				Result := "T_FOREIGN"
			when T_FORTRAN then
				Result := "T_FORTRAN"
			when T_FOUND then
				Result := "T_FOUND"
			when T_FROM then
				Result := "T_FROM"
			when T_FULL then
				Result := "T_FULL"
			when T_FUNCTION then
				Result := "T_FUNCTION"
			when T_GENERAL then
				Result := "T_GENERAL"
			when T_GENERATED then
				Result := "T_GENERATED"
			when T_GO then
				Result := "T_GO"
			when T_GOTO then
				Result := "T_GOTO"
			when T_GRANT then
				Result := "T_GRANT"
			when T_GROUP then
				Result := "T_GROUP"
			when T_GROUPING then
				Result := "T_GROUPING"
			when T_HANDLER then
				Result := "T_HANDLER"
			when T_HASH then
				Result := "T_HASH"
			when T_HAVING then
				Result := "T_HAVING"
			when T_IDENTIFIED then
				Result := "T_IDENTIFIED"
			when T_IDENTITY then
				Result := "T_IDENTITY"
			when T_IF then
				Result := "T_IF"
			when T_IN then
				Result := "T_IN"
			when T_INCREMENT then
				Result := "T_INCREMENT"
			when T_INCREMENTAL then
				Result := "T_INCREMENTAL"
			when T_INDEX then
				Result := "T_INDEX"
			when T_INDICATOR then
				Result := "T_INDICATOR"
			when T_INNER then
				Result := "T_INNER"
			when T_INOUT then
				Result := "T_INOUT"
			when T_INPUT then
				Result := "T_INPUT"
			when T_INSERT then
				Result := "T_INSERT"
			when T_INSTANCE then
				Result := "T_INSTANCE"
			when T_INSTEAD then
				Result := "T_INSTEAD"
			when T_INTEGER then
				Result := "T_INTEGER"
			when T_INTERNAL then
				Result := "T_INTERNAL"
			when T_INTERSECT then
				Result := "T_INTERSECT"
			when T_INTERVAL then
				Result := "T_INTERVAL"
			when T_INTO then
				Result := "T_INTO"
			when T_IS then
				Result := "T_IS"
			when T_JAVA then
				Result := "T_JAVA"
			when T_JOIN then
				Result := "T_JOIN"
			when T_KEY then
				Result := "T_KEY"
			when T_KEYSET then
				Result := "T_KEYSET"
			when T_LANGUAGE then
				Result := "T_LANGUAGE"
			when T_LEFT then
				Result := "T_LEFT"
			when T_LIBRARY then
				Result := "T_LIBRARY"
			when T_LIKE then
				Result := "T_LIKE"
			when T_LOCATOR then
				Result := "T_LOCATOR"
			when T_LOG then
				Result := "T_LOG"
			when T_LONG then
				Result := "T_LONG"
			when T_LOOP then
				Result := "T_LOOP"
			when T_METHOD then
				Result := "T_METHOD"
			when T_MODIFIES then
				Result := "T_MODIFIES"
			when T_MODIFY then
				Result := "T_MODIFY"
			when T_MODULE then
				Result := "T_MODULE"
			when T_MSSQL_XMLCOL_INTNUM then
				Result := "T_MSSQL_XMLCOL_INTNUM"
			when T_MSSQL_XMLCOL_NAME then
				Result := "T_MSSQL_XMLCOL_NAME"
			when T_MSSQL_XMLCOL_NAME1 then
				Result := "T_MSSQL_XMLCOL_NAME1"
			when T_MSSQL_XMLCOL_NAMEYZ then
				Result := "T_MSSQL_XMLCOL_NAMEYZ"
			when T_MSSQL_XMLCOL_NAMEZ then
				Result := "T_MSSQL_XMLCOL_NAMEZ"
			when T_MUMPS then
				Result := "T_MUMPS"
			when T_NAME then
				Result := "T_NAME"
			when T_NATURAL then
				Result := "T_NATURAL"
			when T_NCHAR then
				Result := "T_NCHAR"
			when T_NEW then
				Result := "T_NEW"
			when T_NO then
				Result := "T_NO"
			when T_NOLOCK then
				Result := "T_NOLOCK"
			when T_NONCLUSTERED then
				Result := "T_NONCLUSTERED"
			when T_NONINCREMENTAL then
				Result := "T_NONINCREMENTAL"
			when T_NULL then
				Result := "T_NULL"
			when T_NULLIF then
				Result := "T_NULLIF"
			when T_NUMERIC then
				Result := "T_NUMERIC"
			when T_NVARCHAR then
				Result := "T_NVARCHAR"
			when T_OBJECT_ID then
				Result := "T_OBJECT_ID"
			when T_OF then
				Result := "T_OF"
			when T_OFF then
				Result := "T_OFF"
			when T_OLD then
				Result := "T_OLD"
			when T_ON then
				Result := "T_ON"
			when T_OPEN then
				Result := "T_OPEN"
			when T_OPTION then
				Result := "T_OPTION"
			when T_ORDER then
				Result := "T_ORDER"
			when T_OUT then
				Result := "T_OUT"
			when T_OUTER then
				Result := "T_OUTER"
			when T_OUTPUT then
				Result := "T_OUTPUT"
			when T_OVERRIDING then
				Result := "T_OVERRIDING"
			when T_PARAMETER then
				Result := "T_PARAMETER"
			when T_PASCAL then
				Result := "T_PASCAL"
			when T_PASSWORD then
				Result := "T_PASSWORD"
			when T_PERCENT then
				Result := "T_PERCENT"
			when T_PERMISSION_SET then
				Result := "T_PERMISSION_SET"
			when T_PERSISTENT then
				Result := "T_PERSISTENT"
			when T_PLI then
				Result := "T_PLI"
			when T_PRECISION then
				Result := "T_PRECISION"
			when T_PREFETCH then
				Result := "T_PREFETCH"
			when T_PRIMARY then
				Result := "T_PRIMARY"
			when T_PRINT then
				Result := "T_PRINT"
			when T_PRIVILEGES then
				Result := "T_PRIVILEGES"
			when T_PROCEDURE then
				Result := "T_PROCEDURE"
			when T_PUBLIC then
				Result := "T_PUBLIC"
			when T_PURGE then
				Result := "T_PURGE"
			when T_READS then
				Result := "T_READS"
			when T_REAL then
				Result := "T_REAL"
			when T_REF then
				Result := "T_REF"
			when T_REFERENCES then
				Result := "T_REFERENCES"
			when T_REFERENCING then
				Result := "T_REFERENCING"
			when T_REMOTE then
				Result := "T_REMOTE"
			when T_RENAME then
				Result := "T_RENAME"
			when T_REPLACING then
				Result := "T_REPLACING"
			when T_REPLICATION then
				Result := "T_REPLICATION"
			when T_RESIGNAL then
				Result := "T_RESIGNAL"
			when T_RESTRICT then
				Result := "T_RESTRICT"
			when T_RESULT then
				Result := "T_RESULT"
			when T_RETURN then
				Result := "T_RETURN"
			when T_RETURNS then
				Result := "T_RETURNS"
			when T_REVOKE then
				Result := "T_REVOKE"
			when T_REXECUTE then
				Result := "T_REXECUTE"
			when T_RIGHT then
				Result := "T_RIGHT"
			when T_ROLE then
				Result := "T_ROLE"
			when T_ROLLBACK then
				Result := "T_ROLLBACK"
			when T_ROLLUP then
				Result := "T_ROLLUP"
			when T_ROWLOCK then
				Result := "T_ROWLOCK"
			when T_SAFE then
				Result := "T_SAFE"
			when T_SCHEMA then
				Result := "T_SCHEMA"
			when T_SELECT then
				Result := "T_SELECT"
			when T_SELF then
				Result := "T_SELF"
			when T_SET then
				Result := "T_SET"
			when T_SHUTDOWN then
				Result := "T_SHUTDOWN"
			when T_SMALLINT then
				Result := "T_SMALLINT"
			when T_SNAPSHOT then
				Result := "T_SNAPSHOT"
			when T_SOFT then
				Result := "T_SOFT"
			when T_SOME then
				Result := "T_SOME"
			when T_SOURCE then
				Result := "T_SOURCE"
			when T_SPECIFIC then
				Result := "T_SPECIFIC"
			when T_SQL then
				Result := "T_SQL"
			when T_SQL_TSI then
				Result := "T_SQL_TSI"
			when T_SQLCODE then
				Result := "T_SQLCODE"
			when T_SQLERROR then
				Result := "T_SQLERROR"
			when T_SQLEXCEPTION then
				Result := "T_SQLEXCEPTION"
			when T_SQLSTATE then
				Result := "T_SQLSTATE"
			when T_SQLWARNING then
				Result := "T_SQLWARNING"
			when T_START then
				Result := "T_START"
			when T_STATIC then
				Result := "T_STATIC"
			when T_STYLE then
				Result := "T_STYLE"
			when T_SYNC then
				Result := "T_SYNC"
			when T_SYSTEM then
				Result := "T_SYSTEM"
			when T_TABLE then
				Result := "T_TABLE"
			when T_TEMPORARY then
				Result := "T_TEMPORARY"
			when T_TEXT then
				Result := "T_TEXT"
			when T_THEN then
				Result := "T_THEN"
			when T_TIES then
				Result := "T_TIES"
			when T_TIME then
				Result := "T_TIME"
			when T_TIMESTAMP then
				Result := "T_TIMESTAMP"
			when T_TIMESTAMP_FUNC then
				Result := "T_TIMESTAMP_FUNC"
			when T_TO then
				Result := "T_TO"
			when T_TOP then
				Result := "T_TOP"
			when T_TRANSACTION then
				Result := "T_TRANSACTION"
			when T_TRIGGER then
				Result := "T_TRIGGER"
			when T_TRUNCATE then
				Result := "T_TRUNCATE"
			when T_TYPE then
				Result := "T_TYPE"
			when T_UNDER then
				Result := "T_UNDER"
			when T_UNION then
				Result := "T_UNION"
			when T_UNIQUE then
				Result := "T_UNIQUE"
			when T_UNRESTRICTED then
				Result := "T_UNRESTRICTED"
			when T_UPDATE then
				Result := "T_UPDATE"
			when T_USE then
				Result := "T_USE"
			when T_USER then
				Result := "T_USER"
			when T_USING then
				Result := "T_USING"
			when T_VALUE then
				Result := "T_VALUE"
			when T_VALUES then
				Result := "T_VALUES"
			when T_VARBINARY then
				Result := "T_VARBINARY"
			when T_VARCHAR then
				Result := "T_VARCHAR"
			when T_VARIABLE then
				Result := "T_VARIABLE"
			when T_VIEW then
				Result := "T_VIEW"
			when T_WHEN then
				Result := "T_WHEN"
			when T_WHENEVER then
				Result := "T_WHENEVER"
			when T_WHERE then
				Result := "T_WHERE"
			when T_WHILE then
				Result := "T_WHILE"
			when T_WITH then
				Result := "T_WITH"
			when T_WORK then
				Result := "T_WORK"
			when T_XML then
				Result := "T_XML"
			when T_XPATH then
				Result := "T_XPATH"
			else
				Result := yy_character_token_name (a_token)
			end
		end

feature -- Token codes

	T_PLACEHOLDER: INTEGER = 258
	T_OR: INTEGER = 259
	T_AND: INTEGER = 260
	T_NOT: INTEGER = 261
	T_COMPARISON: INTEGER = 262
	T_EQUALS: INTEGER = 263
	T_FOO: INTEGER = 264
	T_IDENTIFIER: INTEGER = 265
	T_PARAMETER_LITERAL: INTEGER = 266
	T_STRING: INTEGER = 267
	T_INTNUM: INTEGER = 268
	T_APPROXNUM: INTEGER = 269
	T_WSTRING: INTEGER = 270
	T_NSTRING: INTEGER = 271
	T_HTMLSTR: INTEGER = 272
	T_BINARYNUM: INTEGER = 273
	T_DOUBLE_COLON: INTEGER = 274
	T_COLON: INTEGER = 275
	T_STRING_CONCAT_OPERATOR: INTEGER = 276
	T_KWD_TAG: INTEGER = 277
	T_NAMED_PARAMETER: INTEGER = 278
	T_ADA: INTEGER = 279
	T_ADD: INTEGER = 280
	T_ADMIN: INTEGER = 281
	T_AFTER: INTEGER = 282
	T_AGGREGATE: INTEGER = 283
	T_ALL: INTEGER = 284
	T_ALTER: INTEGER = 285
	T_AMMSC: INTEGER = 286
	T_ANY: INTEGER = 287
	T_ARE: INTEGER = 288
	T_ARRAY: INTEGER = 289
	T_AS: INTEGER = 290
	T_ASC: INTEGER = 291
	T_ASSEMBLY: INTEGER = 292
	T_ATTACH: INTEGER = 293
	T_ATTRIBUTE: INTEGER = 294
	T_AUTHORIZATION: INTEGER = 295
	T_AUTOREGISTER: INTEGER = 296
	T_BACKUP: INTEGER = 297
	T_BEFORE: INTEGER = 298
	T_BEGIN: INTEGER = 299
	T_BEGIN_CALL: INTEGER = 300
	T_BEGIN_EQCALL: INTEGER = 301
	T_BEGIN_FN: INTEGER = 302
	T_BEGIN_OJ: INTEGER = 303
	T_BEGIN_U: INTEGER = 304
	T_BEST: INTEGER = 305
	T_BETWEEN: INTEGER = 306
	T_BINARY: INTEGER = 307
	T_BY: INTEGER = 308
	T_C: INTEGER = 309
	T_CALL: INTEGER = 310
	T_CALLED: INTEGER = 311
	T_CASCADE: INTEGER = 312
	T_CASE: INTEGER = 313
	T_CAST: INTEGER = 314
	T_CHARACTER: INTEGER = 315
	T_CHECK: INTEGER = 316
	T_CHECKED: INTEGER = 317
	T_CHECKPOINT: INTEGER = 318
	T_CLOSE: INTEGER = 319
	T_CLR: INTEGER = 320
	T_CLUSTERED: INTEGER = 321
	T_COALESCE: INTEGER = 322
	T_COBOL: INTEGER = 323
	T_COLLATE: INTEGER = 324
	T_COLUMN: INTEGER = 325
	T_COMMIT: INTEGER = 326
	T_CONSTRAINT: INTEGER = 327
	T_CONSTRUCTOR: INTEGER = 328
	T_CONTAINS: INTEGER = 329
	T_CONTIGUOUS: INTEGER = 330
	T_CONTINUE: INTEGER = 331
	T_CONVERT: INTEGER = 332
	T_CORRESPONDING: INTEGER = 333
	T_CREATE: INTEGER = 334
	T_CROSS: INTEGER = 335
	T_CUBE: INTEGER = 336
	T_CURRENT: INTEGER = 337
	T_CURRENT_DATE: INTEGER = 338
	T_CURRENT_TIME: INTEGER = 339
	T_CURRENT_TIMESTAMP: INTEGER = 340
	T_CURSOR: INTEGER = 341
	T_DATA: INTEGER = 342
	T_DATE: INTEGER = 343
	T_DATETIME: INTEGER = 344
	T_DEALLOCATE: INTEGER = 345
	T_DECIMAL: INTEGER = 346
	T_DECLARE: INTEGER = 347
	T_DEFAULT: INTEGER = 348
	T_DELETE: INTEGER = 349
	T_DESC: INTEGER = 350
	T_DETERMINISTIC: INTEGER = 351
	T_DISCONNECT: INTEGER = 352
	T_DISTINCT: INTEGER = 353
	T_DO: INTEGER = 354
	T_DOUBLE: INTEGER = 355
	T_DROP: INTEGER = 356
	T_DTD: INTEGER = 357
	T_DYNAMIC: INTEGER = 358
	T_ELSE: INTEGER = 359
	T_ELSEIF: INTEGER = 360
	T_ENCODING: INTEGER = 361
	T_END: INTEGER = 362
	T_ESCAPE: INTEGER = 363
	T_EXCEPT: INTEGER = 364
	T_EXCLUSIVE: INTEGER = 365
	T_EXEC: INTEGER = 366
	T_EXECUTE: INTEGER = 367
	T_EXISTS: INTEGER = 368
	T_EXIT: INTEGER = 369
	T_EXTERNAL: INTEGER = 370
	T_EXTRACT: INTEGER = 371
	T_FETCH: INTEGER = 372
	T_FINAL: INTEGER = 373
	T_FLOAT: INTEGER = 374
	T_FOR: INTEGER = 375
	T_FOREACH: INTEGER = 376
	T_FOREIGN: INTEGER = 377
	T_FORTRAN: INTEGER = 378
	T_FOUND: INTEGER = 379
	T_FROM: INTEGER = 380
	T_FULL: INTEGER = 381
	T_FUNCTION: INTEGER = 382
	T_GENERAL: INTEGER = 383
	T_GENERATED: INTEGER = 384
	T_GO: INTEGER = 385
	T_GOTO: INTEGER = 386
	T_GRANT: INTEGER = 387
	T_GROUP: INTEGER = 388
	T_GROUPING: INTEGER = 389
	T_HANDLER: INTEGER = 390
	T_HASH: INTEGER = 391
	T_HAVING: INTEGER = 392
	T_IDENTIFIED: INTEGER = 393
	T_IDENTITY: INTEGER = 394
	T_IF: INTEGER = 395
	T_IN: INTEGER = 396
	T_INCREMENT: INTEGER = 397
	T_INCREMENTAL: INTEGER = 398
	T_INDEX: INTEGER = 399
	T_INDICATOR: INTEGER = 400
	T_INNER: INTEGER = 401
	T_INOUT: INTEGER = 402
	T_INPUT: INTEGER = 403
	T_INSERT: INTEGER = 404
	T_INSTANCE: INTEGER = 405
	T_INSTEAD: INTEGER = 406
	T_INTEGER: INTEGER = 407
	T_INTERNAL: INTEGER = 408
	T_INTERSECT: INTEGER = 409
	T_INTERVAL: INTEGER = 410
	T_INTO: INTEGER = 411
	T_IS: INTEGER = 412
	T_JAVA: INTEGER = 413
	T_JOIN: INTEGER = 414
	T_KEY: INTEGER = 415
	T_KEYSET: INTEGER = 416
	T_LANGUAGE: INTEGER = 417
	T_LEFT: INTEGER = 418
	T_LIBRARY: INTEGER = 419
	T_LIKE: INTEGER = 420
	T_LOCATOR: INTEGER = 421
	T_LOG: INTEGER = 422
	T_LONG: INTEGER = 423
	T_LOOP: INTEGER = 424
	T_METHOD: INTEGER = 425
	T_MODIFIES: INTEGER = 426
	T_MODIFY: INTEGER = 427
	T_MODULE: INTEGER = 428
	T_MSSQL_XMLCOL_INTNUM: INTEGER = 429
	T_MSSQL_XMLCOL_NAME: INTEGER = 430
	T_MSSQL_XMLCOL_NAME1: INTEGER = 431
	T_MSSQL_XMLCOL_NAMEYZ: INTEGER = 432
	T_MSSQL_XMLCOL_NAMEZ: INTEGER = 433
	T_MUMPS: INTEGER = 434
	T_NAME: INTEGER = 435
	T_NATURAL: INTEGER = 436
	T_NCHAR: INTEGER = 437
	T_NEW: INTEGER = 438
	T_NO: INTEGER = 439
	T_NOLOCK: INTEGER = 440
	T_NONCLUSTERED: INTEGER = 441
	T_NONINCREMENTAL: INTEGER = 442
	T_NULL: INTEGER = 443
	T_NULLIF: INTEGER = 444
	T_NUMERIC: INTEGER = 445
	T_NVARCHAR: INTEGER = 446
	T_OBJECT_ID: INTEGER = 447
	T_OF: INTEGER = 448
	T_OFF: INTEGER = 449
	T_OLD: INTEGER = 450
	T_ON: INTEGER = 451
	T_OPEN: INTEGER = 452
	T_OPTION: INTEGER = 453
	T_ORDER: INTEGER = 454
	T_OUT: INTEGER = 455
	T_OUTER: INTEGER = 456
	T_OUTPUT: INTEGER = 457
	T_OVERRIDING: INTEGER = 458
	T_PARAMETER: INTEGER = 459
	T_PASCAL: INTEGER = 460
	T_PASSWORD: INTEGER = 461
	T_PERCENT: INTEGER = 462
	T_PERMISSION_SET: INTEGER = 463
	T_PERSISTENT: INTEGER = 464
	T_PLI: INTEGER = 465
	T_PRECISION: INTEGER = 466
	T_PREFETCH: INTEGER = 467
	T_PRIMARY: INTEGER = 468
	T_PRINT: INTEGER = 469
	T_PRIVILEGES: INTEGER = 470
	T_PROCEDURE: INTEGER = 471
	T_PUBLIC: INTEGER = 472
	T_PURGE: INTEGER = 473
	T_READS: INTEGER = 474
	T_REAL: INTEGER = 475
	T_REF: INTEGER = 476
	T_REFERENCES: INTEGER = 477
	T_REFERENCING: INTEGER = 478
	T_REMOTE: INTEGER = 479
	T_RENAME: INTEGER = 480
	T_REPLACING: INTEGER = 481
	T_REPLICATION: INTEGER = 482
	T_RESIGNAL: INTEGER = 483
	T_RESTRICT: INTEGER = 484
	T_RESULT: INTEGER = 485
	T_RETURN: INTEGER = 486
	T_RETURNS: INTEGER = 487
	T_REVOKE: INTEGER = 488
	T_REXECUTE: INTEGER = 489
	T_RIGHT: INTEGER = 490
	T_ROLE: INTEGER = 491
	T_ROLLBACK: INTEGER = 492
	T_ROLLUP: INTEGER = 493
	T_ROWLOCK: INTEGER = 494
	T_SAFE: INTEGER = 495
	T_SCHEMA: INTEGER = 496
	T_SELECT: INTEGER = 497
	T_SELF: INTEGER = 498
	T_SET: INTEGER = 499
	T_SHUTDOWN: INTEGER = 500
	T_SMALLINT: INTEGER = 501
	T_SNAPSHOT: INTEGER = 502
	T_SOFT: INTEGER = 503
	T_SOME: INTEGER = 504
	T_SOURCE: INTEGER = 505
	T_SPECIFIC: INTEGER = 506
	T_SQL: INTEGER = 507
	T_SQL_TSI: INTEGER = 508
	T_SQLCODE: INTEGER = 509
	T_SQLERROR: INTEGER = 510
	T_SQLEXCEPTION: INTEGER = 511
	T_SQLSTATE: INTEGER = 512
	T_SQLWARNING: INTEGER = 513
	T_START: INTEGER = 514
	T_STATIC: INTEGER = 515
	T_STYLE: INTEGER = 516
	T_SYNC: INTEGER = 517
	T_SYSTEM: INTEGER = 518
	T_TABLE: INTEGER = 519
	T_TEMPORARY: INTEGER = 520
	T_TEXT: INTEGER = 521
	T_THEN: INTEGER = 522
	T_TIES: INTEGER = 523
	T_TIME: INTEGER = 524
	T_TIMESTAMP: INTEGER = 525
	T_TIMESTAMP_FUNC: INTEGER = 526
	T_TO: INTEGER = 527
	T_TOP: INTEGER = 528
	T_TRANSACTION: INTEGER = 529
	T_TRIGGER: INTEGER = 530
	T_TRUNCATE: INTEGER = 531
	T_TYPE: INTEGER = 532
	T_UNDER: INTEGER = 533
	T_UNION: INTEGER = 534
	T_UNIQUE: INTEGER = 535
	T_UNRESTRICTED: INTEGER = 536
	T_UPDATE: INTEGER = 537
	T_USE: INTEGER = 538
	T_USER: INTEGER = 539
	T_USING: INTEGER = 540
	T_VALUE: INTEGER = 541
	T_VALUES: INTEGER = 542
	T_VARBINARY: INTEGER = 543
	T_VARCHAR: INTEGER = 544
	T_VARIABLE: INTEGER = 545
	T_VIEW: INTEGER = 546
	T_WHEN: INTEGER = 547
	T_WHENEVER: INTEGER = 548
	T_WHERE: INTEGER = 549
	T_WHILE: INTEGER = 550
	T_WITH: INTEGER = 551
	T_WORK: INTEGER = 552
	T_XML: INTEGER = 553
	T_XPATH: INTEGER = 554

end
