indexing
	description: "Corresponds to row of supplier_product table in rose database."
	status: "Development"
	author: "David Stevens"
	last_editor: "$Author: sm $"
	date: "$Date: 2009/08/25 $"
	revision: "$Revision: #7 $"
	archive: "$File: //rose/source/kernel/infrastructure/persistence/supplier_product_row.e $"

class
	SUPPLIER_PRODUCT_ROW

inherit
	ANY
		-- Why do we need this?

feature -- Access

   supplier_product_id: INTEGER
		-- Identifier

   name: STRING
		-- Name

feature -- Element Change

	set_supplier_product_id (a_supplier_product_id: like supplier_product_id) is
			-- Set 'supplier_product_id' to 'a_supplier_product_id'
		do
			supplier_product_id := a_supplier_product_id
		ensure
			supplier_product_id_set: supplier_product_id = a_supplier_product_id
		end

	set_name (a_name: like name) is
			-- Set 'name' to 'a_name'
		do
			name := a_name
		ensure
			name_set: name = a_name
		end

end
