indexing
	author : "Tom Mead"
	description : "simplest element of a project, one person, not precursors"
	keywords : "task, project"
	
	
	
class
	TASK
inherit
	ROSE_STORABLE
create
	make, retrieve_from_file
feature
	
	make(a_name: STRING; a_ccyymmdd: INTEGER) is
		do
			set_name(a_name)
			set_completion_date(a_ccyymmdd)
		end
	
	name: STRING
	
	set_name(a_name: STRING) is
		do
			name:= a_name
		end
	
	description: STRING
	
	set_description(a_description: STRING) is
		do
			description:= a_description
		end
	completion_date: ROSE_DATE
	
	set_completion_date(a_ccyymmdd: INTEGER) is
		do
			create completion_date.make_ccyymmdd(a_ccyymmdd)
		end
	
	start_date: ROSE_DATE
	
	set_start_date(a_date: ROSE_DATE) is
		do
			start_date:= a_date
		end
	
	enclosing_project: PROJECT
	
	set_project(a_project: PROJECT) is
		do
			enclosing_project:= a_project
		end

end
