note

	description:

		"dummy fundamental expression"

	keywords: ""
	author: "Mark Howard"
	last_editor: "$Author: mk $"
	date: "$Date: 2011/02/15 $"
	revision: "$Revision: #16 $"
	path: "$File: //rose/source/kernel/math/unknown_expression.e $"

class
   UNKNOWN_EXPRESSION[reference G]

inherit
	ROSE_EXPRESSION[G]
		rename
			make as rose_expression_make
		redefine
			defined,
			display_string,
			units,
			value_in_market_currency,
			is_defined_real,
			is_defined_double
		end
	ROSE_LEGACY_UNDEFINED
		undefine
			default_create
		redefine
			is_defined_real,
			is_defined_double,
			is_defined_integer
		end

create

   make

feature {NONE}-- Initialization
	make (a_mnemonic : STRING) is
		do
			set_expression_index
			mnemonic := clone(a_mnemonic)
			name := mnemonic + "(Unknown)"
		end
feature -- Access
	defined(a_entity: G): BOOLEAN is
	do
	end

   type_string : STRING is
	  do
		 Result := mnemonic
	  end
   description : STRING is
   		-- Description
	  do
		 Result := mnemonic
	  end
	display_string (a_entity : G) : STRING is
			-- Display string
	  do
		 Result := "undefined"
	  end
	get_real_value (a_entity : G) : REAL is
		do
		end
	get_double_value (a_entity : G) : DOUBLE is
			-- Double value
		do

		end
	get_integer_value (a_entity : G) : INTEGER is
		do
		end
	character_value (a_entity : G) : CHARACTER is
		do
		end
	is_defined_real (a_real : REAL) : BOOLEAN is
		do
		end
	is_defined_double (a_double : DOUBLE) : BOOLEAN is
		do
		end
	is_defined_integer (a_integer : INTEGER) : BOOLEAN is
		do
		end
	value_in_market_currency (a_market : MARKET;a_currency : PERSISTENT_CURRENCY;a_entity : G;a_date : ROSE_DATE) : DOUBLE is
		do
			Result := double_value(a_entity)
		end
	units (a_entity : G) : ROSE_UNITS is
		do
			Result := pure_units
		end
	old_units_in_currency (a_currency : PERSISTENT_CURRENCY;a_entity : G) : ROSE_UNITS is
		do
			Result := pure_units
		end
	currency (a_entity : G) : PERSISTENT_CURRENCY is
		do
		end

end
