note

	description:

		"Matrix A where A[i,j] = matrix[i,j] * weight[i]"

	author: "Mark Howard"
	last_editor: "$Author: er $"
	date: "$Date: 2013/06/18 $"
	revision: "$Revision: #9 $"
	path: "$File: //rose/source/kernel/infrastructure/math/weighted_matrix.e $"
	storable_version: ""

class
	WEIGHTED_MATRIX
inherit
	ABSTRACT_READABLE_MATRIX

create
	make
feature -- access
	make (a_matrix : ABSTRACT_READABLE_MATRIX;a_weights : ABSTRACT_READABLE_VECTOR) is
			-- make
		do
			matrix := a_matrix
			weights := a_weights
			width := matrix.width
			height := matrix.height
			set_column_names (matrix.column_names)
			set_row_names (matrix.row_names)
		end
	item alias "[]" (i,j : INTEGER) : DOUBLE is
			-- item
		do
			Result := matrix [i,j] * weights [i]
		end
	matrix : ABSTRACT_READABLE_MATRIX
	weights : ABSTRACT_READABLE_VECTOR
	width : INTEGER
	height : INTEGER
end -- class WEIGHTED_MATRIX
