note

	description:

		"Shared garbage collection facilities"

	pattern: "Singleton"
	library: "Gobo Eiffel Kernel Library"
	copyright: "Copyright (c) 2008, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2013/09/19 $"
	revision: "$Revision: #1 $"

class KL_SHARED_MEMORY

feature -- Access

	memory: KL_MEMORY
			-- Garbage collection facilities
		once
			create Result
		ensure
			memory_not_void: Result /= Void
		end

end
